require 'openstudio'
module OpenStudio
  module Model
    class AirLoopHVACUnitarySystem < WaterToAirComponent
      def self.new(model)
      end
      # @return [Boolean]
      def setDesignSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperationWhenNoCoolingorHeatingisRequired(double)
      end
      def resetDesignSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperationWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def setDesignSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperationWhenNoCoolingorHeatingisRequired(double)
      end
      def resetDesignSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperationWhenNoCoolingorHeatingisRequired
      end
      def setMaximumSupplyAirTemperature(double)
      end
      def resetMaximumSupplyAirTemperature
      end
      def autosizeMaximumSupplyAirTemperature
      end
      def setMaximumOutdoorDryBulbTemperatureforSupplementalHeaterOperation(double)
      end
      def resetMaximumOutdoorDryBulbTemperatureforSupplementalHeaterOperation
      end
      def setOutdoorDryBulbTemperatureSensorNodeName(string)
      end
      def resetOutdoorDryBulbTemperatureSensorNodeName
      end
      # @return [Boolean]
      def setMaximumCyclingRate(double)
      end
      def resetMaximumCyclingRate
      end
      # @return [Boolean]
      def setHeatPumpTimeConstant(double)
      end
      def resetHeatPumpTimeConstant
      end
      # @return [Boolean]
      def setFractionofOnCyclePowerUse(double)
      end
      def resetFractionofOnCyclePowerUse
      end
      # @return [Boolean]
      def setHeatPumpFanDelayTime(double)
      end
      def resetHeatPumpFanDelayTime
      end
      # @return [Boolean]
      def setAncilliaryOnCycleElectricPower(double)
      end
      def resetAncilliaryOnCycleElectricPower
      end
      # @return [Boolean]
      def setAncilliaryOffCycleElectricPower(double)
      end
      def resetAncilliaryOffCycleElectricPower
      end
      # @return [Boolean]
      def setDesignSpecificationMultispeedObject(unitarySystemPerformanceMultispeed)
      end
      def resetDesignSpecificationMultispeedObject
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.controlTypeValues
      end
      # @return [StringVector]
      def self.dehumidificationControlTypeValues
      end
      # @return [StringVector]
      def self.fanPlacementValues
      end
      # @return [StringVector]
      def self.latentLoadControlValues
      end
      # @return [StringVector]
      def self.supplyAirFlowRateMethodDuringCoolingOperationValues
      end
      # @return [StringVector]
      def self.supplyAirFlowRateMethodDuringHeatingOperationValues
      end
      # @return [StringVector]
      def self.supplyAirFlowRateMethodWhenNoCoolingorHeatingisRequiredValues
      end
      # @return [OptionalThermalZone]
      def controllingZoneorThermostatLocation
      end
      # @return [String]
      def dehumidificationControlType
      end
      # @return [Boolean]
      def isDehumidificationControlTypeDefaulted
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [OptionalHVACComponent]
      def supplyFan
      end
      # @return [OptionalString]
      def fanPlacement
      end
      # @return [OptionalSchedule]
      def supplyAirFanOperatingModeSchedule
      end
      # @return [OptionalHVACComponent]
      def heatingCoil
      end
      # @return [Double]
      def dXHeatingCoilSizingRatio
      end
      # @return [Boolean]
      def isDXHeatingCoilSizingRatioDefaulted
      end
      # @return [OptionalHVACComponent]
      def coolingCoil
      end
      # @return [Boolean]
      def useDOASDXCoolingCoil
      end
      # @return [Boolean]
      def isUseDOASDXCoolingCoilDefaulted
      end
      # @return [Double]
      def dOASDXCoolingCoilLeavingMinimumAirTemperature
      end
      # @return [Boolean]
      def isDOASDXCoolingCoilLeavingMinimumAirTemperatureDefaulted
      end
      # @return [String]
      def latentLoadControl
      end
      # @return [Boolean]
      def isLatentLoadControlDefaulted
      end
      # @return [OptionalHVACComponent]
      def supplementalHeatingCoil
      end
      # @return [OptionalString]
      def supplyAirFlowRateMethodDuringCoolingOperation
      end
      # @return [OptionalDouble]
      def supplyAirFlowRateDuringCoolingOperation
      end
      # @return [Boolean]
      def isSupplyAirFlowRateDuringCoolingOperationAutosized
      end
      # @return [OptionalDouble]
      def supplyAirFlowRatePerFloorAreaDuringCoolingOperation
      end
      # @return [OptionalDouble]
      def fractionofAutosizedDesignCoolingSupplyAirFlowRate
      end
      # @return [OptionalDouble]
      def designSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperation
      end
      # @return [OptionalString]
      def supplyAirFlowRateMethodDuringHeatingOperation
      end
      # @return [OptionalDouble]
      def supplyAirFlowRateDuringHeatingOperation
      end
      # @return [Boolean]
      def isSupplyAirFlowRateDuringHeatingOperationAutosized
      end
      # @return [OptionalDouble]
      def supplyAirFlowRatePerFloorAreaduringHeatingOperation
      end
      # @return [OptionalDouble]
      def fractionofAutosizedDesignHeatingSupplyAirFlowRate
      end
      # @return [OptionalDouble]
      def designSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperation
      end
      # @return [OptionalString]
      def supplyAirFlowRateMethodWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def supplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def isSupplyAirFlowRateWhenNoCoolingorHeatingisRequiredAutosized
      end
      # @return [OptionalDouble]
      def supplyAirFlowRatePerFloorAreaWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def fractionofAutosizedDesignCoolingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def fractionofAutosizedDesignHeatingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def designSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperationWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def designSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperationWhenNoCoolingorHeatingisRequired
      end
      # @return [OptionalDouble]
      def maximumSupplyAirTemperature
      end
      # @return [Boolean]
      def isMaximumSupplyAirTemperatureDefaulted
      end
      # @return [Boolean]
      def isMaximumSupplyAirTemperatureAutosized
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforSupplementalHeaterOperation
      end
      # @return [Boolean]
      def isMaximumOutdoorDryBulbTemperatureforSupplementalHeaterOperationDefaulted
      end
      # @return [OptionalString]
      def outdoorDryBulbTemperatureSensorNodeName
      end
      # @return [Double]
      def maximumCyclingRate
      end
      # @return [Boolean]
      def isMaximumCyclingRateDefaulted
      end
      # @return [Double]
      def heatPumpTimeConstant
      end
      # @return [Boolean]
      def isHeatPumpTimeConstantDefaulted
      end
      # @return [Double]
      def fractionofOnCyclePowerUse
      end
      # @return [Boolean]
      def isFractionofOnCyclePowerUseDefaulted
      end
      # @return [Double]
      def heatPumpFanDelayTime
      end
      # @return [Boolean]
      def isHeatPumpFanDelayTimeDefaulted
      end
      # @return [Double]
      def ancilliaryOnCycleElectricPower
      end
      # @return [Boolean]
      def isAncilliaryOnCycleElectricPowerDefaulted
      end
      # @return [Double]
      def ancilliaryOffCycleElectricPower
      end
      # @return [Boolean]
      def isAncilliaryOffCycleElectricPowerDefaulted
      end
      # @return [OptionalUnitarySystemPerformanceMultispeed]
      def designSpecificationMultispeedObject
      end
      # @return [Boolean]
      def setControllingZoneorThermostatLocation(thermalZone)
      end
      def resetControllingZoneorThermostatLocation
      end
      # @return [Boolean]
      def setDehumidificationControlType(string)
      end
      def resetDehumidificationControlType
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setSupplyFan(hVACComponent)
      end
      def resetSupplyFan
      end
      # @return [Boolean]
      def setFanPlacement(string)
      end
      def resetFanPlacement
      end
      # @return [Boolean]
      def setSupplyAirFanOperatingModeSchedule(schedule)
      end
      def resetSupplyAirFanOperatingModeSchedule
      end
      # @return [Boolean]
      def setHeatingCoil(hVACComponent)
      end
      def resetHeatingCoil
      end
      # @return [Boolean]
      def setDXHeatingCoilSizingRatio(double)
      end
      def resetDXHeatingCoilSizingRatio
      end
      # @return [Boolean]
      def setCoolingCoil(hVACComponent)
      end
      def resetCoolingCoil
      end
      def setUseDOASDXCoolingCoil(boolean)
      end
      def resetUseDOASDXCoolingCoil
      end
      # @return [Boolean]
      def setDOASDXCoolingCoilLeavingMinimumAirTemperature(double)
      end
      def resetDOASDXCoolingCoilLeavingMinimumAirTemperature
      end
      # @return [Boolean]
      def setLatentLoadControl(string)
      end
      def resetLatentLoadControl
      end
      # @return [Boolean]
      def setSupplementalHeatingCoil(hVACComponent)
      end
      def resetSupplementalHeatingCoil
      end
      # @return [Boolean]
      def setSupplyAirFlowRateMethodDuringCoolingOperation(string)
      end
      def resetSupplyAirFlowRateMethodDuringCoolingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRateDuringCoolingOperation(double)
      end
      def resetSupplyAirFlowRateDuringCoolingOperation
      end
      def autosizeSupplyAirFlowRateDuringCoolingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRatePerFloorAreaDuringCoolingOperation(double)
      end
      def resetSupplyAirFlowRatePerFloorAreaDuringCoolingOperation
      end
      # @return [Boolean]
      def setFractionofAutosizedDesignCoolingSupplyAirFlowRate(double)
      end
      def resetFractionofAutosizedDesignCoolingSupplyAirFlowRate
      end
      # @return [Boolean]
      def setDesignSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperation(double)
      end
      def resetDesignSupplyAirFlowRatePerUnitofCapacityDuringCoolingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRateMethodDuringHeatingOperation(string)
      end
      def resetSupplyAirFlowRateMethodDuringHeatingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRateDuringHeatingOperation(double)
      end
      def resetSupplyAirFlowRateDuringHeatingOperation
      end
      def autosizeSupplyAirFlowRateDuringHeatingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRatePerFloorAreaduringHeatingOperation(double)
      end
      def resetSupplyAirFlowRatePerFloorAreaduringHeatingOperation
      end
      # @return [Boolean]
      def setFractionofAutosizedDesignHeatingSupplyAirFlowRate(double)
      end
      def resetFractionofAutosizedDesignHeatingSupplyAirFlowRate
      end
      # @return [Boolean]
      def setDesignSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperation(double)
      end
      def resetDesignSupplyAirFlowRatePerUnitofCapacityDuringHeatingOperation
      end
      # @return [Boolean]
      def setSupplyAirFlowRateMethodWhenNoCoolingorHeatingisRequired(string)
      end
      def resetSupplyAirFlowRateMethodWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def setSupplyAirFlowRateWhenNoCoolingorHeatingisRequired(double)
      end
      def resetSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      def autosizeSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def setSupplyAirFlowRatePerFloorAreaWhenNoCoolingorHeatingisRequired(double)
      end
      def resetSupplyAirFlowRatePerFloorAreaWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def setFractionofAutosizedDesignCoolingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired(double)
      end
      def resetFractionofAutosizedDesignCoolingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
      # @return [Boolean]
      def setFractionofAutosizedDesignHeatingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired(double)
      end
      def resetFractionofAutosizedDesignHeatingSupplyAirFlowRateWhenNoCoolingorHeatingisRequired
      end
    end
  end
end