require 'openstudio'
module OpenStudio
  module Model
    class AirTerminalSingleDuctConstantVolumeFourPipeInduction < StraightComponent
      def self.new(model, hVACComponent)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [OptionalDouble]
      def maximumTotalAirFlowRate
      end
      # @return [Boolean]
      def isMaximumTotalAirFlowRateAutosized
      end
      # @return [Double]
      def inductionRatio
      end
      # @return [Boolean]
      def isInductionRatioDefaulted
      end
      # @return [HVACComponent]
      def heatingCoil
      end
      # @return [OptionalDouble]
      def maximumHotWaterFlowRate
      end
      # @return [Boolean]
      def isMaximumHotWaterFlowRateAutosized
      end
      # @return [Double]
      def minimumHotWaterFlowRate
      end
      # @return [Boolean]
      def isMinimumHotWaterFlowRateDefaulted
      end
      # @return [Double]
      def heatingConvergenceTolerance
      end
      # @return [Boolean]
      def isHeatingConvergenceToleranceDefaulted
      end
      # @return [OptionalHVACComponent]
      def coolingCoil
      end
      # @return [OptionalDouble]
      def maximumColdWaterFlowRate
      end
      # @return [Boolean]
      def isMaximumColdWaterFlowRateAutosized
      end
      # @return [Double]
      def minimumColdWaterFlowRate
      end
      # @return [Boolean]
      def isMinimumColdWaterFlowRateDefaulted
      end
      # @return [Double]
      def coolingConvergenceTolerance
      end
      # @return [Boolean]
      def isCoolingConvergenceToleranceDefaulted
      end
      # @return [OptionalNode]
      def inducedAirInletNode
      end
      # @return [UInt32]
      def inducedAirInletPort
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setMaximumTotalAirFlowRate(double)
      end
      def autosizeMaximumTotalAirFlowRate
      end
      # @return [Boolean]
      def setInductionRatio(double)
      end
      def resetInductionRatio
      end
      # @return [Boolean]
      def setHeatingCoil(hVACComponent)
      end
      def setMaximumHotWaterFlowRate(double)
      end
      def resetMaximumHotWaterFlowRate
      end
      def autosizeMaximumHotWaterFlowRate
      end
      # @return [Boolean]
      def setMinimumHotWaterFlowRate(double)
      end
      def resetMinimumHotWaterFlowRate
      end
      # @return [Boolean]
      def setHeatingConvergenceTolerance(double)
      end
      def resetHeatingConvergenceTolerance
      end
      # @return [Boolean]
      def setCoolingCoil(hVACComponent)
      end
      def resetCoolingCoil
      end
      def setMaximumColdWaterFlowRate(double)
      end
      def resetMaximumColdWaterFlowRate
      end
      def autosizeMaximumColdWaterFlowRate
      end
      # @return [Boolean]
      def setMinimumColdWaterFlowRate(double)
      end
      def resetMinimumColdWaterFlowRate
      end
      # @return [Boolean]
      def setCoolingConvergenceTolerance(double)
      end
      def resetCoolingConvergenceTolerance
      end
    end
  end
end