require 'openstudio'
module OpenStudio
  module Model
    class ChillerAbsorption < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.chillerFlowModeValues
      end
      # @return [StringVector]
      def self.generatorHeatSourceTypeValues
      end
      # @return [OptionalDouble]
      def nominalCapacity
      end
      # @return [Boolean]
      def isNominalCapacityAutosized
      end
      # @return [OptionalDouble]
      def nominalPumpingPower
      end
      # @return [Boolean]
      def isNominalPumpingPowerAutosized
      end
      # @return [Double]
      def minimumPartLoadRatio
      end
      # @return [Double]
      def maximumPartLoadRatio
      end
      # @return [Double]
      def optimumPartLoadRatio
      end
      # @return [Double]
      def designCondenserInletTemperature
      end
      # @return [OptionalDouble]
      def designChilledWaterFlowRate
      end
      # @return [Boolean]
      def isDesignChilledWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def designCondenserWaterFlowRate
      end
      # @return [Boolean]
      def isDesignCondenserWaterFlowRateAutosized
      end
      # @return [Double]
      def coefficient1oftheHotWaterorSteamUsePartLoadRatioCurve
      end
      # @return [Double]
      def coefficient2oftheHotWaterorSteamUsePartLoadRatioCurve
      end
      # @return [Double]
      def coefficient3oftheHotWaterorSteamUsePartLoadRatioCurve
      end
      # @return [Double]
      def coefficient1ofthePumpElectricUsePartLoadRatioCurve
      end
      # @return [Double]
      def coefficient2ofthePumpElectricUsePartLoadRatioCurve
      end
      # @return [Double]
      def coefficient3ofthePumpElectricUsePartLoadRatioCurve
      end
      # @return [Double]
      def chilledWaterOutletTemperatureLowerLimit
      end
      # @return [String]
      def chillerFlowMode
      end
      # @return [String]
      def generatorHeatSourceType
      end
      # @return [OptionalDouble]
      def designGeneratorFluidFlowRate
      end
      # @return [Boolean]
      def isDesignGeneratorFluidFlowRateAutosized
      end
      # @return [Double]
      def degreeofSubcoolinginSteamGenerator
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def setNominalCapacity(double)
      end
      def autosizeNominalCapacity
      end
      # @return [Boolean]
      def setNominalPumpingPower(double)
      end
      def autosizeNominalPumpingPower
      end
      # @return [Boolean]
      def setMinimumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setMaximumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setOptimumPartLoadRatio(double)
      end
      def setDesignCondenserInletTemperature(double)
      end
      # @return [Boolean]
      def setDesignChilledWaterFlowRate(double)
      end
      def autosizeDesignChilledWaterFlowRate
      end
      # @return [Boolean]
      def setDesignCondenserWaterFlowRate(double)
      end
      def autosizeDesignCondenserWaterFlowRate
      end
      def setCoefficient1oftheHotWaterorSteamUsePartLoadRatioCurve(double)
      end
      def setCoefficient2oftheHotWaterorSteamUsePartLoadRatioCurve(double)
      end
      def setCoefficient3oftheHotWaterorSteamUsePartLoadRatioCurve(double)
      end
      def setCoefficient1ofthePumpElectricUsePartLoadRatioCurve(double)
      end
      def setCoefficient2ofthePumpElectricUsePartLoadRatioCurve(double)
      end
      def setCoefficient3ofthePumpElectricUsePartLoadRatioCurve(double)
      end
      def setChilledWaterOutletTemperatureLowerLimit(double)
      end
      # @return [Boolean]
      def setChillerFlowMode(string)
      end
      # @return [Boolean]
      def setGeneratorHeatSourceType(string)
      end
      # @return [Boolean]
      def setDesignGeneratorFluidFlowRate(double)
      end
      def autosizeDesignGeneratorFluidFlowRate
      end
      def setDegreeofSubcoolinginSteamGenerator(double)
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
    end
  end
end