require 'openstudio'
module OpenStudio
  module Model
    class CoilCoolingDXVariableSpeed < StraightComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.condenserTypeValues
      end
      # @return [Int32]
      def nominalSpeedLevel
      end
      # @return [OptionalDouble]
      def grossRatedTotalCoolingCapacityAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def isGrossRatedTotalCoolingCapacityAtSelectedNominalSpeedLevelAutosized
      end
      # @return [OptionalDouble]
      def ratedAirFlowRateAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def isRatedAirFlowRateAtSelectedNominalSpeedLevelAutosized
      end
      # @return [Double]
      def nominalTimeforCondensatetoBeginLeavingtheCoil
      end
      # @return [Double]
      def initialMoistureEvaporationRateDividedbySteadyStateACLatentCapacity
      end
      # @return [Curve]
      def energyPartLoadFractionCurve
      end
      # @return [String]
      def condenserType
      end
      # @return [OptionalDouble]
      def evaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [Boolean]
      def isEvaporativeCondenserPumpRatedPowerConsumptionAutosized
      end
      # @return [Double]
      def crankcaseHeaterCapacity
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation
      end
      # @return [Double]
      def basinHeaterCapacity
      end
      # @return [Double]
      def basinHeaterSetpointTemperature
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      def setNominalSpeedLevel(int32)
      end
      def setGrossRatedTotalCoolingCapacityAtSelectedNominalSpeedLevel(double)
      end
      def autosizeGrossRatedTotalCoolingCapacityAtSelectedNominalSpeedLevel
      end
      def setRatedAirFlowRateAtSelectedNominalSpeedLevel(double)
      end
      def autosizeRatedAirFlowRateAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def setNominalTimeforCondensatetoBeginLeavingtheCoil(double)
      end
      # @return [Boolean]
      def setInitialMoistureEvaporationRateDividedbySteadyStateACLatentCapacity(double)
      end
      # @return [Boolean]
      def setEnergyPartLoadFractionCurve(curve)
      end
      # @return [Boolean]
      def setCondenserType(string)
      end
      # @return [Boolean]
      def setEvaporativeCondenserPumpRatedPowerConsumption(double)
      end
      def autosizeEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [Boolean]
      def setCrankcaseHeaterCapacity(double)
      end
      # @return [Boolean]
      def setMaximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation(double)
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(double)
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(double)
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      # @return [CoilCoolingDXVariableSpeedSpeedDataVector]
      def speeds
      end
      # @return [Boolean]
      def addSpeed(coilCoolingDXVariableSpeedSpeedData)
      end
      def removeSpeed(coilCoolingDXVariableSpeedSpeedData)
      end
      def removeAllSpeeds
      end
    end
  end
end