require 'openstudio'
module OpenStudio
  module Model
    class CoilHeatingDXSingleSpeed < StraightComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validDefrostStrategyValues
      end
      # @return [StringVector]
      def self.validDefrostControlValues
      end
      # @return [Schedule]
      def availabilitySchedule
      end
      # @return [OptionalDouble]
      def ratedTotalHeatingCapacity
      end
      # @return [Boolean]
      def isRatedTotalHeatingCapacityAutosized
      end
      # @return [Double]
      def ratedCOP
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutosized
      end
      # @return [Double]
      def ratedSupplyFanPowerPerVolumeFlowRate
      end
      # @return [Double]
      def minimumOutdoorDryBulbTemperatureforCompressorOperation
      end
      # @return [Boolean]
      def isMinimumOutdoorDryBulbTemperatureforCompressorOperationDefaulted
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforDefrostOperation
      end
      # @return [Boolean]
      def isMaximumOutdoorDryBulbTemperatureforDefrostOperationDefaulted
      end
      # @return [Double]
      def crankcaseHeaterCapacity
      end
      # @return [Boolean]
      def isCrankcaseHeaterCapacityDefaulted
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation
      end
      # @return [Boolean]
      def isMaximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperationDefaulted
      end
      # @return [String]
      def defrostStrategy
      end
      # @return [Boolean]
      def isDefrostStrategyDefaulted
      end
      # @return [String]
      def defrostControl
      end
      # @return [Boolean]
      def isDefrostControlDefaulted
      end
      # @return [Double]
      def defrostTimePeriodFraction
      end
      # @return [Boolean]
      def isDefrostTimePeriodFractionDefaulted
      end
      # @return [OptionalDouble]
      def resistiveDefrostHeaterCapacity
      end
      # @return [Boolean]
      def isResistiveDefrostHeaterCapacityDefaulted
      end
      # @return [Boolean]
      def isResistiveDefrostHeaterCapacityAutosized
      end
      # @return [Boolean]
      def setRatedTotalHeatingCapacity(double)
      end
      def autosizeRatedTotalHeatingCapacity
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      # @return [Boolean]
      def setRatedCOP(double)
      end
      # @return [Boolean]
      def setRatedAirFlowRate(double)
      end
      def autosizeRatedAirFlowRate
      end
      # @return [Boolean]
      def setRatedSupplyFanPowerPerVolumeFlowRate(double)
      end
      # @return [Boolean]
      def setMinimumOutdoorDryBulbTemperatureforCompressorOperation(double)
      end
      def resetMinimumOutdoorDryBulbTemperatureforCompressorOperation
      end
      # @return [Boolean]
      def setMaximumOutdoorDryBulbTemperatureforDefrostOperation(double)
      end
      def resetMaximumOutdoorDryBulbTemperatureforDefrostOperation
      end
      # @return [Boolean]
      def setCrankcaseHeaterCapacity(double)
      end
      def resetCrankcaseHeaterCapacity
      end
      # @return [Boolean]
      def setMaximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation(double)
      end
      def resetMaximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation
      end
      # @return [Boolean]
      def setDefrostStrategy(string)
      end
      def resetDefrostStrategy
      end
      # @return [Boolean]
      def setDefrostControl(string)
      end
      def resetDefrostControl
      end
      # @return [Boolean]
      def setDefrostTimePeriodFraction(double)
      end
      def resetDefrostTimePeriodFraction
      end
      # @return [Boolean]
      def setResistiveDefrostHeaterCapacity(double)
      end
      def resetResistiveDefrostHeaterCapacity
      end
      def autosizeResistiveDefrostHeaterCapacity
      end
      # @return [Curve]
      def totalHeatingCapacityFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setTotalHeatingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Curve]
      def totalHeatingCapacityFunctionofFlowFractionCurve
      end
      # @return [Boolean]
      def setTotalHeatingCapacityFunctionofFlowFractionCurve(curve)
      end
      # @return [Curve]
      def energyInputRatioFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Curve]
      def energyInputRatioFunctionofFlowFractionCurve
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofFlowFractionCurve(curve)
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
      # @return [OptionalCurve]
      def defrostEnergyInputRatioFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setDefrostEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      def resetDefrostEnergyInputRatioFunctionofTemperatureCurve
      end
    end
  end
end