require 'openstudio'
module OpenStudio
  module Model
    class CoilWaterHeatingAirToWaterHeatPump < HVACComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.evaporatorAirTemperatureTypeforCurveObjectsValues
      end
      # @return [Double]
      def ratedHeatingCapacity
      end
      # @return [Double]
      def ratedCOP
      end
      # @return [Double]
      def ratedSensibleHeatRatio
      end
      # @return [Double]
      def ratedEvaporatorInletAirDryBulbTemperature
      end
      # @return [Double]
      def ratedEvaporatorInletAirWetBulbTemperature
      end
      # @return [Double]
      def ratedCondenserInletWaterTemperature
      end
      # @return [OptionalDouble]
      def ratedEvaporatorAirFlowRate
      end
      # @return [Boolean]
      def isRatedEvaporatorAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def ratedCondenserWaterFlowRate
      end
      # @return [Boolean]
      def isRatedCondenserWaterFlowRateAutosized
      end
      # @return [Boolean]
      def evaporatorFanPowerIncludedinRatedCOP
      end
      # @return [Boolean]
      def condenserPumpPowerIncludedinRatedCOP
      end
      # @return [Boolean]
      def condenserPumpHeatIncludedinRatedHeatingCapacityandRatedCOP
      end
      # @return [Double]
      def condenserWaterPumpPower
      end
      # @return [Double]
      def fractionofCondenserPumpHeattoWater
      end
      # @return [Double]
      def crankcaseHeaterCapacity
      end
      # @return [Double]
      def maximumAmbientTemperatureforCrankcaseHeaterOperation
      end
      # @return [String]
      def evaporatorAirTemperatureTypeforCurveObjects
      end
      # @return [Curve]
      def heatingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingCapacityFunctionofAirFlowFractionCurve
      end
      # @return [Curve]
      def heatingCapacityFunctionofWaterFlowFractionCurve
      end
      # @return [Curve]
      def heatingCOPFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingCOPFunctionofAirFlowFractionCurve
      end
      # @return [Curve]
      def heatingCOPFunctionofWaterFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Boolean]
      def setRatedHeatingCapacity(double)
      end
      # @return [Boolean]
      def setRatedCOP(double)
      end
      # @return [Boolean]
      def setRatedSensibleHeatRatio(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorInletAirDryBulbTemperature(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorInletAirWetBulbTemperature(double)
      end
      # @return [Boolean]
      def setRatedCondenserInletWaterTemperature(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorAirFlowRate(double)
      end
      def autosizeRatedEvaporatorAirFlowRate
      end
      # @return [Boolean]
      def setRatedCondenserWaterFlowRate(double)
      end
      def autosizeRatedCondenserWaterFlowRate
      end
      def setEvaporatorFanPowerIncludedinRatedCOP(boolean)
      end
      def setCondenserPumpPowerIncludedinRatedCOP(boolean)
      end
      def setCondenserPumpHeatIncludedinRatedHeatingCapacityandRatedCOP(boolean)
      end
      # @return [Boolean]
      def setCondenserWaterPumpPower(double)
      end
      # @return [Boolean]
      def setFractionofCondenserPumpHeattoWater(double)
      end
      # @return [Boolean]
      def setCrankcaseHeaterCapacity(double)
      end
      # @return [Boolean]
      def setMaximumAmbientTemperatureforCrankcaseHeaterOperation(double)
      end
      # @return [Boolean]
      def setEvaporatorAirTemperatureTypeforCurveObjects(string)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofAirFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofWaterFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCOPFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCOPFunctionofAirFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCOPFunctionofWaterFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
    end
  end
end