require 'openstudio'
module OpenStudio
  module Model
    class CoilWaterHeatingAirToWaterHeatPumpWrapped < ModelObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.evaporatorAirTemperatureTypeforCurveObjectsValues
      end
      # @return [Double]
      def ratedHeatingCapacity
      end
      # @return [Double]
      def ratedCOP
      end
      # @return [Double]
      def ratedSensibleHeatRatio
      end
      # @return [Double]
      def ratedEvaporatorInletAirDryBulbTemperature
      end
      # @return [Double]
      def ratedEvaporatorInletAirWetBulbTemperature
      end
      # @return [Double]
      def ratedCondenserWaterTemperature
      end
      # @return [OptionalDouble]
      def ratedEvaporatorAirFlowRate
      end
      # @return [Boolean]
      def isRatedEvaporatorAirFlowRateAutocalculated
      end
      # @return [Boolean]
      def evaporatorFanPowerIncludedinRatedCOP
      end
      # @return [Double]
      def crankcaseHeaterCapacity
      end
      # @return [Double]
      def maximumAmbientTemperatureforCrankcaseHeaterOperation
      end
      # @return [String]
      def evaporatorAirTemperatureTypeforCurveObjects
      end
      # @return [Curve]
      def heatingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingCapacityFunctionofAirFlowFractionCurve
      end
      # @return [Curve]
      def heatingCOPFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingCOPFunctionofAirFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Boolean]
      def setRatedHeatingCapacity(double)
      end
      # @return [Boolean]
      def setRatedCOP(double)
      end
      # @return [Boolean]
      def setRatedSensibleHeatRatio(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorInletAirDryBulbTemperature(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorInletAirWetBulbTemperature(double)
      end
      # @return [Boolean]
      def setRatedCondenserWaterTemperature(double)
      end
      # @return [Boolean]
      def setRatedEvaporatorAirFlowRate(double)
      end
      def autocalculateRatedEvaporatorAirFlowRate
      end
      def setEvaporatorFanPowerIncludedinRatedCOP(boolean)
      end
      # @return [Boolean]
      def setCrankcaseHeaterCapacity(double)
      end
      # @return [Boolean]
      def setMaximumAmbientTemperatureforCrankcaseHeaterOperation(double)
      end
      # @return [Boolean]
      def setEvaporatorAirTemperatureTypeforCurveObjects(string)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofAirFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCOPFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCOPFunctionofAirFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
    end
  end
end