require 'openstudio'
module OpenStudio
  module Model
    class ConstructionBase < ResourceObject
      # @return [StandardsInformationConstruction]
      def standardsInformation
      end
      # @return [Double]
      def getNetArea
      end
      # @return [Boolean]
      def isOpaque
      end
      # @return [Boolean]
      def isFenestration
      end
      # @return [Boolean]
      def isSolarDiffusing
      end
      # @return [Boolean]
      def isModelPartition
      end
      # @return [Boolean]
      def isGreenRoof
      end
      # @return [OptionalDouble]
      def heatCapacity
      end
      # @return [OptionalDouble]
      def interiorVisibleAbsorptance
      end
      # @return [OptionalDouble]
      def interiorVisibleAbsorbtance
      end
      # @return [OptionalDouble]
      def exteriorVisibleAbsorptance
      end
      # @return [OptionalDouble]
      def exteriorVisibleAbsorbtance
      end
      # @return [OptionalDouble]
      def visibleTransmittance
      end
      # @return [OptionalRenderingColor]
      def renderingColor
      end
      # @return [Boolean]
      def setRenderingColor(renderingColor)
      end
      def resetRenderingColor
      end
      # @return [Boolean]
      def setUFactor(*args)
      end
      # @return [Boolean]
      def setConductance(*args)
      end
      # @return [OptionalDouble]
      def uFactor(*args)
      end
      # @return [OptionalDouble]
      def thermalConductance(*args)
      end
    end
  end
end