require 'openstudio'
module OpenStudio
  module Model
    class ControllerOutdoorAir < ParentObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalSchedule]
      def minimumOutdoorAirSchedule
      end
      # @return [Boolean]
      def setMinimumOutdoorAirSchedule(schedule)
      end
      def resetMinimumOutdoorAirSchedule
      end
      # @return [OptionalSchedule]
      def minimumFractionofOutdoorAirSchedule
      end
      # @return [Boolean]
      def setMinimumFractionofOutdoorAirSchedule(schedule)
      end
      def resetMinimumFractionofOutdoorAirSchedule
      end
      # @return [OptionalSchedule]
      def maximumFractionofOutdoorAirSchedule
      end
      # @return [Boolean]
      def setMaximumFractionofOutdoorAirSchedule(schedule)
      end
      def resetMaximumFractionofOutdoorAirSchedule
      end
      # @return [OptionalSchedule]
      def timeofDayEconomizerControlSchedule
      end
      # @return [Boolean]
      def setTimeofDayEconomizerControlSchedule(schedule)
      end
      def resetTimeofDayEconomizerControlSchedule
      end
      # @return [OptionalDouble]
      def minimumOutdoorAirFlowRate
      end
      # @return [Boolean]
      def isMinimumOutdoorAirFlowRateAutosized
      end
      def autosizeMinimumOutdoorAirFlowRate
      end
      # @return [OptionalDouble]
      def maximumOutdoorAirFlowRate
      end
      # @return [Boolean]
      def isMaximumOutdoorAirFlowRateAutosized
      end
      def autosizeMaximumOutdoorAirFlowRate
      end
      # @return [ControllerMechanicalVentilation]
      def controllerMechanicalVentilation
      end
      # @return [Boolean]
      def setControllerMechanicalVentilation(controllerMechanicalVentilation)
      end
      # @return [String]
      def getEconomizerControlType
      end
      def setEconomizerControlType(string)
      end
      # @return [String]
      def getEconomizerControlActionType
      end
      def setEconomizerControlActionType(string)
      end
      # @return [OptionalDouble]
      def getEconomizerMaximumLimitDryBulbTemperature
      end
      # @return [Boolean]
      def setEconomizerMaximumLimitDryBulbTemperature(double)
      end
      def resetEconomizerMaximumLimitDryBulbTemperature
      end
      # @return [OptionalDouble]
      def getEconomizerMaximumLimitEnthalpy
      end
      # @return [Boolean]
      def setEconomizerMaximumLimitEnthalpy(double)
      end
      def resetEconomizerMaximumLimitEnthalpy
      end
      # @return [OptionalDouble]
      def getEconomizerMaximumLimitDewpointTemperature
      end
      # @return [Boolean]
      def setEconomizerMaximumLimitDewpointTemperature(double)
      end
      def resetEconomizerMaximumLimitDewpointTemperature
      end
      # @return [OptionalDouble]
      def getEconomizerMinimumLimitDryBulbTemperature
      end
      # @return [Boolean]
      def setEconomizerMinimumLimitDryBulbTemperature(double)
      end
      def resetEconomizerMinimumLimitDryBulbTemperature
      end
      # @return [String]
      def getLockoutType
      end
      def setLockoutType(string)
      end
      # @return [String]
      def getMinimumLimitType
      end
      def setMinimumLimitType(string)
      end
      # @return [OptionalBool]
      def getHighHumidityControl
      end
      def setHighHumidityControl(boolean)
      end
      # @return [OptionalDouble]
      def getHighHumidityOutdoorAirFlowRatio
      end
      def setHighHumidityOutdoorAirFlowRatio(double)
      end
      # @return [OptionalBool]
      def getControlHighIndoorHumidityBasedOnOutdoorHumidityRatio
      end
      def setControlHighIndoorHumidityBasedOnOutdoorHumidityRatio(boolean)
      end
      # @return [OptionalString]
      def getHeatRecoveryBypassControlType
      end
      def setHeatRecoveryBypassControlType(string)
      end
      # @return [OptionalAirLoopHVACOutdoorAirSystem]
      def airLoopHVACOutdoorAirSystem
      end
      # @return [OSOptionalQuantity]
      def getMinimumOutdoorAirFlowRate(*args)
      end
      def setMinimumOutdoorAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumOutdoorAirFlowRate(*args)
      end
      def setMaximumOutdoorAirFlowRate(*args)
      end
    end
  end
end