require 'openstudio'
module OpenStudio
  module Model
    class CoolingTowerSingleSpeed < StraightComponent
      def self.new(model)
      end
      def resetEvaporationLossFactor
      end
      def resetDriftLossPercent
      end
      # @return [Boolean]
      def setBlowdownCalculationMode(string)
      end
      def resetBlowdownCalculationMode
      end
      def resetBlowdownConcentrationRatio
      end
      # @return [Boolean]
      def setBlowdownMakeupWaterUsageSchedule(schedule)
      end
      def resetBlowdownMakeupWaterUsageSchedule
      end
      # @return [Boolean]
      def setCapacityControl(string)
      end
      def resetCapacityControl
      end
      # @return [Boolean]
      def setNumberofCells(int32)
      end
      def resetNumberofCells
      end
      # @return [Boolean]
      def setCellControl(string)
      end
      def resetCellControl
      end
      def resetCellMinimumWaterFlowRateFraction
      end
      def resetCellMaximumWaterFlowRateFraction
      end
      def resetSizingFactor
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.performanceInputMethodValues
      end
      # @return [StringVector]
      def self.evaporationLossModeValues
      end
      # @return [StringVector]
      def self.blowdownCalculationModeValues
      end
      # @return [StringVector]
      def self.capacityControlValues
      end
      # @return [StringVector]
      def self.cellControlValues
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def designAirFlowRate
      end
      # @return [Boolean]
      def isDesignAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def fanPoweratDesignAirFlowRate
      end
      # @return [Boolean]
      def isFanPoweratDesignAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def uFactorTimesAreaValueatDesignAirFlowRate
      end
      # @return [Boolean]
      def isUFactorTimesAreaValueatDesignAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def airFlowRateinFreeConvectionRegime
      end
      # @return [Boolean]
      def isAirFlowRateinFreeConvectionRegimeDefaulted
      end
      # @return [Boolean]
      def isAirFlowRateinFreeConvectionRegimeAutosized
      end
      # @return [OptionalDouble]
      def uFactorTimesAreaValueatFreeConvectionAirFlowRate
      end
      # @return [Boolean]
      def isUFactorTimesAreaValueatFreeConvectionAirFlowRateDefaulted
      end
      # @return [Boolean]
      def isUFactorTimesAreaValueatFreeConvectionAirFlowRateAutosized
      end
      # @return [String]
      def performanceInputMethod
      end
      # @return [Boolean]
      def isPerformanceInputMethodDefaulted
      end
      # @return [OptionalDouble]
      def nominalCapacity
      end
      # @return [OptionalDouble]
      def freeConvectionCapacity
      end
      # @return [Double]
      def basinHeaterCapacity
      end
      # @return [Boolean]
      def isBasinHeaterCapacityDefaulted
      end
      # @return [Double]
      def basinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def isBasinHeaterSetpointTemperatureDefaulted
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      # @return [OptionalString]
      def evaporationLossMode
      end
      # @return [Double]
      def evaporationLossFactor
      end
      # @return [Boolean]
      def isEvaporationLossFactorDefaulted
      end
      # @return [Double]
      def driftLossPercent
      end
      # @return [Boolean]
      def isDriftLossPercentDefaulted
      end
      # @return [OptionalString]
      def blowdownCalculationMode
      end
      # @return [Double]
      def blowdownConcentrationRatio
      end
      # @return [Boolean]
      def isBlowdownConcentrationRatioDefaulted
      end
      # @return [OptionalSchedule]
      def blowdownMakeupWaterUsageSchedule
      end
      # @return [String]
      def capacityControl
      end
      # @return [Boolean]
      def isCapacityControlDefaulted
      end
      # @return [Int32]
      def numberofCells
      end
      # @return [Boolean]
      def isNumberofCellsDefaulted
      end
      # @return [String]
      def cellControl
      end
      # @return [Boolean]
      def isCellControlDefaulted
      end
      # @return [Double]
      def cellMinimumWaterFlowRateFraction
      end
      # @return [Boolean]
      def isCellMinimumWaterFlowRateFractionDefaulted
      end
      # @return [Double]
      def cellMaximumWaterFlowRateFraction
      end
      # @return [Boolean]
      def isCellMaximumWaterFlowRateFractionDefaulted
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      def resetDesignWaterFlowRate
      end
      def autosizeDesignWaterFlowRate
      end
      def autosizeDesignAirFlowRate
      end
      def autosizeFanPoweratDesignAirFlowRate
      end
      def resetUFactorTimesAreaValueatDesignAirFlowRate
      end
      def autosizeUFactorTimesAreaValueatDesignAirFlowRate
      end
      def resetAirFlowRateinFreeConvectionRegime
      end
      def autosizeAirFlowRateinFreeConvectionRegime
      end
      def resetUFactorTimesAreaValueatFreeConvectionAirFlowRate
      end
      def autosizeUFactorTimesAreaValueatFreeConvectionAirFlowRate
      end
      # @return [Boolean]
      def setPerformanceInputMethod(string)
      end
      def resetPerformanceInputMethod
      end
      def resetNominalCapacity
      end
      def resetFreeConvectionCapacity
      end
      def resetBasinHeaterCapacity
      end
      def resetBasinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      # @return [Boolean]
      def setEvaporationLossMode(string)
      end
      def resetEvaporationLossMode
      end
      def setDriftLossPercent(*args)
      end
      # @return [Boolean]
      def setBlowdownConcentrationRatio(*args)
      end
      # @return [Boolean]
      def setCellMinimumWaterFlowRateFraction(*args)
      end
      # @return [Boolean]
      def setCellMaximumWaterFlowRateFraction(*args)
      end
      # @return [Boolean]
      def setSizingFactor(*args)
      end
      # @return [OSOptionalQuantity]
      def getDesignWaterFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getDesignAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getFanPoweratDesignAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getUFactorTimesAreaValueatDesignAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getAirFlowRateinFreeConvectionRegime(*args)
      end
      # @return [OSOptionalQuantity]
      def getUFactorTimesAreaValueatFreeConvectionAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getNominalCapacity(*args)
      end
      # @return [OSOptionalQuantity]
      def getFreeConvectionCapacity(*args)
      end
      # @return [Quantity]
      def getBasinHeaterCapacity(*args)
      end
      # @return [Quantity]
      def getBasinHeaterSetpointTemperature(*args)
      end
      # @return [Quantity]
      def getEvaporationLossFactor(*args)
      end
      # @return [Quantity]
      def getDriftLossPercent(*args)
      end
      # @return [Quantity]
      def getBlowdownConcentrationRatio(*args)
      end
      # @return [Quantity]
      def getCellMinimumWaterFlowRateFraction(*args)
      end
      # @return [Quantity]
      def getCellMaximumWaterFlowRateFraction(*args)
      end
      # @return [Quantity]
      def getSizingFactor(*args)
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(*args)
      end
      # @return [Boolean]
      def setDesignAirFlowRate(*args)
      end
      # @return [Boolean]
      def setFanPoweratDesignAirFlowRate(*args)
      end
      # @return [Boolean]
      def setUFactorTimesAreaValueatDesignAirFlowRate(*args)
      end
      # @return [Boolean]
      def setAirFlowRateinFreeConvectionRegime(*args)
      end
      # @return [Boolean]
      def setUFactorTimesAreaValueatFreeConvectionAirFlowRate(*args)
      end
      # @return [Boolean]
      def setNominalCapacity(*args)
      end
      # @return [Boolean]
      def setFreeConvectionCapacity(*args)
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(*args)
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(*args)
      end
      def setEvaporationLossFactor(*args)
      end
    end
  end
end