require 'openstudio'
module OpenStudio
  module Model
    class CoolingTowerTwoSpeed < StraightComponent
      def self.new(model)
      end
      def resetBasinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      # @return [Boolean]
      def setEvaporationLossMode(string)
      end
      def resetEvaporationLossMode
      end
      def setEvaporationLossFactor(double)
      end
      def resetEvaporationLossFactor
      end
      def setDriftLossPercent(double)
      end
      def resetDriftLossPercent
      end
      # @return [Boolean]
      def setBlowdownCalculationMode(string)
      end
      def resetBlowdownCalculationMode
      end
      # @return [Boolean]
      def setBlowdownConcentrationRatio(double)
      end
      def resetBlowdownConcentrationRatio
      end
      # @return [Boolean]
      def setBlowdownMakeupWaterUsageSchedule(schedule)
      end
      def resetBlowdownMakeupWaterUsageSchedule
      end
      # @return [Boolean]
      def setNumberofCells(int32)
      end
      def resetNumberofCells
      end
      # @return [Boolean]
      def setCellControl(string)
      end
      def resetCellControl
      end
      # @return [Boolean]
      def setCellMinimumWaterFlowRateFraction(double)
      end
      def resetCellMinimumWaterFlowRateFraction
      end
      # @return [Boolean]
      def setCellMaximumWaterFlowRateFraction(double)
      end
      def resetCellMaximumWaterFlowRateFraction
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.performanceInputMethodValues
      end
      # @return [StringVector]
      def self.evaporationLossModeValues
      end
      # @return [StringVector]
      def self.blowdownCalculationModeValues
      end
      # @return [StringVector]
      def self.cellControlValues
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isHighFanSpeedAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedFanPower
      end
      # @return [Boolean]
      def isHighFanSpeedFanPowerAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedUFactorTimesAreaValue
      end
      # @return [Boolean]
      def isHighFanSpeedUFactorTimesAreaValueAutosized
      end
      # @return [OptionalDouble]
      def lowFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isLowFanSpeedAirFlowRateAutosized
      end
      # @return [Double]
      def lowFanSpeedAirFlowRateSizingFactor
      end
      # @return [Boolean]
      def isLowFanSpeedAirFlowRateSizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def lowFanSpeedFanPower
      end
      # @return [Boolean]
      def isLowFanSpeedFanPowerAutosized
      end
      # @return [Double]
      def lowFanSpeedFanPowerSizingFactor
      end
      # @return [Boolean]
      def isLowFanSpeedFanPowerSizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def lowFanSpeedUFactorTimesAreaValue
      end
      # @return [Boolean]
      def isLowFanSpeedUFactorTimesAreaValueAutosized
      end
      # @return [Double]
      def lowFanSpeedUFactorTimesAreaSizingFactor
      end
      # @return [Boolean]
      def isLowFanSpeedUFactorTimesAreaSizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def freeConvectionRegimeAirFlowRate
      end
      # @return [Boolean]
      def isFreeConvectionRegimeAirFlowRateDefaulted
      end
      # @return [Boolean]
      def isFreeConvectionRegimeAirFlowRateAutosized
      end
      # @return [Double]
      def freeConvectionRegimeAirFlowRateSizingFactor
      end
      # @return [Boolean]
      def isFreeConvectionRegimeAirFlowRateSizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def freeConvectionRegimeUFactorTimesAreaValue
      end
      # @return [Boolean]
      def isFreeConvectionRegimeUFactorTimesAreaValueDefaulted
      end
      # @return [Boolean]
      def isFreeConvectionRegimeUFactorTimesAreaValueAutosized
      end
      # @return [Double]
      def freeConvectionUFactorTimesAreaValueSizingFactor
      end
      # @return [Boolean]
      def isFreeConvectionUFactorTimesAreaValueSizingFactorDefaulted
      end
      # @return [String]
      def performanceInputMethod
      end
      # @return [Boolean]
      def isPerformanceInputMethodDefaulted
      end
      # @return [Double]
      def heatRejectionCapacityandNominalCapacitySizingRatio
      end
      # @return [Boolean]
      def isHeatRejectionCapacityandNominalCapacitySizingRatioDefaulted
      end
      # @return [OptionalDouble]
      def highSpeedNominalCapacity
      end
      # @return [OptionalDouble]
      def lowSpeedNominalCapacity
      end
      # @return [Boolean]
      def isLowSpeedNominalCapacityAutosized
      end
      # @return [Double]
      def lowSpeedNominalCapacitySizingFactor
      end
      # @return [Boolean]
      def isLowSpeedNominalCapacitySizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def freeConvectionNominalCapacity
      end
      # @return [Boolean]
      def isFreeConvectionNominalCapacityAutosized
      end
      # @return [Double]
      def freeConvectionNominalCapacitySizingFactor
      end
      # @return [Boolean]
      def isFreeConvectionNominalCapacitySizingFactorDefaulted
      end
      # @return [Double]
      def basinHeaterCapacity
      end
      # @return [Boolean]
      def isBasinHeaterCapacityDefaulted
      end
      # @return [Double]
      def basinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def isBasinHeaterSetpointTemperatureDefaulted
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      # @return [OptionalString]
      def evaporationLossMode
      end
      # @return [Double]
      def evaporationLossFactor
      end
      # @return [Boolean]
      def isEvaporationLossFactorDefaulted
      end
      # @return [Double]
      def driftLossPercent
      end
      # @return [Boolean]
      def isDriftLossPercentDefaulted
      end
      # @return [OptionalString]
      def blowdownCalculationMode
      end
      # @return [Double]
      def blowdownConcentrationRatio
      end
      # @return [Boolean]
      def isBlowdownConcentrationRatioDefaulted
      end
      # @return [OptionalSchedule]
      def blowdownMakeupWaterUsageSchedule
      end
      # @return [Int32]
      def numberofCells
      end
      # @return [Boolean]
      def isNumberofCellsDefaulted
      end
      # @return [String]
      def cellControl
      end
      # @return [Boolean]
      def isCellControlDefaulted
      end
      # @return [Double]
      def cellMinimumWaterFlowRateFraction
      end
      # @return [Boolean]
      def isCellMinimumWaterFlowRateFractionDefaulted
      end
      # @return [Double]
      def cellMaximumWaterFlowRateFraction
      end
      # @return [Boolean]
      def isCellMaximumWaterFlowRateFractionDefaulted
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def resetDesignWaterFlowRate
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [Boolean]
      def setHighFanSpeedAirFlowRate(double)
      end
      def autosizeHighFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def setHighFanSpeedFanPower(double)
      end
      def autosizeHighFanSpeedFanPower
      end
      # @return [Boolean]
      def setHighFanSpeedUFactorTimesAreaValue(double)
      end
      def resetHighFanSpeedUFactorTimesAreaValue
      end
      def autosizeHighFanSpeedUFactorTimesAreaValue
      end
      # @return [Boolean]
      def setLowFanSpeedAirFlowRate(double)
      end
      def autosizeLowFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def setLowFanSpeedAirFlowRateSizingFactor(double)
      end
      def resetLowFanSpeedAirFlowRateSizingFactor
      end
      # @return [Boolean]
      def setLowFanSpeedFanPower(double)
      end
      def autosizeLowFanSpeedFanPower
      end
      # @return [Boolean]
      def setLowFanSpeedFanPowerSizingFactor(double)
      end
      def resetLowFanSpeedFanPowerSizingFactor
      end
      # @return [Boolean]
      def setLowFanSpeedUFactorTimesAreaValue(double)
      end
      def resetLowFanSpeedUFactorTimesAreaValue
      end
      def autosizeLowFanSpeedUFactorTimesAreaValue
      end
      # @return [Boolean]
      def setLowFanSpeedUFactorTimesAreaSizingFactor(double)
      end
      def resetLowFanSpeedUFactorTimesAreaSizingFactor
      end
      # @return [Boolean]
      def setFreeConvectionRegimeAirFlowRate(double)
      end
      def resetFreeConvectionRegimeAirFlowRate
      end
      def autosizeFreeConvectionRegimeAirFlowRate
      end
      # @return [Boolean]
      def setFreeConvectionRegimeAirFlowRateSizingFactor(double)
      end
      def resetFreeConvectionRegimeAirFlowRateSizingFactor
      end
      # @return [Boolean]
      def setFreeConvectionRegimeUFactorTimesAreaValue(double)
      end
      def resetFreeConvectionRegimeUFactorTimesAreaValue
      end
      def autosizeFreeConvectionRegimeUFactorTimesAreaValue
      end
      # @return [Boolean]
      def setFreeConvectionUFactorTimesAreaValueSizingFactor(double)
      end
      def resetFreeConvectionUFactorTimesAreaValueSizingFactor
      end
      # @return [Boolean]
      def setPerformanceInputMethod(string)
      end
      def resetPerformanceInputMethod
      end
      def setHeatRejectionCapacityandNominalCapacitySizingRatio(double)
      end
      def resetHeatRejectionCapacityandNominalCapacitySizingRatio
      end
      # @return [Boolean]
      def setHighSpeedNominalCapacity(double)
      end
      def resetHighSpeedNominalCapacity
      end
      # @return [Boolean]
      def setLowSpeedNominalCapacity(double)
      end
      def resetLowSpeedNominalCapacity
      end
      def autosizeLowSpeedNominalCapacity
      end
      # @return [Boolean]
      def setLowSpeedNominalCapacitySizingFactor(double)
      end
      def resetLowSpeedNominalCapacitySizingFactor
      end
      # @return [Boolean]
      def setFreeConvectionNominalCapacity(double)
      end
      def resetFreeConvectionNominalCapacity
      end
      def autosizeFreeConvectionNominalCapacity
      end
      # @return [Boolean]
      def setFreeConvectionNominalCapacitySizingFactor(double)
      end
      def resetFreeConvectionNominalCapacitySizingFactor
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(double)
      end
      def resetBasinHeaterCapacity
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(double)
      end
    end
  end
end