require 'openstudio'
module OpenStudio
  module Model
    class CoolingTowerVariableSpeed < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.modelTypeValues
      end
      # @return [StringVector]
      def self.evaporationLossModeValues
      end
      # @return [StringVector]
      def self.blowdownCalculationModeValues
      end
      # @return [StringVector]
      def self.cellControlValues
      end
      # @return [OptionalString]
      def modelType
      end
      # @return [Boolean]
      def setModelType(string)
      end
      def resetModelType
      end
      # @return [OptionalModelObject]
      def modelCoefficient
      end
      # @return [Boolean]
      def setModelCoefficient(modelObject)
      end
      def resetModelCoefficient
      end
      # @return [OptionalDouble]
      def designInletAirWetBulbTemperature
      end
      # @return [Boolean]
      def setDesignInletAirWetBulbTemperature(double)
      end
      def resetDesignInletAirWetBulbTemperature
      end
      # @return [OptionalDouble]
      def designApproachTemperature
      end
      # @return [Boolean]
      def setDesignApproachTemperature(double)
      end
      def resetDesignApproachTemperature
      end
      # @return [OptionalDouble]
      def designRangeTemperature
      end
      # @return [Boolean]
      def setDesignRangeTemperature(double)
      end
      def resetDesignRangeTemperature
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [OptionalDouble]
      def designAirFlowRate
      end
      # @return [Boolean]
      def isDesignAirFlowRateAutosized
      end
      # @return [Boolean]
      def setDesignAirFlowRate(double)
      end
      def autosizeDesignAirFlowRate
      end
      # @return [OptionalDouble]
      def designFanPower
      end
      # @return [Boolean]
      def isDesignFanPowerAutosized
      end
      # @return [Boolean]
      def setDesignFanPower(double)
      end
      def autosizeDesignFanPower
      end
      # @return [OptionalCurveCubic]
      def fanPowerRatioFunctionofAirFlowRateRatioCurve
      end
      # @return [Boolean]
      def setFanPowerRatioFunctionofAirFlowRateRatioCurve(curveCubic)
      end
      def resetFanPowerRatioFunctionofAirFlowRateRatioCurve
      end
      # @return [OptionalDouble]
      def minimumAirFlowRateRatio
      end
      # @return [Boolean]
      def setMinimumAirFlowRateRatio(double)
      end
      def resetMinimumAirFlowRateRatio
      end
      # @return [OptionalDouble]
      def fractionofTowerCapacityinFreeConvectionRegime
      end
      # @return [Boolean]
      def setFractionofTowerCapacityinFreeConvectionRegime(double)
      end
      def resetFractionofTowerCapacityinFreeConvectionRegime
      end
      # @return [OptionalDouble]
      def basinHeaterCapacity
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(double)
      end
      def resetBasinHeaterCapacity
      end
      # @return [OptionalDouble]
      def basinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(double)
      end
      def resetBasinHeaterSetpointTemperature
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      # @return [OptionalString]
      def evaporationLossMode
      end
      # @return [Boolean]
      def setEvaporationLossMode(string)
      end
      def resetEvaporationLossMode
      end
      # @return [Double]
      def evaporationLossFactor
      end
      # @return [Boolean]
      def isEvaporationLossFactorDefaulted
      end
      def setEvaporationLossFactor(double)
      end
      def resetEvaporationLossFactor
      end
      # @return [OptionalDouble]
      def driftLossPercent
      end
      def setDriftLossPercent(double)
      end
      def resetDriftLossPercent
      end
      # @return [OptionalString]
      def blowdownCalculationMode
      end
      # @return [Boolean]
      def setBlowdownCalculationMode(string)
      end
      def resetBlowdownCalculationMode
      end
      # @return [OptionalDouble]
      def blowdownConcentrationRatio
      end
      # @return [Boolean]
      def setBlowdownConcentrationRatio(double)
      end
      def resetBlowdownConcentrationRatio
      end
      # @return [OptionalSchedule]
      def blowdownMakeupWaterUsageSchedule
      end
      # @return [Boolean]
      def setBlowdownMakeupWaterUsageSchedule(schedule)
      end
      def resetBlowdownMakeupWaterUsageSchedule
      end
      # @return [OptionalInt]
      def numberofCells
      end
      # @return [Boolean]
      def setNumberofCells(int32)
      end
      def resetNumberofCells
      end
      # @return [OptionalString]
      def cellControl
      end
      # @return [Boolean]
      def setCellControl(string)
      end
      def resetCellControl
      end
      # @return [OptionalDouble]
      def cellMinimumWaterFlowRateFraction
      end
      # @return [Boolean]
      def setCellMinimumWaterFlowRateFraction(double)
      end
      def resetCellMinimumWaterFlowRateFraction
      end
      # @return [OptionalDouble]
      def cellMaximumWaterFlowRateFraction
      end
      # @return [Boolean]
      def setCellMaximumWaterFlowRateFraction(double)
      end
      def resetCellMaximumWaterFlowRateFraction
      end
      # @return [OptionalDouble]
      def sizingFactor
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
    end
  end
end