require 'openstudio'
module OpenStudio
  module Model
    class DaylightingControl < SpaceItem
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validLightingControlTypeValues
      end
      # @return [Double]
      def positionXCoordinate
      end
      # @return [Double]
      def positionYCoordinate
      end
      # @return [Double]
      def positionZCoordinate
      end
      # @return [Double]
      def psiRotationAroundXAxis
      end
      # @return [Boolean]
      def isPsiRotationAroundXAxisDefaulted
      end
      # @return [Double]
      def thetaRotationAroundYAxis
      end
      # @return [Boolean]
      def isThetaRotationAroundYAxisDefaulted
      end
      # @return [Double]
      def phiRotationAroundZAxis
      end
      # @return [Boolean]
      def isPhiRotationAroundZAxisDefaulted
      end
      # @return [Double]
      def illuminanceSetpoint
      end
      # @return [Boolean]
      def isIlluminanceSetpointDefaulted
      end
      # @return [String]
      def lightingControlType
      end
      # @return [Boolean]
      def isLightingControlTypeDefaulted
      end
      # @return [Double]
      def minimumInputPowerFractionforContinuousDimmingControl
      end
      # @return [Boolean]
      def isMinimumInputPowerFractionforContinuousDimmingControlDefaulted
      end
      # @return [Double]
      def minimumLightOutputFractionforContinuousDimmingControl
      end
      # @return [Boolean]
      def isMinimumLightOutputFractionforContinuousDimmingControlDefaulted
      end
      # @return [Int32]
      def numberofSteppedControlSteps
      end
      # @return [Boolean]
      def isNumberofSteppedControlStepsDefaulted
      end
      # @return [Double]
      def probabilityLightingwillbeResetWhenNeededinManualSteppedControl
      end
      # @return [Boolean]
      def isProbabilityLightingwillbeResetWhenNeededinManualSteppedControlDefaulted
      end
      # @return [Int32]
      def numberofDaylightingViews
      end
      # @return [Boolean]
      def isNumberofDaylightingViewsDefaulted
      end
      # @return [OptionalDouble]
      def maximumAllowableDiscomfortGlareIndex
      end
      def setPositionXCoordinate(double)
      end
      def setPositionYCoordinate(double)
      end
      def setPositionZCoordinate(double)
      end
      def setPsiRotationAroundXAxis(double)
      end
      def resetPsiRotationAroundXAxis
      end
      def setThetaRotationAroundYAxis(double)
      end
      def resetThetaRotationAroundYAxis
      end
      def setPhiRotationAroundZAxis(double)
      end
      def resetPhiRotationAroundZAxis
      end
      # @return [Boolean]
      def setIlluminanceSetpoint(double)
      end
      def resetIlluminanceSetpoint
      end
      # @return [Boolean]
      def setLightingControlType(string)
      end
      def resetLightingControlType
      end
      # @return [Boolean]
      def setMinimumInputPowerFractionforContinuousDimmingControl(double)
      end
      def resetMinimumInputPowerFractionforContinuousDimmingControl
      end
      # @return [Boolean]
      def setMinimumLightOutputFractionforContinuousDimmingControl(double)
      end
      def resetMinimumLightOutputFractionforContinuousDimmingControl
      end
      def setNumberofSteppedControlSteps(int32)
      end
      def resetNumberofSteppedControlSteps
      end
      # @return [Boolean]
      def setProbabilityLightingwillbeResetWhenNeededinManualSteppedControl(double)
      end
      def resetProbabilityLightingwillbeResetWhenNeededinManualSteppedControl
      end
      # @return [Boolean]
      def setNumberofDaylightingViews(int32)
      end
      def resetNumberofDaylightingViews
      end
      # @return [Boolean]
      def setMaximumAllowableDiscomfortGlareIndex(double)
      end
      def resetMaximumAllowableDiscomfortGlareIndex
      end
      # @return [Point3d]
      def position
      end
      # @return [Boolean]
      def setPosition(point3d)
      end
      # @return [Transformation]
      def transformation
      end
      # @return [Boolean]
      def setTransformation(transformation)
      end
      # @return [Boolean]
      def isPrimaryDaylightingControl
      end
      # @return [Boolean]
      def isSecondaryDaylightingControl
      end
      # @return [Boolean]
      def aimAt(point3d)
      end
    end
  end
end