require 'openstudio'
module OpenStudio
  module Model
    class ElectricLoadCenterDistribution < ParentObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.generatorOperationSchemeTypeValues
      end
      # @return [StringVector]
      def self.electricalBussTypeValues
      end
      # @return [StringVector]
      def self.storageOperationSchemeValues
      end
      # @return [GeneratorVector]
      def generators
      end
      # @return [String]
      def generatorOperationSchemeType
      end
      # @return [Boolean]
      def isGeneratorOperationSchemeTypeDefaulted
      end
      # @return [OptionalDouble]
      def demandLimitSchemePurchasedElectricDemandLimit
      end
      # @return [OptionalSchedule]
      def trackScheduleSchemeSchedule
      end
      # @return [OptionalString]
      def trackMeterSchemeMeterName
      end
      # @return [String]
      def electricalBussType
      end
      # @return [Boolean]
      def isElectricalBussTypeDefaulted
      end
      # @return [OptionalInverter]
      def inverter
      end
      # @return [OptionalElectricalStorage]
      def electricalStorage
      end
      # @return [String]
      def storageOperationScheme
      end
      # @return [Boolean]
      def isStorageOperationSchemeDefaulted
      end
      # @return [OptionalString]
      def storageControlTrackMeterName
      end
      # @return [OptionalElectricLoadCenterStorageConverter]
      def storageConverter
      end
      # @return [Double]
      def maximumStorageStateofChargeFraction
      end
      # @return [Boolean]
      def isMaximumStorageStateofChargeFractionDefaulted
      end
      # @return [Double]
      def minimumStorageStateofChargeFraction
      end
      # @return [Boolean]
      def isMinimumStorageStateofChargeFractionDefaulted
      end
      # @return [OptionalDouble]
      def designStorageControlChargePower
      end
      # @return [OptionalSchedule]
      def storageChargePowerFractionSchedule
      end
      # @return [OptionalDouble]
      def designStorageControlDischargePower
      end
      # @return [OptionalSchedule]
      def storageDischargePowerFractionSchedule
      end
      # @return [OptionalDouble]
      def storageControlUtilityDemandTarget
      end
      # @return [Schedule]
      def storageControlUtilityDemandTargetFractionSchedule
      end
      # @return [Boolean]
      def isStorageControlUtilityDemandTargetFractionScheduleDefaulted
      end
      # @return [Boolean]
      def addGenerator(generator)
      end
      # @return [Boolean]
      def removeGenerator(generator)
      end
      def resetGenerators
      end
      # @return [Boolean]
      def setGeneratorOperationSchemeType(string)
      end
      def resetGeneratorOperationSchemeType
      end
      # @return [Boolean]
      def setDemandLimitSchemePurchasedElectricDemandLimit(double)
      end
      def resetDemandLimitSchemePurchasedElectricDemandLimit
      end
      # @return [Boolean]
      def setTrackScheduleSchemeSchedule(schedule)
      end
      def resetTrackScheduleSchemeSchedule
      end
      # @return [Boolean]
      def setTrackMeterSchemeMeterName(string)
      end
      def resetTrackMeterSchemeMeterName
      end
      # @return [Boolean]
      def setElectricalBussType(string)
      end
      def resetElectricalBussType
      end
      # @return [Boolean]
      def setInverter(inverter)
      end
      def resetInverter
      end
      # @return [Boolean]
      def setElectricalStorage(electricalStorage)
      end
      def resetElectricalStorage
      end
      # @return [Boolean]
      def setStorageOperationScheme(string)
      end
      def resetStorageOperationScheme
      end
      # @return [Boolean]
      def setStorageControlTrackMeterName(string)
      end
      def resetStorageControlTrackMeterName
      end
      # @return [Boolean]
      def setStorageConverter(electricLoadCenterStorageConverter)
      end
      def resetStorageConverter
      end
      # @return [Boolean]
      def setMaximumStorageStateofChargeFraction(double)
      end
      def resetMaximumStorageStateofChargeFraction
      end
      # @return [Boolean]
      def setMinimumStorageStateofChargeFraction(double)
      end
      def resetMinimumStorageStateofChargeFraction
      end
      # @return [Boolean]
      def setDesignStorageControlChargePower(double)
      end
      def resetDesignStorageControlChargePower
      end
      # @return [Boolean]
      def setStorageChargePowerFractionSchedule(schedule)
      end
      def resetStorageChargePowerFractionSchedule
      end
      # @return [Boolean]
      def setDesignStorageControlDischargePower(double)
      end
      def resetDesignStorageControlDischargePower
      end
      # @return [Boolean]
      def setStorageDischargePowerFractionSchedule(schedule)
      end
      def resetStorageDischargePowerFractionSchedule
      end
      # @return [Boolean]
      def setStorageControlUtilityDemandTarget(double)
      end
      def resetStorageControlUtilityDemandTarget
      end
      # @return [Boolean]
      def setStorageControlUtilityDemandTargetFractionSchedule(schedule)
      end
      def resetStorageControlUtilityDemandTargetFractionSchedule
      end
      # @return [Boolean]
      def validityCheck
      end
    end
  end
end