require 'openstudio'
module OpenStudio
  module Model
    class FluidCoolerTwoSpeed < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.performanceInputMethodValues
      end
      # @return [String]
      def performanceInputMethod
      end
      # @return [OptionalDouble]
      def highFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def isHighFanSpeedUfactorTimesAreaValueAutosized
      end
      # @return [OptionalDouble]
      def lowFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def isLowFanSpeedUfactorTimesAreaValueAutosized
      end
      # @return [Double]
      def lowFanSpeedUFactorTimesAreaSizingFactor
      end
      # @return [Double]
      def highSpeedNominalCapacity
      end
      # @return [OptionalDouble]
      def lowSpeedNominalCapacity
      end
      # @return [Boolean]
      def isLowSpeedNominalCapacityAutosized
      end
      # @return [Double]
      def lowSpeedNominalCapacitySizingFactor
      end
      # @return [Double]
      def designEnteringWaterTemperature
      end
      # @return [Double]
      def designEnteringAirTemperature
      end
      # @return [Double]
      def designEnteringAirWetbulbTemperature
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isHighFanSpeedAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedFanPower
      end
      # @return [Boolean]
      def isHighFanSpeedFanPowerAutosized
      end
      # @return [OptionalDouble]
      def lowFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isLowFanSpeedAirFlowRateAutosized
      end
      # @return [Double]
      def lowFanSpeedAirFlowRateSizingFactor
      end
      # @return [OptionalDouble]
      def lowFanSpeedFanPower
      end
      # @return [Boolean]
      def isLowFanSpeedFanPowerAutosized
      end
      # @return [Double]
      def lowFanSpeedFanPowerSizingFactor
      end
      # @return [OptionalNode]
      def outdoorAirInletNode
      end
      # @return [Boolean]
      def setPerformanceInputMethod(string)
      end
      # @return [Boolean]
      def setHighFanSpeedUfactorTimesAreaValue(double)
      end
      def autosizeHighFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def setLowFanSpeedUfactorTimesAreaValue(double)
      end
      def autosizeLowFanSpeedUfactorTimesAreaValue
      end
      def setLowFanSpeedUFactorTimesAreaSizingFactor(double)
      end
      # @return [Boolean]
      def setHighSpeedNominalCapacity(double)
      end
      # @return [Boolean]
      def setLowSpeedNominalCapacity(double)
      end
      def autosizeLowSpeedNominalCapacity
      end
      def setLowSpeedNominalCapacitySizingFactor(double)
      end
      # @return [Boolean]
      def setDesignEnteringWaterTemperature(double)
      end
      # @return [Boolean]
      def setDesignEnteringAirTemperature(double)
      end
      # @return [Boolean]
      def setDesignEnteringAirWetbulbTemperature(double)
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [Boolean]
      def setHighFanSpeedAirFlowRate(double)
      end
      def autosizeHighFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def setHighFanSpeedFanPower(double)
      end
      def autosizeHighFanSpeedFanPower
      end
      # @return [Boolean]
      def setLowFanSpeedAirFlowRate(double)
      end
      def autosizeLowFanSpeedAirFlowRate
      end
      def setLowFanSpeedAirFlowRateSizingFactor(double)
      end
      # @return [Boolean]
      def setLowFanSpeedFanPower(double)
      end
      def autosizeLowFanSpeedFanPower
      end
      def setLowFanSpeedFanPowerSizingFactor(double)
      end
      # @return [Boolean]
      def setOutdoorAirInletNode(node)
      end
      def resetOutdoorAirInletNode
      end
    end
  end
end