require 'openstudio'
module OpenStudio
  module Model
    class GeneratorFuelCellPowerModule < ModelObject
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.efficiencyCurveModeValues
      end
      # @return [StringVector]
      def self.skinLossCalculationModeValues
      end
      # @return [String]
      def efficiencyCurveMode
      end
      # @return [CurveQuadratic]
      def efficiencyCurve
      end
      # @return [Double]
      def nominalEfficiency
      end
      # @return [Double]
      def nominalElectricalPower
      end
      # @return [Double]
      def numberofStopsatStartofSimulation
      end
      # @return [Double]
      def cyclingPerformanceDegradationCoefficient
      end
      # @return [Double]
      def numberofRunHoursatBeginningofSimulation
      end
      # @return [Double]
      def accumulatedRunTimeDegradationCoefficient
      end
      # @return [Double]
      def runTimeDegradationInitiationTimeThreshold
      end
      # @return [Double]
      def powerUpTransientLimit
      end
      # @return [Double]
      def powerDownTransientLimit
      end
      # @return [Double]
      def startUpTime
      end
      # @return [Double]
      def startUpFuel
      end
      # @return [Double]
      def startUpElectricityConsumption
      end
      # @return [Double]
      def startUpElectricityProduced
      end
      # @return [Double]
      def shutDownTime
      end
      # @return [Double]
      def shutDownFuel
      end
      # @return [Double]
      def shutDownElectricityConsumption
      end
      # @return [Double]
      def ancillaryElectricityConstantTerm
      end
      # @return [Double]
      def ancillaryElectricityLinearTerm
      end
      # @return [String]
      def skinLossCalculationMode
      end
      # @return [OptionalThermalZone]
      def zone
      end
      # @return [Double]
      def skinLossRadiativeFraction
      end
      # @return [Double]
      def constantSkinLossRate
      end
      # @return [Double]
      def skinLossUFactorTimesAreaTerm
      end
      # @return [OptionalCurveQuadratic]
      def skinLossQuadraticCurve
      end
      # @return [Double]
      def dilutionAirFlowRate
      end
      # @return [Double]
      def stackHeatlosstoDilutionAir
      end
      # @return [OptionalNode]
      def dilutionInletAirNode
      end
      # @return [OptionalNode]
      def dilutionOutletAirNode
      end
      # @return [Double]
      def minimumOperatingPoint
      end
      # @return [Double]
      def maximumOperatingPoint
      end
      # @return [GeneratorFuelCell]
      def fuelCell
      end
      # @return [Boolean]
      def setEfficiencyCurveMode(string)
      end
      def resetEfficiencyCurveMode
      end
      # @return [Boolean]
      def setEfficiencyCurve(curveQuadratic)
      end
      def setNominalEfficiency(double)
      end
      def resetNominalEfficiency
      end
      def setNominalElectricalPower(double)
      end
      def resetNominalElectricalPower
      end
      def setNumberofStopsatStartofSimulation(double)
      end
      def resetNumberofStopsatStartofSimulation
      end
      def setCyclingPerformanceDegradationCoefficient(double)
      end
      def resetCyclingPerformanceDegradationCoefficient
      end
      def setNumberofRunHoursatBeginningofSimulation(double)
      end
      def resetNumberofRunHoursatBeginningofSimulation
      end
      def setAccumulatedRunTimeDegradationCoefficient(double)
      end
      def resetAccumulatedRunTimeDegradationCoefficient
      end
      def setRunTimeDegradationInitiationTimeThreshold(double)
      end
      def resetRunTimeDegradationInitiationTimeThreshold
      end
      def setPowerUpTransientLimit(double)
      end
      def resetPowerUpTransientLimit
      end
      def setPowerDownTransientLimit(double)
      end
      def resetPowerDownTransientLimit
      end
      def setStartUpTime(double)
      end
      def resetStartUpTime
      end
      def setStartUpFuel(double)
      end
      def resetStartUpFuel
      end
      def setStartUpElectricityConsumption(double)
      end
      def resetStartUpElectricityConsumption
      end
      def setStartUpElectricityProduced(double)
      end
      def resetStartUpElectricityProduced
      end
      def setShutDownTime(double)
      end
      def resetShutDownTime
      end
      def setShutDownFuel(double)
      end
      def resetShutDownFuel
      end
      def setShutDownElectricityConsumption(double)
      end
      def resetShutDownElectricityConsumption
      end
      def setAncillaryElectricityConstantTerm(double)
      end
      def resetAncillaryElectricityConstantTerm
      end
      def setAncillaryElectricityLinearTerm(double)
      end
      def resetAncillaryElectricityLinearTerm
      end
      # @return [Boolean]
      def setSkinLossCalculationMode(string)
      end
      def resetSkinLossCalculationMode
      end
      # @return [Boolean]
      def setZone(thermalZone)
      end
      def resetZone
      end
      # @return [Boolean]
      def setSkinLossRadiativeFraction(double)
      end
      def resetSkinLossRadiativeFraction
      end
      def setConstantSkinLossRate(double)
      end
      def resetConstantSkinLossRate
      end
      def setSkinLossUFactorTimesAreaTerm(double)
      end
      def resetSkinLossUFactorTimesAreaTerm
      end
      # @return [Boolean]
      def setSkinLossQuadraticCurve(curveQuadratic)
      end
      def resetSkinLossQuadraticCurve
      end
      def setDilutionAirFlowRate(double)
      end
      def resetDilutionAirFlowRate
      end
      def setStackHeatlosstoDilutionAir(double)
      end
      def resetStackHeatlosstoDilutionAir
      end
      # @return [Boolean]
      def setDilutionInletAirNode(node)
      end
      def resetDilutionInletAirNode
      end
      # @return [Boolean]
      def setDilutionOutletAirNode(node)
      end
      def resetDilutionOutletAirNode
      end
      def setMinimumOperatingPoint(double)
      end
      def resetMinimumOperatingPoint
      end
      def setMaximumOperatingPoint(double)
      end
      def resetMaximumOperatingPoint
      end
    end
  end
end