require 'openstudio'
module OpenStudio
  module Model
    class GeneratorMicroTurbineHeatRecovery < StraightComponent
      def self.new(model, generatorMicroTurbine)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validHeatRecoveryWaterFlowOperatingModeValues
      end
      # @return [Double]
      def referenceThermalEfficiencyUsingLowerHeatValue
      end
      # @return [Boolean]
      def isReferenceThermalEfficiencyUsingLowerHeatValueDefaulted
      end
      # @return [Double]
      def referenceInletWaterTemperature
      end
      # @return [String]
      def heatRecoveryWaterFlowOperatingMode
      end
      # @return [Boolean]
      def isHeatRecoveryWaterFlowOperatingModeDefaulted
      end
      # @return [Double]
      def referenceHeatRecoveryWaterFlowRate
      end
      # @return [OptionalCurve]
      def heatRecoveryWaterFlowRateFunctionofTemperatureandPowerCurve
      end
      # @return [OptionalCurve]
      def thermalEfficiencyFunctionofTemperatureandElevationCurve
      end
      # @return [OptionalCurve]
      def heatRecoveryRateFunctionofPartLoadRatioCurve
      end
      # @return [OptionalCurve]
      def heatRecoveryRateFunctionofInletWaterTemperatureCurve
      end
      # @return [OptionalCurve]
      def heatRecoveryRateFunctionofWaterFlowRateCurve
      end
      # @return [Double]
      def minimumHeatRecoveryWaterFlowRate
      end
      # @return [Boolean]
      def isMinimumHeatRecoveryWaterFlowRateDefaulted
      end
      # @return [Double]
      def maximumHeatRecoveryWaterFlowRate
      end
      # @return [Boolean]
      def isMaximumHeatRecoveryWaterFlowRateDefaulted
      end
      # @return [OptionalDouble]
      def maximumHeatRecoveryWaterTemperature
      end
      # @return [Double]
      def ratedThermaltoElectricalPowerRatio
      end
      # @return [Boolean]
      def isRatedThermaltoElectricalPowerRatioDefaulted
      end
      # @return [GeneratorMicroTurbine]
      def generatorMicroTurbine
      end
      # @return [Boolean]
      def setReferenceThermalEfficiencyUsingLowerHeatValue(double)
      end
      def resetReferenceThermalEfficiencyUsingLowerHeatValue
      end
      # @return [Boolean]
      def setReferenceInletWaterTemperature(double)
      end
      # @return [Boolean]
      def setHeatRecoveryWaterFlowOperatingMode(string)
      end
      def resetHeatRecoveryWaterFlowOperatingMode
      end
      # @return [Boolean]
      def setReferenceHeatRecoveryWaterFlowRate(double)
      end
      # @return [Boolean]
      def setHeatRecoveryWaterFlowRateFunctionofTemperatureandPowerCurve(curve)
      end
      def resetHeatRecoveryWaterFlowRateFunctionofTemperatureandPowerCurve
      end
      # @return [Boolean]
      def setThermalEfficiencyFunctionofTemperatureandElevationCurve(curve)
      end
      def resetThermalEfficiencyFunctionofTemperatureandElevationCurve
      end
      # @return [Boolean]
      def setHeatRecoveryRateFunctionofPartLoadRatioCurve(curve)
      end
      def resetHeatRecoveryRateFunctionofPartLoadRatioCurve
      end
      # @return [Boolean]
      def setHeatRecoveryRateFunctionofInletWaterTemperatureCurve(curve)
      end
      def resetHeatRecoveryRateFunctionofInletWaterTemperatureCurve
      end
      # @return [Boolean]
      def setHeatRecoveryRateFunctionofWaterFlowRateCurve(curve)
      end
      def resetHeatRecoveryRateFunctionofWaterFlowRateCurve
      end
      # @return [Boolean]
      def setMinimumHeatRecoveryWaterFlowRate(double)
      end
      def resetMinimumHeatRecoveryWaterFlowRate
      end
      # @return [Boolean]
      def setMaximumHeatRecoveryWaterFlowRate(double)
      end
      def resetMaximumHeatRecoveryWaterFlowRate
      end
      # @return [Boolean]
      def setMaximumHeatRecoveryWaterTemperature(double)
      end
      def resetMaximumHeatRecoveryWaterTemperature
      end
      # @return [Boolean]
      def setRatedThermaltoElectricalPowerRatio(double)
      end
      def resetRatedThermaltoElectricalPowerRatio
      end
    end
  end
end