require 'openstudio'
module OpenStudio
  module Model
    class HeatPumpWaterToWaterEquationFitCooling < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDouble]
      def referenceLoadSideFlowRate
      end
      # @return [Double]
      def ratedLoadSideFlowRate
      end
      # @return [Boolean]
      def isReferenceLoadSideFlowRateAutosized
      end
      # @return [OptionalDouble]
      def referenceSourceSideFlowRate
      end
      # @return [Double]
      def ratedSourceSideFlowRate
      end
      # @return [Boolean]
      def isReferenceSourceSideFlowRateAutosized
      end
      # @return [OptionalDouble]
      def ratedCoolingCapacity
      end
      # @return [Boolean]
      def isRatedCoolingCapacityAutosized
      end
      # @return [OptionalDouble]
      def ratedCoolingPowerConsumption
      end
      # @return [Boolean]
      def isRatedCoolingPowerConsumptionAutosized
      end
      # @return [Double]
      def coolingCapacityCoefficient1
      end
      # @return [Double]
      def coolingCapacityCoefficient2
      end
      # @return [Double]
      def coolingCapacityCoefficient3
      end
      # @return [Double]
      def coolingCapacityCoefficient4
      end
      # @return [Double]
      def coolingCapacityCoefficient5
      end
      # @return [Double]
      def coolingCompressorPowerCoefficient1
      end
      # @return [Double]
      def coolingCompressorPowerCoefficient2
      end
      # @return [Double]
      def coolingCompressorPowerCoefficient3
      end
      # @return [Double]
      def coolingCompressorPowerCoefficient4
      end
      # @return [Double]
      def coolingCompressorPowerCoefficient5
      end
      # @return [Double]
      def referenceCoefficientofPerformance
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [OptionalHeatPumpWaterToWaterEquationFitHeating]
      def companionHeatingHeatPump
      end
      # @return [Boolean]
      def setReferenceLoadSideFlowRate(double)
      end
      # @return [Boolean]
      def setRatedLoadSideFlowRate(double)
      end
      def autosizeReferenceLoadSideFlowRate
      end
      # @return [Boolean]
      def setReferenceSourceSideFlowRate(double)
      end
      # @return [Boolean]
      def setRatedSourceSideFlowRate(double)
      end
      def autosizeReferenceSourceSideFlowRate
      end
      # @return [Boolean]
      def setRatedCoolingCapacity(double)
      end
      def autosizeRatedCoolingCapacity
      end
      # @return [Boolean]
      def setRatedCoolingPowerConsumption(double)
      end
      def autosizeRatedCoolingPowerConsumption
      end
      def setCoolingCapacityCoefficient1(double)
      end
      def setCoolingCapacityCoefficient2(double)
      end
      def setCoolingCapacityCoefficient3(double)
      end
      def setCoolingCapacityCoefficient4(double)
      end
      def setCoolingCapacityCoefficient5(double)
      end
      def setCoolingCompressorPowerCoefficient1(double)
      end
      def setCoolingCompressorPowerCoefficient2(double)
      end
      def setCoolingCompressorPowerCoefficient3(double)
      end
      def setCoolingCompressorPowerCoefficient4(double)
      end
      def setCoolingCompressorPowerCoefficient5(double)
      end
      def setReferenceCoefficientofPerformance(double)
      end
      def setSizingFactor(double)
      end
      # @return [Boolean]
      def setCompanionHeatingHeatPump(heatPumpWaterToWaterEquationFitHeating)
      end
    end
  end
end