require 'openstudio'
module OpenStudio
  module Model
    class PumpVariableSpeed < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.pumpControlTypeValues
      end
      # @return [StringVector]
      def self.validPumpControlTypeValues
      end
      # @return [StringVector]
      def self.vfdControlTypeValues
      end
      # @return [OptionalDouble]
      def ratedFlowRate
      end
      # @return [Boolean]
      def isRatedFlowRateDefaulted
      end
      # @return [Boolean]
      def isRatedFlowRateAutosized
      end
      # @return [Double]
      def ratedPumpHead
      end
      # @return [Boolean]
      def isRatedPumpHeadDefaulted
      end
      # @return [OptionalDouble]
      def ratedPowerConsumption
      end
      # @return [Boolean]
      def isRatedPowerConsumptionDefaulted
      end
      # @return [Boolean]
      def isRatedPowerConsumptionAutosized
      end
      # @return [Double]
      def motorEfficiency
      end
      # @return [Boolean]
      def isMotorEfficiencyDefaulted
      end
      # @return [Double]
      def fractionofMotorInefficienciestoFluidStream
      end
      # @return [Boolean]
      def isFractionofMotorInefficienciestoFluidStreamDefaulted
      end
      # @return [Double]
      def coefficient1ofthePartLoadPerformanceCurve
      end
      # @return [Boolean]
      def isCoefficient1ofthePartLoadPerformanceCurveDefaulted
      end
      # @return [Double]
      def coefficient2ofthePartLoadPerformanceCurve
      end
      # @return [Boolean]
      def isCoefficient2ofthePartLoadPerformanceCurveDefaulted
      end
      # @return [Double]
      def coefficient3ofthePartLoadPerformanceCurve
      end
      # @return [Boolean]
      def isCoefficient3ofthePartLoadPerformanceCurveDefaulted
      end
      # @return [Double]
      def coefficient4ofthePartLoadPerformanceCurve
      end
      # @return [Boolean]
      def isCoefficient4ofthePartLoadPerformanceCurveDefaulted
      end
      # @return [Double]
      def minimumFlowRate
      end
      # @return [Boolean]
      def isMinimumFlowRateDefaulted
      end
      # @return [String]
      def pumpControlType
      end
      # @return [Boolean]
      def isPumpControlTypeDefaulted
      end
      # @return [OptionalSchedule]
      def pumpFlowRateSchedule
      end
      # @return [OptionalCurve]
      def pumpCurve
      end
      # @return [OptionalDouble]
      def impellerDiameter
      end
      # @return [OptionalString]
      def vFDControlType
      end
      # @return [OptionalSchedule]
      def pumpRPMSchedule
      end
      # @return [OptionalSchedule]
      def minimumPressureSchedule
      end
      # @return [OptionalSchedule]
      def maximumPressureSchedule
      end
      # @return [OptionalSchedule]
      def minimumRPMSchedule
      end
      # @return [OptionalSchedule]
      def maximumRPMSchedule
      end
      def resetRatedFlowRate
      end
      def autosizeRatedFlowRate
      end
      def resetRatedPumpHead
      end
      def resetRatedPowerConsumption
      end
      def autosizeRatedPowerConsumption
      end
      def resetMotorEfficiency
      end
      def resetFractionofMotorInefficienciestoFluidStream
      end
      def resetCoefficient1ofthePartLoadPerformanceCurve
      end
      def resetCoefficient2ofthePartLoadPerformanceCurve
      end
      def resetCoefficient3ofthePartLoadPerformanceCurve
      end
      def resetCoefficient4ofthePartLoadPerformanceCurve
      end
      def resetMinimumFlowRate
      end
      # @return [Boolean]
      def setPumpControlType(string)
      end
      def resetPumpControlType
      end
      # @return [Boolean]
      def setPumpFlowRateSchedule(schedule)
      end
      def resetPumpFlowRateSchedule
      end
      # @return [Boolean]
      def setPumpCurve(curve)
      end
      def resetPumpCurve
      end
      def resetImpellerDiameter
      end
      # @return [Boolean]
      def setVFDControlType(string)
      end
      def resetVFDControlType
      end
      # @return [Boolean]
      def setPumpRPMSchedule(schedule)
      end
      def resetPumpRPMSchedule
      end
      # @return [Boolean]
      def setMinimumPressureSchedule(schedule)
      end
      def resetMinimumPressureSchedule
      end
      # @return [Boolean]
      def setMaximumPressureSchedule(schedule)
      end
      def resetMaximumPressureSchedule
      end
      # @return [Boolean]
      def setMinimumRPMSchedule(schedule)
      end
      def resetMinimumRPMSchedule
      end
      # @return [Boolean]
      def setMaximumRPMSchedule(schedule)
      end
      def resetMaximumRPMSchedule
      end
      # @return [OSOptionalQuantity]
      def getRatedFlowRate(*args)
      end
      # @return [Quantity]
      def getRatedPumpHead(*args)
      end
      # @return [OSOptionalQuantity]
      def getRatedPowerConsumption(*args)
      end
      # @return [Quantity]
      def getMotorEfficiency(*args)
      end
      # @return [Quantity]
      def getFractionofMotorInefficienciestoFluidStream(*args)
      end
      # @return [Quantity]
      def getCoefficient1ofthePartLoadPerformanceCurve(*args)
      end
      # @return [Quantity]
      def getCoefficient2ofthePartLoadPerformanceCurve(*args)
      end
      # @return [Quantity]
      def getCoefficient3ofthePartLoadPerformanceCurve(*args)
      end
      # @return [Quantity]
      def getCoefficient4ofthePartLoadPerformanceCurve(*args)
      end
      # @return [Quantity]
      def getMinimumFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getImpellerDiameter(*args)
      end
      def setRatedFlowRate(*args)
      end
      def setRatedPumpHead(*args)
      end
      def setRatedPowerConsumption(*args)
      end
      # @return [Boolean]
      def setMotorEfficiency(*args)
      end
      # @return [Boolean]
      def setFractionofMotorInefficienciestoFluidStream(*args)
      end
      def setCoefficient1ofthePartLoadPerformanceCurve(*args)
      end
      def setCoefficient2ofthePartLoadPerformanceCurve(*args)
      end
      def setCoefficient3ofthePartLoadPerformanceCurve(*args)
      end
      def setCoefficient4ofthePartLoadPerformanceCurve(*args)
      end
      def setMinimumFlowRate(*args)
      end
      def setImpellerDiameter(*args)
      end
    end
  end
end