require 'openstudio'
module OpenStudio
  module Model
    class RadianceParameters < ModelObject
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.skyDiscretizationResolutionValues
      end
      # @return [Int32]
      def accumulatedRaysperRecord
      end
      # @return [Boolean]
      def isAccumulatedRaysperRecordDefaulted
      end
      # @return [Double]
      def directThreshold
      end
      # @return [Boolean]
      def isDirectThresholdDefaulted
      end
      # @return [Double]
      def directCertainty
      end
      # @return [Boolean]
      def isDirectCertaintyDefaulted
      end
      # @return [Double]
      def directJitter
      end
      # @return [Boolean]
      def isDirectJitterDefaulted
      end
      # @return [Double]
      def directPretest
      end
      # @return [Boolean]
      def isDirectPretestDefaulted
      end
      # @return [Int32]
      def ambientBouncesVMX
      end
      # @return [Boolean]
      def isAmbientBouncesVMXDefaulted
      end
      # @return [Int32]
      def ambientBouncesDMX
      end
      # @return [Boolean]
      def isAmbientBouncesDMXDefaulted
      end
      # @return [Int32]
      def ambientDivisionsVMX
      end
      # @return [Boolean]
      def isAmbientDivisionsVMXDefaulted
      end
      # @return [Int32]
      def ambientDivisionsDMX
      end
      # @return [Boolean]
      def isAmbientDivisionsDMXDefaulted
      end
      # @return [Int32]
      def ambientSupersamples
      end
      # @return [Boolean]
      def isAmbientSupersamplesDefaulted
      end
      # @return [Double]
      def limitWeightVMX
      end
      # @return [Boolean]
      def isLimitWeightVMXDefaulted
      end
      # @return [Double]
      def limitWeightDMX
      end
      # @return [Boolean]
      def isLimitWeightDMXDefaulted
      end
      # @return [Int32]
      def klemsSamplingDensity
      end
      # @return [Boolean]
      def isKlemsSamplingDensityDefaulted
      end
      # @return [String]
      def skyDiscretizationResolution
      end
      # @return [Boolean]
      def isCoarseSettings
      end
      # @return [Boolean]
      def isFineSettings
      end
      # @return [Boolean]
      def setAccumulatedRaysperRecord(int32)
      end
      def resetAccumulatedRaysperRecord
      end
      def resetDirectThreshold
      end
      def resetDirectCertainty
      end
      def resetDirectJitter
      end
      def resetDirectPretest
      end
      # @return [Boolean]
      def setAmbientBouncesVMX(int32)
      end
      def resetAmbientBouncesVMX
      end
      # @return [Boolean]
      def setAmbientBouncesDMX(int32)
      end
      def resetAmbientBouncesDMX
      end
      # @return [Boolean]
      def setAmbientDivisionsVMX(int32)
      end
      def resetAmbientDivisionsVMX
      end
      # @return [Boolean]
      def setAmbientDivisionsDMX(int32)
      end
      def resetAmbientDivisionsDMX
      end
      # @return [Boolean]
      def setAmbientSupersamples(int32)
      end
      def resetAmbientSupersamples
      end
      def resetLimitWeightVMX
      end
      def resetLimitWeightDMX
      end
      # @return [Boolean]
      def setKlemsSamplingDensity(int32)
      end
      def resetKlemsSamplingDensity
      end
      # @return [Boolean]
      def setSkyDiscretizationResolution(string)
      end
      def resetSkyDiscretizationResolution
      end
      def applyCoarseSettings
      end
      def applyFineSettings
      end
      # @return [Quantity]
      def getDirectThreshold(*args)
      end
      # @return [Quantity]
      def getDirectCertainty(*args)
      end
      # @return [Quantity]
      def getDirectJitter(*args)
      end
      # @return [Quantity]
      def getDirectPretest(*args)
      end
      # @return [Quantity]
      def getLimitWeightVMX(*args)
      end
      # @return [Quantity]
      def getLimitWeightDMX(*args)
      end
      # @return [Boolean]
      def setDirectThreshold(*args)
      end
      # @return [Boolean]
      def setDirectCertainty(*args)
      end
      # @return [Boolean]
      def setDirectJitter(*args)
      end
      # @return [Boolean]
      def setDirectPretest(*args)
      end
      # @return [Boolean]
      def setLimitWeightVMX(*args)
      end
      def setLimitWeightDMX(*args)
      end
    end
  end
end