require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationCase < ParentObject
      def self.new(model, schedule)
      end
      def setHumidityatZeroAntiSweatHeaterEnergy(double)
      end
      def resetHumidityatZeroAntiSweatHeaterEnergy
      end
      # @return [Boolean]
      def setCaseHeight(double)
      end
      def resetCaseHeight
      end
      # @return [Boolean]
      def setFractionofAntiSweatHeaterEnergytoCase(double)
      end
      def resetFractionofAntiSweatHeaterEnergytoCase
      end
      # @return [Boolean]
      def setCaseDefrostPowerperUnitLength(double)
      end
      def resetCaseDefrostPowerperUnitLength
      end
      # @return [Boolean]
      def setCaseDefrostType(string)
      end
      def resetCaseDefrostType
      end
      # @return [Boolean]
      def setCaseDefrostSchedule(schedule)
      end
      def resetCaseDefrostSchedule
      end
      # @return [Boolean]
      def setCaseDefrostDripDownSchedule(schedule)
      end
      def resetCaseDefrostDripDownSchedule
      end
      # @return [Boolean]
      def setDefrostEnergyCorrectionCurveType(string)
      end
      def resetDefrostEnergyCorrectionCurveType
      end
      # @return [Boolean]
      def setDefrostEnergyCorrectionCurve(curveCubic)
      end
      def resetDefrostEnergyCorrectionCurve
      end
      # @return [Boolean]
      def setUnderCaseHVACReturnAirFraction(double)
      end
      def resetUnderCaseHVACReturnAirFraction
      end
      # @return [Boolean]
      def setRefrigeratedCaseRestockingSchedule(schedule)
      end
      def resetRefrigeratedCaseRestockingSchedule
      end
      # @return [Boolean]
      def setCaseCreditFractionSchedule(schedule)
      end
      def resetCaseCreditFractionSchedule
      end
      # @return [Boolean]
      def setDesignEvaporatorTemperatureorBrineInletTemperature(double)
      end
      def resetDesignEvaporatorTemperatureorBrineInletTemperature
      end
      def setAverageRefrigerantChargeInventory(double)
      end
      def resetAverageRefrigerantChargeInventory
      end
      # @return [Boolean]
      def setNumberOfDoors(int32)
      end
      def resetNumberOfDoors
      end
      # @return [Boolean]
      def setRatedTotalCoolingCapacityperDoor(double)
      end
      def resetRatedTotalCoolingCapacityperDoor
      end
      # @return [Boolean]
      def setStandardCaseFanPowerperDoor(double)
      end
      def resetStandardCaseFanPowerperDoor
      end
      # @return [Boolean]
      def setOperatingCaseFanPowerperDoor(double)
      end
      def resetOperatingCaseFanPowerperDoor
      end
      # @return [Boolean]
      def setStandardCaseLightingPowerperDoor(double)
      end
      def resetStandardCaseLightingPowerperDoor
      end
      # @return [Boolean]
      def setInstalledCaseLightingPowerperDoor(double)
      end
      def resetInstalledCaseLightingPowerperDoor
      end
      # @return [Boolean]
      def setCaseAntiSweatHeaterPowerperDoor(double)
      end
      def resetCaseAntiSweatHeaterPowerperDoor
      end
      # @return [Boolean]
      def setMinimumAntiSweatHeaterPowerperDoor(double)
      end
      def resetMinimumAntiSweatHeaterPowerperDoor
      end
      # @return [Boolean]
      def setCaseDefrostPowerperDoor(double)
      end
      def resetCaseDefrostPowerperDoor
      end
      # @return [Boolean]
      def setUnitType(string)
      end
      def resetUnitType
      end
      # @return [Boolean]
      def setDurationofDefrostCycle(int32)
      end
      def resetDurationofDefrostCycle
      end
      # @return [Boolean]
      def setDripDownTime(int32)
      end
      def resetDripDownTime
      end
      # @return [Boolean]
      def setDefrost1StartTime(time)
      end
      def resetDefrost1StartTime
      end
      # @return [Boolean]
      def setDefrost2StartTime(time)
      end
      def resetDefrost2StartTime
      end
      # @return [Boolean]
      def setDefrost3StartTime(time)
      end
      def resetDefrost3StartTime
      end
      # @return [Boolean]
      def setDefrost4StartTime(time)
      end
      def resetDefrost4StartTime
      end
      # @return [Boolean]
      def setDefrost5StartTime(time)
      end
      def resetDefrost5StartTime
      end
      # @return [Boolean]
      def setDefrost6StartTime(time)
      end
      def resetDefrost6StartTime
      end
      # @return [Boolean]
      def setDefrost7StartTime(time)
      end
      def resetDefrost7StartTime
      end
      # @return [Boolean]
      def setDefrost8StartTime(time)
      end
      def resetDefrost8StartTime
      end
      # @return [Boolean]
      def addToSystem(sWIGTYPE_p_RefrigerationSystem)
      end
      def removeFromSystem
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.latentCaseCreditCurveTypeValues
      end
      # @return [StringVector]
      def self.antiSweatHeaterControlTypeValues
      end
      # @return [StringVector]
      def self.caseDefrostTypeValues
      end
      # @return [StringVector]
      def self.defrostEnergyCorrectionCurveTypeValues
      end
      # @return [StringVector]
      def self.unitTypeValues
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [OptionalThermalZone]
      def thermalZone
      end
      # @return [Double]
      def ratedAmbientTemperature
      end
      # @return [Boolean]
      def isRatedAmbientTemperatureDefaulted
      end
      # @return [Double]
      def ratedAmbientRelativeHumidity
      end
      # @return [Boolean]
      def isRatedAmbientRelativeHumidityDefaulted
      end
      # @return [Double]
      def ratedTotalCoolingCapacityperUnitLength
      end
      # @return [Boolean]
      def isRatedTotalCoolingCapacityperUnitLengthDefaulted
      end
      # @return [Double]
      def ratedLatentHeatRatio
      end
      # @return [Boolean]
      def isRatedLatentHeatRatioDefaulted
      end
      # @return [Double]
      def ratedRuntimeFraction
      end
      # @return [Boolean]
      def isRatedRuntimeFractionDefaulted
      end
      # @return [Double]
      def caseLength
      end
      # @return [Boolean]
      def isCaseLengthDefaulted
      end
      # @return [Double]
      def caseOperatingTemperature
      end
      # @return [Boolean]
      def isCaseOperatingTemperatureDefaulted
      end
      # @return [String]
      def latentCaseCreditCurveType
      end
      # @return [Boolean]
      def isLatentCaseCreditCurveTypeDefaulted
      end
      # @return [CurveCubic]
      def latentCaseCreditCurve
      end
      # @return [Double]
      def standardCaseFanPowerperUnitLength
      end
      # @return [Boolean]
      def isStandardCaseFanPowerperUnitLengthDefaulted
      end
      # @return [Double]
      def operatingCaseFanPowerperUnitLength
      end
      # @return [Boolean]
      def isOperatingCaseFanPowerperUnitLengthDefaulted
      end
      # @return [Double]
      def standardCaseLightingPowerperUnitLength
      end
      # @return [Boolean]
      def isStandardCaseLightingPowerperUnitLengthDefaulted
      end
      # @return [OptionalDouble]
      def installedCaseLightingPowerperUnitLength
      end
      # @return [OptionalSchedule]
      def caseLightingSchedule
      end
      # @return [Double]
      def fractionofLightingEnergytoCase
      end
      # @return [Boolean]
      def isFractionofLightingEnergytoCaseDefaulted
      end
      # @return [Double]
      def caseAntiSweatHeaterPowerperUnitLength
      end
      # @return [Boolean]
      def isCaseAntiSweatHeaterPowerperUnitLengthDefaulted
      end
      # @return [Double]
      def minimumAntiSweatHeaterPowerperUnitLength
      end
      # @return [Boolean]
      def isMinimumAntiSweatHeaterPowerperUnitLengthDefaulted
      end
      # @return [String]
      def antiSweatHeaterControlType
      end
      # @return [Boolean]
      def isAntiSweatHeaterControlTypeDefaulted
      end
      # @return [Double]
      def humidityatZeroAntiSweatHeaterEnergy
      end
      # @return [Boolean]
      def isHumidityatZeroAntiSweatHeaterEnergyDefaulted
      end
      # @return [Double]
      def caseHeight
      end
      # @return [Boolean]
      def isCaseHeightDefaulted
      end
      # @return [Double]
      def fractionofAntiSweatHeaterEnergytoCase
      end
      # @return [Boolean]
      def isFractionofAntiSweatHeaterEnergytoCaseDefaulted
      end
      # @return [Double]
      def caseDefrostPowerperUnitLength
      end
      # @return [Boolean]
      def isCaseDefrostPowerperUnitLengthDefaulted
      end
      # @return [String]
      def caseDefrostType
      end
      # @return [Boolean]
      def isCaseDefrostTypeDefaulted
      end
      # @return [OptionalSchedule]
      def caseDefrostSchedule
      end
      # @return [OptionalSchedule]
      def caseDefrostDripDownSchedule
      end
      # @return [String]
      def defrostEnergyCorrectionCurveType
      end
      # @return [Boolean]
      def isDefrostEnergyCorrectionCurveTypeDefaulted
      end
      # @return [OptionalCurveCubic]
      def defrostEnergyCorrectionCurve
      end
      # @return [Double]
      def underCaseHVACReturnAirFraction
      end
      # @return [Boolean]
      def isUnderCaseHVACReturnAirFractionDefaulted
      end
      # @return [OptionalSchedule]
      def refrigeratedCaseRestockingSchedule
      end
      # @return [OptionalSchedule]
      def caseCreditFractionSchedule
      end
      # @return [OptionalDouble]
      def designEvaporatorTemperatureorBrineInletTemperature
      end
      # @return [Double]
      def averageRefrigerantChargeInventory
      end
      # @return [Boolean]
      def isAverageRefrigerantChargeInventoryDefaulted
      end
      # @return [OptionalInt]
      def numberOfDoors
      end
      # @return [OptionalDouble]
      def ratedTotalCoolingCapacityperDoor
      end
      # @return [OptionalDouble]
      def standardCaseFanPowerperDoor
      end
      # @return [OptionalDouble]
      def operatingCaseFanPowerperDoor
      end
      # @return [OptionalDouble]
      def standardCaseLightingPowerperDoor
      end
      # @return [OptionalDouble]
      def installedCaseLightingPowerperDoor
      end
      # @return [OptionalDouble]
      def caseAntiSweatHeaterPowerperDoor
      end
      # @return [OptionalDouble]
      def minimumAntiSweatHeaterPowerperDoor
      end
      # @return [OptionalDouble]
      def caseDefrostPowerperDoor
      end
      # @return [String]
      def unitType
      end
      # @return [Boolean]
      def isUnitTypeDefaulted
      end
      # @return [OptionalInt]
      def durationofDefrostCycle
      end
      # @return [OptionalInt]
      def dripDownTime
      end
      # @return [OptionalTime]
      def defrost1StartTime
      end
      # @return [OptionalTime]
      def defrost2StartTime
      end
      # @return [OptionalTime]
      def defrost3StartTime
      end
      # @return [OptionalTime]
      def defrost4StartTime
      end
      # @return [OptionalTime]
      def defrost5StartTime
      end
      # @return [OptionalTime]
      def defrost6StartTime
      end
      # @return [OptionalTime]
      def defrost7StartTime
      end
      # @return [OptionalTime]
      def defrost8StartTime
      end
      # @return [SWIGTYPE_p_boost__optionalT_RefrigerationSystem_t]
      def system
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setThermalZone(thermalZone)
      end
      def resetThermalZone
      end
      # @return [Boolean]
      def setRatedAmbientTemperature(double)
      end
      def resetRatedAmbientTemperature
      end
      # @return [Boolean]
      def setRatedAmbientRelativeHumidity(double)
      end
      def resetRatedAmbientRelativeHumidity
      end
      # @return [Boolean]
      def setRatedTotalCoolingCapacityperUnitLength(double)
      end
      def resetRatedTotalCoolingCapacityperUnitLength
      end
      # @return [Boolean]
      def setRatedLatentHeatRatio(double)
      end
      def resetRatedLatentHeatRatio
      end
      # @return [Boolean]
      def setRatedRuntimeFraction(double)
      end
      def resetRatedRuntimeFraction
      end
      # @return [Boolean]
      def setCaseLength(double)
      end
      def resetCaseLength
      end
      # @return [Boolean]
      def setCaseOperatingTemperature(double)
      end
      def resetCaseOperatingTemperature
      end
      # @return [Boolean]
      def setLatentCaseCreditCurveType(string)
      end
      def resetLatentCaseCreditCurveType
      end
      # @return [Boolean]
      def setLatentCaseCreditCurve(curveCubic)
      end
      # @return [Boolean]
      def setStandardCaseFanPowerperUnitLength(double)
      end
      def resetStandardCaseFanPowerperUnitLength
      end
      # @return [Boolean]
      def setOperatingCaseFanPowerperUnitLength(double)
      end
      def resetOperatingCaseFanPowerperUnitLength
      end
      def setStandardCaseLightingPowerperUnitLength(double)
      end
      def resetStandardCaseLightingPowerperUnitLength
      end
      def setInstalledCaseLightingPowerperUnitLength(double)
      end
      def resetInstalledCaseLightingPowerperUnitLength
      end
      # @return [Boolean]
      def setCaseLightingSchedule(schedule)
      end
      def resetCaseLightingSchedule
      end
      # @return [Boolean]
      def setFractionofLightingEnergytoCase(double)
      end
      def resetFractionofLightingEnergytoCase
      end
      # @return [Boolean]
      def setCaseAntiSweatHeaterPowerperUnitLength(double)
      end
      def resetCaseAntiSweatHeaterPowerperUnitLength
      end
      # @return [Boolean]
      def setMinimumAntiSweatHeaterPowerperUnitLength(double)
      end
      def resetMinimumAntiSweatHeaterPowerperUnitLength
      end
      # @return [Boolean]
      def setAntiSweatHeaterControlType(string)
      end
      def resetAntiSweatHeaterControlType
      end
    end
  end
end