require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationWalkIn < ModelObject
      def self.new(model, schedule)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.defrostTypeValues
      end
      # @return [StringVector]
      def self.defrostControlTypeValues
      end
      # @return [Boolean]
      def addZoneBoundary(refrigerationWalkInZoneBoundary)
      end
      def removeZoneBoundary(uInt32)
      end
      def removeAllZoneBoundaries
      end
      # @return [RefrigerationWalkInZoneBoundaryVector]
      def zoneBoundaries
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [Double]
      def ratedCoilCoolingCapacity
      end
      # @return [Double]
      def operatingTemperature
      end
      # @return [Double]
      def ratedCoolingSourceTemperature
      end
      # @return [Double]
      def ratedTotalHeatingPower
      end
      # @return [OptionalSchedule]
      def heatingPowerSchedule
      end
      # @return [Double]
      def ratedCoolingCoilFanPower
      end
      # @return [Boolean]
      def isRatedCoolingCoilFanPowerDefaulted
      end
      # @return [Double]
      def ratedCirculationFanPower
      end
      # @return [Boolean]
      def isRatedCirculationFanPowerDefaulted
      end
      # @return [Double]
      def ratedTotalLightingPower
      end
      # @return [OptionalSchedule]
      def lightingSchedule
      end
      # @return [String]
      def defrostType
      end
      # @return [Boolean]
      def isDefrostTypeDefaulted
      end
      # @return [String]
      def defrostControlType
      end
      # @return [Boolean]
      def isDefrostControlTypeDefaulted
      end
      # @return [Schedule]
      def defrostSchedule
      end
      # @return [OptionalSchedule]
      def defrostDripDownSchedule
      end
      # @return [OptionalDouble]
      def defrostPower
      end
      # @return [OptionalDouble]
      def temperatureTerminationDefrostFractiontoIce
      end
      # @return [OptionalSchedule]
      def restockingSchedule
      end
      # @return [Double]
      def averageRefrigerantChargeInventory
      end
      # @return [Boolean]
      def isAverageRefrigerantChargeInventoryDefaulted
      end
      # @return [Double]
      def insulatedFloorSurfaceArea
      end
      # @return [Double]
      def insulatedFloorUValue
      end
      # @return [Boolean]
      def isInsulatedFloorUValueDefaulted
      end
      # @return [OptionalInt]
      def durationofDefrostCycle
      end
      # @return [OptionalInt]
      def dripDownTime
      end
      # @return [OptionalTime]
      def defrost1StartTime
      end
      # @return [OptionalTime]
      def defrost2StartTime
      end
      # @return [OptionalTime]
      def defrost3StartTime
      end
      # @return [OptionalTime]
      def defrost4StartTime
      end
      # @return [OptionalTime]
      def defrost5StartTime
      end
      # @return [OptionalTime]
      def defrost6StartTime
      end
      # @return [OptionalTime]
      def defrost7StartTime
      end
      # @return [OptionalTime]
      def defrost8StartTime
      end
      # @return [OptionalRefrigerationSystem]
      def system
      end
      # @return [OptionalThermalZone]
      def zoneBoundaryThermalZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryTotalInsulatedSurfaceAreaFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryAreaofGlassReachInDoorsFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryHeightofGlassReachInDoorsFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryAreaofStockingDoorsFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryHeightofStockingDoorsFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryInsulatedSurfaceUValueFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryGlassReachInDoorUValueFacingZone
      end
      # @return [OptionalDouble]
      def zoneBoundaryStockingDoorUValueFacingZone
      end
      # @return [OptionalSchedule]
      def zoneBoundaryStockingDoorOpeningScheduleFacingZone
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      def setRatedCoilCoolingCapacity(double)
      end
      # @return [Boolean]
      def setOperatingTemperature(double)
      end
      # @return [Boolean]
      def setRatedCoolingSourceTemperature(double)
      end
      def setRatedTotalHeatingPower(double)
      end
      # @return [Boolean]
      def setHeatingPowerSchedule(schedule)
      end
      def resetHeatingPowerSchedule
      end
      # @return [Boolean]
      def setRatedCoolingCoilFanPower(double)
      end
      def resetRatedCoolingCoilFanPower
      end
      # @return [Boolean]
      def setRatedCirculationFanPower(double)
      end
      def resetRatedCirculationFanPower
      end
      def setRatedTotalLightingPower(double)
      end
      # @return [Boolean]
      def setLightingSchedule(schedule)
      end
      def resetLightingSchedule
      end
      # @return [Boolean]
      def setDefrostType(string)
      end
      def resetDefrostType
      end
      # @return [Boolean]
      def setDefrostControlType(string)
      end
      def resetDefrostControlType
      end
      # @return [Boolean]
      def setDefrostSchedule(schedule)
      end
      # @return [Boolean]
      def setDefrostDripDownSchedule(schedule)
      end
      def resetDefrostDripDownSchedule
      end
      # @return [Boolean]
      def setDefrostPower(double)
      end
      def resetDefrostPower
      end
      # @return [Boolean]
      def setTemperatureTerminationDefrostFractiontoIce(double)
      end
      def resetTemperatureTerminationDefrostFractiontoIce
      end
      # @return [Boolean]
      def setRestockingSchedule(schedule)
      end
      def resetRestockingSchedule
      end
      def setAverageRefrigerantChargeInventory(double)
      end
      def resetAverageRefrigerantChargeInventory
      end
      # @return [Boolean]
      def setInsulatedFloorSurfaceArea(double)
      end
      # @return [Boolean]
      def setInsulatedFloorUValue(double)
      end
      def resetInsulatedFloorUValue
      end
      # @return [Boolean]
      def setDurationofDefrostCycle(int32)
      end
      def resetDurationofDefrostCycle
      end
      # @return [Boolean]
      def setDripDownTime(int32)
      end
      def resetDripDownTime
      end
      # @return [Boolean]
      def setDefrost1StartTime(time)
      end
      def resetDefrost1StartTime
      end
      # @return [Boolean]
      def setDefrost2StartTime(time)
      end
      def resetDefrost2StartTime
      end
      # @return [Boolean]
      def setDefrost3StartTime(time)
      end
      def resetDefrost3StartTime
      end
      # @return [Boolean]
      def setDefrost4StartTime(time)
      end
      def resetDefrost4StartTime
      end
      # @return [Boolean]
      def setDefrost5StartTime(time)
      end
      def resetDefrost5StartTime
      end
      # @return [Boolean]
      def setDefrost6StartTime(time)
      end
      def resetDefrost6StartTime
      end
      # @return [Boolean]
      def setDefrost7StartTime(time)
      end
      def resetDefrost7StartTime
      end
      # @return [Boolean]
      def setDefrost8StartTime(time)
      end
      def resetDefrost8StartTime
      end
      # @return [Boolean]
      def addToSystem(refrigerationSystem)
      end
      def removeFromSystem
      end
      # @return [Boolean]
      def setZoneBoundaryThermalZone(thermalZone)
      end
      def resetZoneBoundaryThermalZone
      end
      # @return [Boolean]
      def setZoneBoundaryTotalInsulatedSurfaceAreaFacingZone(double)
      end
      def setZoneBoundaryAreaofGlassReachInDoorsFacingZone(double)
      end
      def setZoneBoundaryHeightofGlassReachInDoorsFacingZone(double)
      end
      def setZoneBoundaryAreaofStockingDoorsFacingZone(double)
      end
      def setZoneBoundaryHeightofStockingDoorsFacingZone(double)
      end
      # @return [Boolean]
      def setZoneBoundaryInsulatedSurfaceUValueFacingZone(double)
      end
      # @return [Boolean]
      def setZoneBoundaryGlassReachInDoorUValueFacingZone(double)
      end
      # @return [Boolean]
      def setZoneBoundaryStockingDoorUValueFacingZone(double)
      end
      # @return [Boolean]
      def setZoneBoundaryStockingDoorOpeningScheduleFacingZone(schedule)
      end
      def resetZoneBoundaryStockingDoorOpeningScheduleFacingZone
      end
    end
  end
end