require 'openstudio'
module OpenStudio
  module Model
    class SimulationControl < ParentObject
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validSolarDistributionValues
      end
      # @return [Boolean]
      def doZoneSizingCalculation
      end
      # @return [Boolean]
      def isDoZoneSizingCalculationDefaulted
      end
      # @return [Boolean]
      def doSystemSizingCalculation
      end
      # @return [Boolean]
      def isDoSystemSizingCalculationDefaulted
      end
      # @return [Boolean]
      def doPlantSizingCalculation
      end
      # @return [Boolean]
      def isDoPlantSizingCalculationDefaulted
      end
      # @return [Boolean]
      def runSimulationforSizingPeriods
      end
      # @return [Boolean]
      def isRunSimulationforSizingPeriodsDefaulted
      end
      # @return [Boolean]
      def runSimulationforWeatherFileRunPeriods
      end
      # @return [Boolean]
      def isRunSimulationforWeatherFileRunPeriodsDefaulted
      end
      # @return [Double]
      def loadsConvergenceToleranceValue
      end
      # @return [Boolean]
      def isLoadsConvergenceToleranceValueDefaulted
      end
      # @return [Double]
      def temperatureConvergenceToleranceValue
      end
      # @return [Boolean]
      def isTemperatureConvergenceToleranceValueDefaulted
      end
      # @return [String]
      def solarDistribution
      end
      # @return [Boolean]
      def isSolarDistributionDefaulted
      end
      # @return [Int32]
      def maximumNumberofWarmupDays
      end
      # @return [Boolean]
      def isMaximumNumberofWarmupDaysDefaulted
      end
      # @return [Int32]
      def minimumNumberofWarmupDays
      end
      # @return [Boolean]
      def isMinimumNumberofWarmupDaysDefaulted
      end
      def setDoZoneSizingCalculation(boolean)
      end
      def resetDoZoneSizingCalculation
      end
      def setDoSystemSizingCalculation(boolean)
      end
      def resetDoSystemSizingCalculation
      end
      def setDoPlantSizingCalculation(boolean)
      end
      def resetDoPlantSizingCalculation
      end
      def setRunSimulationforSizingPeriods(boolean)
      end
      def resetRunSimulationforSizingPeriods
      end
      def setRunSimulationforWeatherFileRunPeriods(boolean)
      end
      def resetRunSimulationforWeatherFileRunPeriods
      end
      def resetLoadsConvergenceToleranceValue
      end
      def resetTemperatureConvergenceToleranceValue
      end
      # @return [Boolean]
      def setSolarDistribution(string)
      end
      def resetSolarDistribution
      end
      # @return [Boolean]
      def setMaximumNumberofWarmupDays(int32)
      end
      def resetMaximumNumberofWarmupDays
      end
      # @return [Boolean]
      def setMinimumNumberofWarmupDays(int32)
      end
      def resetMinimumNumberofWarmupDays
      end
      # @return [OptionalConvergenceLimits]
      def convergenceLimits
      end
      # @return [OptionalHeatBalanceAlgorithm]
      def heatBalanceAlgorithm
      end
      # @return [OptionalInsideSurfaceConvectionAlgorithm]
      def insideSurfaceConvectionAlgorithm
      end
      # @return [OptionalOutsideSurfaceConvectionAlgorithm]
      def outsideSurfaceConvectionAlgorithm
      end
      # @return [SWIGTYPE_p_std__vectorT_openstudio__model__RunPeriod_t]
      def runPeriods
      end
      # @return [OptionalShadowCalculation]
      def shadowCalculation
      end
      # @return [OptionalSizingParameters]
      def sizingParameters
      end
      # @return [OptionalTimestep]
      def timestep
      end
      # @return [OptionalZoneAirContaminantBalance]
      def zoneAirContaminantBalance
      end
      # @return [OptionalZoneAirHeatBalanceAlgorithm]
      def zoneAirHeatBalanceAlgorithm
      end
      # @return [OptionalZoneAirMassFlowConservation]
      def zoneAirMassFlowConservation
      end
      # @return [OptionalZoneCapacitanceMultiplierResearchSpecial]
      def zoneCapacitanceMultiplierResearchSpecial
      end
      # @return [StringVector]
      def sizingEnvironmentPeriods
      end
      # @return [StringVector]
      def annualSimulationEnvironmentPeriods
      end
      # @return [StringVector]
      def partialYearEnvironmentPeriods
      end
      # @return [StringVector]
      def repeatedIntervalEnvironmentPeriods
      end
      # @return [Quantity]
      def getLoadsConvergenceToleranceValue(*args)
      end
      # @return [Quantity]
      def getTemperatureConvergenceToleranceValue(*args)
      end
      # @return [Boolean]
      def setLoadsConvergenceToleranceValue(*args)
      end
      # @return [Boolean]
      def setTemperatureConvergenceToleranceValue(*args)
      end
    end
  end
end