require 'openstudio'
module OpenStudio
  module Model
    class SizingSystem < ModelObject
      def self.new(model, airLoopHVAC)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validTypeofLoadtoSizeOnValues
      end
      # @return [StringVector]
      def self.validSizingOptionValues
      end
      # @return [StringVector]
      def self.validCoolingDesignAirFlowMethodValues
      end
      # @return [StringVector]
      def self.validHeatingDesignAirFlowMethodValues
      end
      # @return [StringVector]
      def self.validSystemOutdoorAirMethodValues
      end
      # @return [String]
      def typeofLoadtoSizeOn
      end
      # @return [Boolean]
      def isTypeofLoadtoSizeOnDefaulted
      end
      # @return [OptionalDouble]
      def designOutdoorAirFlowRate
      end
      # @return [Boolean]
      def isDesignOutdoorAirFlowRateDefaulted
      end
      # @return [Boolean]
      def isDesignOutdoorAirFlowRateAutosized
      end
      # @return [Double]
      def minimumSystemAirFlowRatio
      end
      # @return [Double]
      def preheatDesignTemperature
      end
      # @return [Double]
      def preheatDesignHumidityRatio
      end
      # @return [Double]
      def precoolDesignTemperature
      end
      # @return [Double]
      def precoolDesignHumidityRatio
      end
      # @return [Double]
      def centralCoolingDesignSupplyAirTemperature
      end
      # @return [Double]
      def centralHeatingDesignSupplyAirTemperature
      end
      # @return [String]
      def sizingOption
      end
      # @return [Boolean]
      def isSizingOptionDefaulted
      end
      # @return [Boolean]
      def allOutdoorAirinCooling
      end
      # @return [Boolean]
      def isAllOutdoorAirinCoolingDefaulted
      end
      # @return [Boolean]
      def allOutdoorAirinHeating
      end
      # @return [Boolean]
      def isAllOutdoorAirinHeatingDefaulted
      end
      # @return [Double]
      def centralCoolingDesignSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def isCentralCoolingDesignSupplyAirHumidityRatioDefaulted
      end
      # @return [Double]
      def centralHeatingDesignSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def isCentralHeatingDesignSupplyAirHumidityRatioDefaulted
      end
      # @return [String]
      def coolingDesignAirFlowMethod
      end
      # @return [Boolean]
      def isCoolingDesignAirFlowMethodDefaulted
      end
      # @return [Double]
      def coolingDesignAirFlowRate
      end
      # @return [Boolean]
      def isCoolingDesignAirFlowRateDefaulted
      end
      # @return [String]
      def heatingDesignAirFlowMethod
      end
      # @return [Boolean]
      def isHeatingDesignAirFlowMethodDefaulted
      end
      # @return [Double]
      def heatingDesignAirFlowRate
      end
      # @return [Boolean]
      def isHeatingDesignAirFlowRateDefaulted
      end
      # @return [String]
      def systemOutdoorAirMethod
      end
      # @return [Boolean]
      def isSystemOutdoorAirMethodDefaulted
      end
      # @return [Double]
      def zoneMaximumOutdoorAirFraction
      end
      # @return [Double]
      def coolingSupplyAirFlowRatePerFloorArea
      end
      # @return [Double]
      def coolingFractionofAutosizedCoolingSupplyAirFlowRate
      end
      # @return [Double]
      def coolingSupplyAirFlowRatePerUnitCoolingCapacity
      end
      # @return [Double]
      def heatingSupplyAirFlowRatePerFloorArea
      end
      # @return [Double]
      def heatingFractionofAutosizedHeatingSupplyAirFlowRate
      end
      # @return [Double]
      def heatingFractionofAutosizedCoolingSupplyAirFlowRate
      end
      # @return [Double]
      def heatingSupplyAirFlowRatePerUnitHeatingCapacity
      end
      # @return [String]
      def coolingDesignCapacityMethod
      end
      # @return [OptionalDouble]
      def coolingDesignCapacity
      end
      # @return [Boolean]
      def isCoolingDesignCapacityAutosized
      end
      # @return [Double]
      def coolingDesignCapacityPerFloorArea
      end
      # @return [Double]
      def fractionofAutosizedCoolingDesignCapacity
      end
      # @return [String]
      def heatingDesignCapacityMethod
      end
      # @return [OptionalDouble]
      def heatingDesignCapacity
      end
      # @return [Boolean]
      def isHeatingDesignCapacityAutosized
      end
      # @return [Double]
      def heatingDesignCapacityPerFloorArea
      end
      # @return [Double]
      def fractionofAutosizedHeatingDesignCapacity
      end
      # @return [String]
      def centralCoolingCapacityControlMethod
      end
      # @return [Boolean]
      def setTypeofLoadtoSizeOn(string)
      end
      def resetTypeofLoadtoSizeOn
      end
      # @return [Boolean]
      def setDesignOutdoorAirFlowRate(double)
      end
      def resetDesignOutdoorAirFlowRate
      end
      def autosizeDesignOutdoorAirFlowRate
      end
      # @return [Boolean]
      def setMinimumSystemAirFlowRatio(double)
      end
      def setPreheatDesignTemperature(double)
      end
      def setPreheatDesignHumidityRatio(double)
      end
      def setPrecoolDesignTemperature(double)
      end
      def setPrecoolDesignHumidityRatio(double)
      end
      def setCentralCoolingDesignSupplyAirTemperature(double)
      end
      def setCentralHeatingDesignSupplyAirTemperature(double)
      end
      # @return [Boolean]
      def setSizingOption(string)
      end
      def resetSizingOption
      end
      def setAllOutdoorAirinCooling(boolean)
      end
      def resetAllOutdoorAirinCooling
      end
      def setAllOutdoorAirinHeating(boolean)
      end
      def resetAllOutdoorAirinHeating
      end
      def setCentralCoolingDesignSupplyAirHumidityRatio(double)
      end
      def resetCentralCoolingDesignSupplyAirHumidityRatio
      end
      def setCentralHeatingDesignSupplyAirHumidityRatio(double)
      end
      def resetCentralHeatingDesignSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def setCoolingDesignAirFlowMethod(string)
      end
      def resetCoolingDesignAirFlowMethod
      end
      # @return [Boolean]
      def setCoolingDesignAirFlowRate(double)
      end
      def resetCoolingDesignAirFlowRate
      end
      # @return [Boolean]
      def setHeatingDesignAirFlowMethod(string)
      end
      def resetHeatingDesignAirFlowMethod
      end
      # @return [Boolean]
      def setHeatingDesignAirFlowRate(double)
      end
      def resetHeatingDesignAirFlowRate
      end
      # @return [Boolean]
      def setSystemOutdoorAirMethod(string)
      end
      def resetSystemOutdoorAirMethod
      end
      # @return [Boolean]
      def setZoneMaximumOutdoorAirFraction(double)
      end
      # @return [Boolean]
      def setCoolingSupplyAirFlowRatePerFloorArea(double)
      end
      # @return [Boolean]
      def setCoolingFractionofAutosizedCoolingSupplyAirFlowRate(double)
      end
      # @return [Boolean]
      def setCoolingSupplyAirFlowRatePerUnitCoolingCapacity(double)
      end
      # @return [Boolean]
      def setHeatingSupplyAirFlowRatePerFloorArea(double)
      end
      # @return [Boolean]
      def setHeatingFractionofAutosizedHeatingSupplyAirFlowRate(double)
      end
      # @return [Boolean]
      def setHeatingFractionofAutosizedCoolingSupplyAirFlowRate(double)
      end
      # @return [Boolean]
      def setHeatingSupplyAirFlowRatePerUnitHeatingCapacity(double)
      end
      # @return [Boolean]
      def setCoolingDesignCapacityMethod(string)
      end
      # @return [Boolean]
      def setCoolingDesignCapacity(double)
      end
      def autosizeCoolingDesignCapacity
      end
      # @return [Boolean]
      def setCoolingDesignCapacityPerFloorArea(double)
      end
      # @return [Boolean]
      def setFractionofAutosizedCoolingDesignCapacity(double)
      end
      # @return [Boolean]
      def setHeatingDesignCapacityMethod(string)
      end
      # @return [Boolean]
      def setHeatingDesignCapacity(double)
      end
      def autosizeHeatingDesignCapacity
      end
      # @return [Boolean]
      def setHeatingDesignCapacityPerFloorArea(double)
      end
      # @return [Boolean]
      def setFractionofAutosizedHeatingDesignCapacity(double)
      end
      # @return [Boolean]
      def setCentralCoolingCapacityControlMethod(string)
      end
      # @return [AirLoopHVAC]
      def airLoopHVAC
      end
    end
  end
end