require 'openstudio'
module OpenStudio
  module Model
    class SizingZone < ModelObject
      def self.new(model, thermalZone)
      end
      def resetDesignZoneAirDistributionEffectivenessinCoolingMode
      end
      def resetDesignZoneAirDistributionEffectivenessinHeatingMode
      end
      def setAccountforDedicatedOutdoorAirSystem(boolean)
      end
      # @return [Boolean]
      def setDedicatedOutdoorAirSystemControlStrategy(string)
      end
      def setDedicatedOutdoorAirLowSetpointTemperatureforDesign(double)
      end
      def autosizeDedicatedOutdoorAirLowSetpointTemperatureforDesign
      end
      def setDedicatedOutdoorAirHighSetpointTemperatureforDesign(double)
      end
      def autosizeDedicatedOutdoorAirHighSetpointTemperatureforDesign
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.coolingDesignAirFlowMethodValues
      end
      # @return [StringVector]
      def self.heatingDesignAirFlowMethodValues
      end
      # @return [StringVector]
      def self.zoneCoolingDesignSupplyAirTemperatureInputMethodValues
      end
      # @return [StringVector]
      def self.zoneHeatingDesignSupplyAirTemperatureInputMethodValues
      end
      # @return [ThermalZone]
      def thermalZone
      end
      # @return [String]
      def zoneCoolingDesignSupplyAirTemperatureInputMethod
      end
      # @return [Double]
      def zoneCoolingDesignSupplyAirTemperature
      end
      # @return [Double]
      def zoneCoolingDesignSupplyAirTemperatureDifference
      end
      # @return [String]
      def zoneHeatingDesignSupplyAirTemperatureInputMethod
      end
      # @return [Double]
      def zoneHeatingDesignSupplyAirTemperature
      end
      # @return [Double]
      def zoneHeatingDesignSupplyAirTemperatureDifference
      end
      # @return [Double]
      def zoneCoolingDesignSupplyAirHumidityRatio
      end
      # @return [Double]
      def zoneHeatingDesignSupplyAirHumidityRatio
      end
      # @return [OptionalDouble]
      def zoneHeatingSizingFactor
      end
      # @return [OptionalDouble]
      def zoneCoolingSizingFactor
      end
      # @return [String]
      def coolingDesignAirFlowMethod
      end
      # @return [Boolean]
      def isCoolingDesignAirFlowMethodDefaulted
      end
      # @return [Double]
      def coolingDesignAirFlowRate
      end
      # @return [Boolean]
      def isCoolingDesignAirFlowRateDefaulted
      end
      # @return [Double]
      def coolingMinimumAirFlowperZoneFloorArea
      end
      # @return [Boolean]
      def isCoolingMinimumAirFlowperZoneFloorAreaDefaulted
      end
      # @return [Double]
      def coolingMinimumAirFlow
      end
      # @return [Boolean]
      def isCoolingMinimumAirFlowDefaulted
      end
      # @return [Double]
      def coolingMinimumAirFlowFraction
      end
      # @return [Boolean]
      def isCoolingMinimumAirFlowFractionDefaulted
      end
      # @return [String]
      def heatingDesignAirFlowMethod
      end
      # @return [Boolean]
      def isHeatingDesignAirFlowMethodDefaulted
      end
      # @return [Double]
      def heatingDesignAirFlowRate
      end
      # @return [Boolean]
      def isHeatingDesignAirFlowRateDefaulted
      end
      # @return [Double]
      def heatingMaximumAirFlowperZoneFloorArea
      end
      # @return [Boolean]
      def isHeatingMaximumAirFlowperZoneFloorAreaDefaulted
      end
      # @return [Double]
      def heatingMaximumAirFlow
      end
      # @return [Boolean]
      def isHeatingMaximumAirFlowDefaulted
      end
      # @return [Double]
      def heatingMaximumAirFlowFraction
      end
      # @return [Boolean]
      def isHeatingMaximumAirFlowFractionDefaulted
      end
      # @return [Double]
      def designZoneAirDistributionEffectivenessinCoolingMode
      end
      # @return [Boolean]
      def isDesignZoneAirDistributionEffectivenessinCoolingModeDefaulted
      end
      # @return [Double]
      def designZoneAirDistributionEffectivenessinHeatingMode
      end
      # @return [Boolean]
      def isDesignZoneAirDistributionEffectivenessinHeatingModeDefaulted
      end
      # @return [Boolean]
      def accountforDedicatedOutdoorAirSystem
      end
      # @return [String]
      def dedicatedOutdoorAirSystemControlStrategy
      end
      # @return [OptionalDouble]
      def dedicatedOutdoorAirLowSetpointTemperatureforDesign
      end
      # @return [Boolean]
      def isDedicatedOutdoorAirLowSetpointTemperatureforDesignAutosized
      end
      # @return [OptionalDouble]
      def dedicatedOutdoorAirHighSetpointTemperatureforDesign
      end
      # @return [Boolean]
      def isDedicatedOutdoorAirHighSetpointTemperatureforDesignAutosized
      end
      # @return [Boolean]
      def setZoneCoolingDesignSupplyAirTemperatureInputMethod(string)
      end
      def setZoneCoolingDesignSupplyAirTemperatureDifference(double)
      end
      # @return [Boolean]
      def setZoneHeatingDesignSupplyAirTemperatureInputMethod(string)
      end
      def setZoneHeatingDesignSupplyAirTemperatureDifference(double)
      end
      def resetZoneHeatingSizingFactor
      end
      def resetZoneCoolingSizingFactor
      end
      # @return [Boolean]
      def setCoolingDesignAirFlowMethod(string)
      end
      def resetCoolingDesignAirFlowMethod
      end
      def resetCoolingDesignAirFlowRate
      end
      def resetCoolingMinimumAirFlowperZoneFloorArea
      end
      def resetCoolingMinimumAirFlow
      end
      def resetCoolingMinimumAirFlowFraction
      end
      # @return [Boolean]
      def setHeatingDesignAirFlowMethod(string)
      end
      def resetHeatingDesignAirFlowMethod
      end
      def resetHeatingDesignAirFlowRate
      end
      def resetHeatingMaximumAirFlowperZoneFloorArea
      end
      def resetHeatingMaximumAirFlow
      end
      def resetHeatingMaximumAirFlowFraction
      end
      # @return [Boolean]
      def setDesignZoneAirDistributionEffectivenessinCoolingMode(*args)
      end
      # @return [Boolean]
      def setDesignZoneAirDistributionEffectivenessinHeatingMode(*args)
      end
      # @return [Quantity]
      def getZoneCoolingDesignSupplyAirTemperature(*args)
      end
      # @return [Quantity]
      def getZoneHeatingDesignSupplyAirTemperature(*args)
      end
      # @return [Quantity]
      def getZoneCoolingDesignSupplyAirHumidityRatio(*args)
      end
      # @return [Quantity]
      def getZoneHeatingDesignSupplyAirHumidityRatio(*args)
      end
      # @return [OSOptionalQuantity]
      def getZoneHeatingSizingFactor(*args)
      end
      # @return [OSOptionalQuantity]
      def getZoneCoolingSizingFactor(*args)
      end
      # @return [Quantity]
      def getCoolingDesignAirFlowRate(*args)
      end
      # @return [Quantity]
      def getCoolingMinimumAirFlowperZoneFloorArea(*args)
      end
      # @return [Quantity]
      def getCoolingMinimumAirFlow(*args)
      end
      # @return [Quantity]
      def getCoolingMinimumAirFlowFraction(*args)
      end
      # @return [Quantity]
      def getHeatingDesignAirFlowRate(*args)
      end
      # @return [Quantity]
      def getHeatingMaximumAirFlowperZoneFloorArea(*args)
      end
      # @return [Quantity]
      def getHeatingMaximumAirFlow(*args)
      end
      # @return [Quantity]
      def getHeatingMaximumAirFlowFraction(*args)
      end
      # @return [Quantity]
      def getDesignZoneAirDistributionEffectivenessinCoolingMode(*args)
      end
      # @return [Quantity]
      def getDesignZoneAirDistributionEffectivenessinHeatingMode(*args)
      end
      def setZoneCoolingDesignSupplyAirTemperature(*args)
      end
      def setZoneHeatingDesignSupplyAirTemperature(*args)
      end
      # @return [Boolean]
      def setZoneCoolingDesignSupplyAirHumidityRatio(*args)
      end
      # @return [Boolean]
      def setZoneHeatingDesignSupplyAirHumidityRatio(*args)
      end
      # @return [Boolean]
      def setZoneHeatingSizingFactor(*args)
      end
      # @return [Boolean]
      def setZoneCoolingSizingFactor(*args)
      end
      # @return [Boolean]
      def setCoolingDesignAirFlowRate(*args)
      end
      # @return [Boolean]
      def setCoolingMinimumAirFlowperZoneFloorArea(*args)
      end
      # @return [Boolean]
      def setCoolingMinimumAirFlow(*args)
      end
      # @return [Boolean]
      def setCoolingMinimumAirFlowFraction(*args)
      end
      # @return [Boolean]
      def setHeatingDesignAirFlowRate(*args)
      end
      # @return [Boolean]
      def setHeatingMaximumAirFlowperZoneFloorArea(*args)
      end
      # @return [Boolean]
      def setHeatingMaximumAirFlow(*args)
      end
      # @return [Boolean]
      def setHeatingMaximumAirFlowFraction(*args)
      end
    end
  end
end