require 'openstudio'
module OpenStudio
  module Model
    class SolarCollectorPerformanceIntegralCollectorStorage < ModelObject
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.iCSCollectorTypeValues
      end
      # @return [String]
      def iCSCollectorType
      end
      # @return [Boolean]
      def isICSCollectorTypeDefaulted
      end
      # @return [Double]
      def grossArea
      end
      # @return [Double]
      def collectorWaterVolume
      end
      # @return [Double]
      def bottomHeatLossConductance
      end
      # @return [Boolean]
      def isBottomHeatLossConductanceDefaulted
      end
      # @return [Double]
      def sideHeatLossConductance
      end
      # @return [Boolean]
      def isSideHeatLossConductanceDefaulted
      end
      # @return [Double]
      def aspectRatio
      end
      # @return [Boolean]
      def isAspectRatioDefaulted
      end
      # @return [Double]
      def collectorSideHeight
      end
      # @return [Boolean]
      def isCollectorSideHeightDefaulted
      end
      # @return [Double]
      def thermalMassOfAbsorberPlate
      end
      # @return [Boolean]
      def isThermalMassOfAbsorberPlateDefaulted
      end
      # @return [Int32]
      def numberOfCovers
      end
      # @return [Boolean]
      def isNumberOfCoversDefaulted
      end
      # @return [Double]
      def coverSpacing
      end
      # @return [Boolean]
      def isCoverSpacingDefaulted
      end
      # @return [Double]
      def refractiveIndexOfOuterCover
      end
      # @return [Boolean]
      def isRefractiveIndexOfOuterCoverDefaulted
      end
      # @return [Double]
      def extinctionCoefficientTimesThicknessOfOuterCover
      end
      # @return [Boolean]
      def isExtinctionCoefficientTimesThicknessOfOuterCoverDefaulted
      end
      # @return [Double]
      def emissivityOfOuterCover
      end
      # @return [Boolean]
      def isEmissivityOfOuterCoverDefaulted
      end
      # @return [Double]
      def refractiveIndexOfInnerCover
      end
      # @return [Boolean]
      def isRefractiveIndexOfInnerCoverDefaulted
      end
      # @return [Double]
      def extinctionCoefficientTimesThicknessOfTheInnerCover
      end
      # @return [Boolean]
      def isExtinctionCoefficientTimesThicknessOfTheInnerCoverDefaulted
      end
      # @return [Double]
      def emissivityOfInnerCover
      end
      # @return [Boolean]
      def isEmissivityOfInnerCoverDefaulted
      end
      # @return [Double]
      def absorptanceOfAbsorberPlate
      end
      # @return [Boolean]
      def isAbsorptanceOfAbsorberPlateDefaulted
      end
      # @return [Double]
      def emissivityOfAbsorberPlate
      end
      # @return [Boolean]
      def isEmissivityOfAbsorberPlateDefaulted
      end
      # @return [Boolean]
      def setICSCollectorType(string)
      end
      def resetICSCollectorType
      end
      # @return [Boolean]
      def setGrossArea(double)
      end
      # @return [Boolean]
      def setCollectorWaterVolume(double)
      end
      # @return [Boolean]
      def setBottomHeatLossConductance(double)
      end
      def resetBottomHeatLossConductance
      end
      # @return [Boolean]
      def setSideHeatLossConductance(double)
      end
      def resetSideHeatLossConductance
      end
      # @return [Boolean]
      def setAspectRatio(double)
      end
      def resetAspectRatio
      end
      # @return [Boolean]
      def setCollectorSideHeight(double)
      end
      def resetCollectorSideHeight
      end
      # @return [Boolean]
      def setThermalMassOfAbsorberPlate(double)
      end
      def resetThermalMassOfAbsorberPlate
      end
      # @return [Boolean]
      def setNumberOfCovers(int32)
      end
      def resetNumberOfCovers
      end
      # @return [Boolean]
      def setCoverSpacing(double)
      end
      def resetCoverSpacing
      end
      # @return [Boolean]
      def setRefractiveIndexOfOuterCover(double)
      end
      def resetRefractiveIndexOfOuterCover
      end
      # @return [Boolean]
      def setExtinctionCoefficientTimesThicknessOfOuterCover(double)
      end
      def resetExtinctionCoefficientTimesThicknessOfOuterCover
      end
      # @return [Boolean]
      def setEmissivityOfOuterCover(double)
      end
      def resetEmissivityOfOuterCover
      end
      # @return [Boolean]
      def setRefractiveIndexOfInnerCover(double)
      end
      def resetRefractiveIndexOfInnerCover
      end
      # @return [Boolean]
      def setExtinctionCoefficientTimesThicknessOfTheInnerCover(double)
      end
      def resetExtinctionCoefficientTimesThicknessOfTheInnerCover
      end
      # @return [Boolean]
      def setEmissivityOfInnerCover(double)
      end
      def resetEmissivityOfInnerCover
      end
      # @return [Boolean]
      def setAbsorptanceOfAbsorberPlate(double)
      end
      def resetAbsorptanceOfAbsorberPlate
      end
      # @return [Boolean]
      def setEmissivityOfAbsorberPlate(double)
      end
      def resetEmissivityOfAbsorberPlate
      end
    end
  end
end