require 'openstudio'
module OpenStudio
  module Model
    class Space < PlanarSurfaceGroup
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalSpace]
      def self.fromFloorPrint(point3dVector, double, model)
      end
      # @return [Boolean]
      def isPartofTotalFloorAreaDefaulted
      end
      def resetPartofTotalFloorArea
      end
      # @return [Boolean]
      def isSpaceTypeDefaulted
      end
      # @return [Boolean]
      def setSpaceType(spaceType)
      end
      def resetSpaceType
      end
      # @return [OptionalDefaultConstructionSet]
      def defaultConstructionSet
      end
      # @return [OptionalConstructionBase]
      def getDefaultConstruction(planarSurface)
      end
      # @return [Boolean]
      def setDefaultConstructionSet(defaultConstructionSet)
      end
      def resetDefaultConstructionSet
      end
      # @return [OptionalDefaultScheduleSet]
      def defaultScheduleSet
      end
      # @return [OptionalSchedule]
      def getDefaultSchedule(defaultScheduleType)
      end
      # @return [Boolean]
      def setDefaultScheduleSet(defaultScheduleSet)
      end
      def resetDefaultScheduleSet
      end
      def resetThermalZone
      end
      # @return [OptionalBuildingStory]
      def buildingStory
      end
      # @return [Boolean]
      def setBuildingStory(buildingStory)
      end
      def resetBuildingStory
      end
      # @return [OptionalBuildingUnit]
      def buildingUnit
      end
      # @return [Boolean]
      def setBuildingUnit(buildingUnit)
      end
      def resetBuildingUnit
      end
      # @return [ShadingSurfaceGroupVector]
      def shadingSurfaceGroups
      end
      # @return [InteriorPartitionSurfaceGroupVector]
      def interiorPartitionSurfaceGroups
      end
      # @return [InternalMassVector]
      def internalMass
      end
      # @return [PeopleVector]
      def people
      end
      # @return [LightsVector]
      def lights
      end
      # @return [LuminaireVector]
      def luminaires
      end
      # @return [ElectricEquipmentVector]
      def electricEquipment
      end
      # @return [GasEquipmentVector]
      def gasEquipment
      end
      # @return [HotWaterEquipmentVector]
      def hotWaterEquipment
      end
      # @return [SteamEquipmentVector]
      def steamEquipment
      end
      # @return [OtherEquipmentVector]
      def otherEquipment
      end
      # @return [SWIGTYPE_p_std__vectorT_openstudio__model__WaterUseEquipment_t]
      def waterUseEquipment
      end
      # @return [DaylightingControlVector]
      def daylightingControls
      end
      # @return [IlluminanceMapVector]
      def illuminanceMaps
      end
      # @return [GlareSensorVector]
      def glareSensors
      end
      # @return [SpaceInfiltrationDesignFlowRateVector]
      def spaceInfiltrationDesignFlowRates
      end
      # @return [SpaceInfiltrationEffectiveLeakageAreaVector]
      def spaceInfiltrationEffectiveLeakageAreas
      end
      # @return [OptionalDesignSpecificationOutdoorAir]
      def designSpecificationOutdoorAir
      end
      # @return [Boolean]
      def isDesignSpecificationOutdoorAirDefaulted
      end
      # @return [Boolean]
      def setDesignSpecificationOutdoorAir(designSpecificationOutdoorAir)
      end
      def resetDesignSpecificationOutdoorAir
      end
      # @return [Int32]
      def multiplier
      end
      # @return [Double]
      def exteriorArea
      end
      # @return [Double]
      def exteriorWallArea
      end
      # @return [Double]
      def volume
      end
      # @return [Double]
      def numberOfPeople
      end
      # @return [Double]
      def peoplePerFloorArea
      end
      # @return [Double]
      def floorAreaPerPerson
      end
      # @return [Double]
      def lightingPower
      end
      # @return [Double]
      def lightingPowerPerFloorArea
      end
      # @return [Double]
      def lightingPowerPerPerson
      end
      # @return [Double]
      def electricEquipmentPower
      end
      # @return [Double]
      def electricEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def electricEquipmentPowerPerPerson
      end
      # @return [Double]
      def gasEquipmentPower
      end
      # @return [Double]
      def gasEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def gasEquipmentPowerPerPerson
      end
      # @return [Double]
      def infiltrationDesignFlowRate
      end
      # @return [Double]
      def infiltrationDesignFlowPerSpaceFloorArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorSurfaceArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorWallArea
      end
      # @return [Double]
      def infiltrationDesignAirChangesPerHour
      end
      def hardApplySpaceType(boolean)
      end
      def hardApplySpaceLoadSchedules
      end
      def hardApplyConstructions
      end
      def unmatchSurfaces
      end
      def matchSurfaces(space)
      end
      def intersectSurfaces(space)
      end
      # @return [Point3dVector]
      def floorPrint
      end
      # @return [Boolean]
      def isPlenum
      end
      def set_partofTotalFloorArea(boolean)
      end
      # @return [Boolean]
      def get_partofTotalFloorArea
      end
      # @return [Double]
      def get_floorArea
      end
      # @return [OptionalSpaceType]
      def get_spaceType
      end
      # @return [SurfaceVector]
      def get_surfaces
      end
      # @return [OptionalThermalZone]
      def thermalZone
      end
      # @return [Boolean]
      def setThermalZone(thermalZone)
      end
      # @return [Boolean]
      def setNumberOfPeople(*args)
      end
      # @return [Boolean]
      def setPeoplePerFloorArea(*args)
      end
      # @return [Boolean]
      def setFloorAreaPerPerson(*args)
      end
      # @return [Boolean]
      def setLightingPower(*args)
      end
      # @return [Boolean]
      def setLightingPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setLightingPowerPerPerson(*args)
      end
      # @return [Boolean]
      def setElectricEquipmentPower(*args)
      end
      # @return [Boolean]
      def setElectricEquipmentPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setElectricEquipmentPowerPerPerson(*args)
      end
      # @return [Boolean]
      def setGasEquipmentPower(*args)
      end
      # @return [Boolean]
      def setGasEquipmentPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setGasEquipmentPowerPerPerson(*args)
      end
      # @return [SurfaceVector]
      def findSurfaces(*args)
      end
    end
  end
end