require 'openstudio'
module OpenStudio
  module Model
    class Surface < PlanarSurface
      def self.new(point3dVector, model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validSurfaceTypeValues
      end
      # @return [StringVector]
      def self.validOutsideBoundaryConditionValues
      end
      # @return [StringVector]
      def self.validSunExposureValues
      end
      # @return [StringVector]
      def self.validWindExposureValues
      end
      # @return [String]
      def surfaceType
      end
      # @return [String]
      def outsideBoundaryCondition
      end
      # @return [Boolean]
      def isGroundSurface
      end
      # @return [String]
      def sunExposure
      end
      # @return [Boolean]
      def isSunExposureDefaulted
      end
      # @return [String]
      def windExposure
      end
      # @return [Boolean]
      def isWindExposureDefaulted
      end
      # @return [OptionalDouble]
      def viewFactortoGround
      end
      # @return [Boolean]
      def isViewFactortoGroundDefaulted
      end
      # @return [Boolean]
      def isViewFactortoGroundAutocalculated
      end
      # @return [OptionalDouble]
      def numberofVertices
      end
      # @return [Boolean]
      def isNumberofVerticesDefaulted
      end
      # @return [Boolean]
      def isNumberofVerticesAutocalculated
      end
      # @return [Boolean]
      def setSurfaceType(string)
      end
      # @return [Boolean]
      def setOutsideBoundaryCondition(string)
      end
      # @return [Boolean]
      def setSunExposure(string)
      end
      def resetSunExposure
      end
      # @return [Boolean]
      def setWindExposure(string)
      end
      def resetWindExposure
      end
      def resetViewFactortoGround
      end
      def autocalculateViewFactortoGround
      end
      def resetNumberofVertices
      end
      def autocalculateNumberofVertices
      end
      # @return [SubSurfaceVector]
      def subSurfaces
      end
      # @return [Boolean]
      def setSpace(space)
      end
      # @return [OptionalSurface]
      def adjacentSurface
      end
      # @return [Boolean]
      def setAdjacentSurface(surface)
      end
      def resetAdjacentSurface
      end
      # @return [OptionalSurfacePropertyConvectionCoefficients]
      def surfacePropertyConvectionCoefficients
      end
      # @return [OptionalSurfacePropertyOtherSideCoefficients]
      def surfacePropertyOtherSideCoefficients
      end
      # @return [Boolean]
      def setSurfacePropertyOtherSideCoefficients(surfacePropertyOtherSideCoefficients)
      end
      def resetSurfacePropertyOtherSideCoefficients
      end
      # @return [OptionalSurfacePropertyOtherSideConditionsModel]
      def surfacePropertyOtherSideConditionsModel
      end
      # @return [Boolean]
      def setSurfacePropertyOtherSideConditionsModel(surfacePropertyOtherSideConditionsModel)
      end
      def resetSurfacePropertyOtherSideConditionsModel
      end
      # @return [Boolean]
      def intersect(surface)
      end
      # @return [SWIGTYPE_p_boost__optionalT_openstudio__model__SurfaceIntersection_t]
      def computeIntersection(surface)
      end
      # @return [OptionalSurface]
      def createAdjacentSurface(space)
      end
      # @return [Boolean]
      def isPartOfEnvelope
      end
      def assignDefaultSurfaceType
      end
      def assignDefaultBoundaryCondition
      end
      def assignDefaultSunExposure
      end
      def assignDefaultWindExposure
      end
      # @return [Double]
      def filmResistance
      end
      # @return [Double]
      def windowToWallRatio
      end
      # @return [Double]
      def skylightToRoofRatio
      end
      # @return [Double]
      def skylightToProjectedFloorRatio
      end
      # @return [SubSurfaceVector]
      def applyViewAndDaylightingGlassRatios(double, double, double, double, double, double, optionalConstructionBase, optionalConstructionBase)
      end
      # @return [ShadingSurfaceGroupVector]
      def shadingSurfaceGroups
      end
      # @return [SurfaceVector]
      def splitSurfaceForSubSurfaces
      end
      # @return [SubSurfaceVector]
      def createSubSurfaces(point3dVectorVector, double, optionalConstructionBase)
      end
      # @return [Boolean]
      def setViewFactortoGround(*args)
      end
      # @return [Boolean]
      def setNumberofVertices(*args)
      end
      # @return [OptionalSubSurface]
      def setWindowToWallRatio(*args)
      end
    end
  end
end