require 'openstudio'
module OpenStudio
  module Model
    class SurfacePropertyOtherSideCoefficients < ResourceObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDouble]
      def combinedConvectiveRadiativeFilmCoefficient
      end
      # @return [Double]
      def constantTemperature
      end
      # @return [Boolean]
      def isConstantTemperatureDefaulted
      end
      # @return [Double]
      def constantTemperatureCoefficient
      end
      # @return [Boolean]
      def isConstantTemperatureCoefficientDefaulted
      end
      # @return [Double]
      def externalDryBulbTemperatureCoefficient
      end
      # @return [Boolean]
      def isExternalDryBulbTemperatureCoefficientDefaulted
      end
      # @return [Double]
      def groundTemperatureCoefficient
      end
      # @return [Boolean]
      def isGroundTemperatureCoefficientDefaulted
      end
      # @return [Double]
      def windSpeedCoefficient
      end
      # @return [Boolean]
      def isWindSpeedCoefficientDefaulted
      end
      # @return [Double]
      def zoneAirTemperatureCoefficient
      end
      # @return [Boolean]
      def isZoneAirTemperatureCoefficientDefaulted
      end
      # @return [OptionalSchedule]
      def constantTemperatureSchedule
      end
      # @return [Boolean]
      def sinusoidalVariationofConstantTemperatureCoefficient
      end
      # @return [Boolean]
      def isSinusoidalVariationofConstantTemperatureCoefficientDefaulted
      end
      # @return [Double]
      def periodofSinusoidalVariation
      end
      # @return [Boolean]
      def isPeriodofSinusoidalVariationDefaulted
      end
      # @return [Double]
      def previousOtherSideTemperatureCoefficient
      end
      # @return [Boolean]
      def isPreviousOtherSideTemperatureCoefficientDefaulted
      end
      # @return [OptionalDouble]
      def minimumOtherSideTemperatureLimit
      end
      # @return [OptionalDouble]
      def maximumOtherSideTemperatureLimit
      end
      # @return [Boolean]
      def setCombinedConvectiveRadiativeFilmCoefficient(double)
      end
      def resetCombinedConvectiveRadiativeFilmCoefficient
      end
      # @return [Boolean]
      def setConstantTemperature(double)
      end
      def resetConstantTemperature
      end
      # @return [Boolean]
      def setConstantTemperatureCoefficient(double)
      end
      def resetConstantTemperatureCoefficient
      end
      # @return [Boolean]
      def setExternalDryBulbTemperatureCoefficient(double)
      end
      def resetExternalDryBulbTemperatureCoefficient
      end
      # @return [Boolean]
      def setGroundTemperatureCoefficient(double)
      end
      def resetGroundTemperatureCoefficient
      end
      # @return [Boolean]
      def setWindSpeedCoefficient(double)
      end
      def resetWindSpeedCoefficient
      end
      # @return [Boolean]
      def setZoneAirTemperatureCoefficient(double)
      end
      def resetZoneAirTemperatureCoefficient
      end
      # @return [Boolean]
      def setConstantTemperatureSchedule(schedule)
      end
      def resetConstantTemperatureSchedule
      end
      # @return [Boolean]
      def setSinusoidalVariationofConstantTemperatureCoefficient(boolean)
      end
      def resetSinusoidalVariationofConstantTemperatureCoefficient
      end
      # @return [Boolean]
      def setPeriodofSinusoidalVariation(double)
      end
      def resetPeriodofSinusoidalVariation
      end
      # @return [Boolean]
      def setPreviousOtherSideTemperatureCoefficient(double)
      end
      def resetPreviousOtherSideTemperatureCoefficient
      end
      # @return [Boolean]
      def setMinimumOtherSideTemperatureLimit(double)
      end
      def resetMinimumOtherSideTemperatureLimit
      end
      # @return [Boolean]
      def setMaximumOtherSideTemperatureLimit(double)
      end
      def resetMaximumOtherSideTemperatureLimit
      end
    end
  end
end