require 'openstudio'
module OpenStudio
  module Model
    class ThermalStorageChilledWaterStratified < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.tankShapeValues
      end
      # @return [StringVector]
      def self.ambientTemperatureIndicatorValues
      end
      # @return [StringVector]
      def self.inletModeValues
      end
      # @return [Double]
      def tankVolume
      end
      # @return [Double]
      def tankHeight
      end
      # @return [String]
      def tankShape
      end
      # @return [OptionalDouble]
      def tankPerimeter
      end
      # @return [OptionalSchedule]
      def setpointTemperatureSchedule
      end
      # @return [Double]
      def deadbandTemperatureDifference
      end
      # @return [OptionalDouble]
      def temperatureSensorHeight
      end
      # @return [OptionalDouble]
      def minimumTemperatureLimit
      end
      # @return [OptionalDouble]
      def nominalCoolingCapacity
      end
      # @return [String]
      def ambientTemperatureIndicator
      end
      # @return [OptionalSchedule]
      def ambientTemperatureSchedule
      end
      # @return [OptionalThermalZone]
      def ambientTemperatureThermalZone
      end
      # @return [OptionalString]
      def ambientTemperatureOutdoorAirNodeName
      end
      # @return [OptionalDouble]
      def uniformSkinLossCoefficientperUnitAreatoAmbientTemperature
      end
      # @return [Double]
      def useSideHeatTransferEffectiveness
      end
      # @return [OptionalSchedule]
      def useSideAvailabilitySchedule
      end
      # @return [OptionalDouble]
      def useSideInletHeight
      end
      # @return [Boolean]
      def isUseSideInletHeightAutocalculated
      end
      # @return [Double]
      def useSideOutletHeight
      end
      # @return [OptionalDouble]
      def useSideDesignFlowRate
      end
      # @return [Boolean]
      def isUseSideDesignFlowRateAutosized
      end
      # @return [Double]
      def sourceSideHeatTransferEffectiveness
      end
      # @return [OptionalSchedule]
      def sourceSideAvailabilitySchedule
      end
      # @return [Double]
      def sourceSideInletHeight
      end
      # @return [OptionalDouble]
      def sourceSideOutletHeight
      end
      # @return [Boolean]
      def isSourceSideOutletHeightAutocalculated
      end
      # @return [OptionalDouble]
      def sourceSideDesignFlowRate
      end
      # @return [Boolean]
      def isSourceSideDesignFlowRateAutosized
      end
      # @return [Double]
      def tankRecoveryTime
      end
      # @return [String]
      def inletMode
      end
      # @return [Int32]
      def numberofNodes
      end
      # @return [Double]
      def additionalDestratificationConductivity
      end
      # @return [Double]
      def node1AdditionalLossCoefficient
      end
      # @return [Double]
      def node2AdditionalLossCoefficient
      end
      # @return [Double]
      def node3AdditionalLossCoefficient
      end
      # @return [Double]
      def node4AdditionalLossCoefficient
      end
      # @return [Double]
      def node5AdditionalLossCoefficient
      end
      # @return [Double]
      def node6AdditionalLossCoefficient
      end
      # @return [Double]
      def node7AdditionalLossCoefficient
      end
      # @return [Double]
      def node8AdditionalLossCoefficient
      end
      # @return [Double]
      def node9AdditionalLossCoefficient
      end
      # @return [Double]
      def node10AdditionalLossCoefficient
      end
      # @return [Boolean]
      def setTankVolume(double)
      end
      # @return [Boolean]
      def setTankHeight(double)
      end
      # @return [Boolean]
      def setTankShape(string)
      end
      # @return [Boolean]
      def setTankPerimeter(double)
      end
      def resetTankPerimeter
      end
      # @return [Boolean]
      def setSetpointTemperatureSchedule(schedule)
      end
      def resetSetpointTemperatureSchedule
      end
      # @return [Boolean]
      def setDeadbandTemperatureDifference(double)
      end
      # @return [Boolean]
      def setTemperatureSensorHeight(double)
      end
      def resetTemperatureSensorHeight
      end
      def setMinimumTemperatureLimit(double)
      end
      def resetMinimumTemperatureLimit
      end
      def setNominalCoolingCapacity(double)
      end
      def resetNominalCoolingCapacity
      end
      # @return [Boolean]
      def setAmbientTemperatureIndicator(string)
      end
      # @return [Boolean]
      def setAmbientTemperatureSchedule(schedule)
      end
      def resetAmbientTemperatureSchedule
      end
      # @return [Boolean]
      def setAmbientTemperatureThermalZone(thermalZone)
      end
      def resetAmbientTemperatureThermalZone
      end
      def setAmbientTemperatureOutdoorAirNodeName(string)
      end
      def resetAmbientTemperatureOutdoorAirNodeName
      end
      # @return [Boolean]
      def setUniformSkinLossCoefficientperUnitAreatoAmbientTemperature(double)
      end
      def resetUniformSkinLossCoefficientperUnitAreatoAmbientTemperature
      end
      # @return [Boolean]
      def setUseSideHeatTransferEffectiveness(double)
      end
      # @return [Boolean]
      def setUseSideAvailabilitySchedule(schedule)
      end
      def resetUseSideAvailabilitySchedule
      end
      # @return [Boolean]
      def setUseSideInletHeight(double)
      end
      def autocalculateUseSideInletHeight
      end
      # @return [Boolean]
      def setUseSideOutletHeight(double)
      end
      # @return [Boolean]
      def setUseSideDesignFlowRate(double)
      end
      def autosizeUseSideDesignFlowRate
      end
      # @return [Boolean]
      def setSourceSideHeatTransferEffectiveness(double)
      end
      # @return [Boolean]
      def setSourceSideAvailabilitySchedule(schedule)
      end
      def resetSourceSideAvailabilitySchedule
      end
      # @return [Boolean]
      def setSourceSideInletHeight(double)
      end
      # @return [Boolean]
      def setSourceSideOutletHeight(double)
      end
      def autocalculateSourceSideOutletHeight
      end
      # @return [Boolean]
      def setSourceSideDesignFlowRate(double)
      end
      def autosizeSourceSideDesignFlowRate
      end
      # @return [Boolean]
      def setTankRecoveryTime(double)
      end
      # @return [Boolean]
      def setInletMode(string)
      end
      # @return [Boolean]
      def setNumberofNodes(int32)
      end
      # @return [Boolean]
      def setAdditionalDestratificationConductivity(double)
      end
      def setNode1AdditionalLossCoefficient(double)
      end
      def setNode2AdditionalLossCoefficient(double)
      end
      def setNode3AdditionalLossCoefficient(double)
      end
      def setNode4AdditionalLossCoefficient(double)
      end
      def setNode5AdditionalLossCoefficient(double)
      end
      def setNode6AdditionalLossCoefficient(double)
      end
      def setNode7AdditionalLossCoefficient(double)
      end
      def setNode8AdditionalLossCoefficient(double)
      end
      def setNode9AdditionalLossCoefficient(double)
      end
      def setNode10AdditionalLossCoefficient(double)
      end
    end
  end
end