require 'openstudio'
module OpenStudio
  module Model
    class UtilityBill < ModelObject
      def self.new(fuelType, model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def consumptionUnitValues
      end
      # @return [StringVector]
      def peakDemandUnitValues
      end
      # @return [StringVector]
      def self.calibrationGuidelines
      end
      # @return [OptionalDouble]
      def self.maxNMBE(string)
      end
      # @return [OptionalDouble]
      def self.maxCVRMSE(string)
      end
      # @return [FuelType]
      def fuelType
      end
      # @return [InstallLocationType]
      def meterInstallLocation
      end
      # @return [Boolean]
      def isMeterInstallLocationDefaulted
      end
      # @return [OptionalString]
      def meterSpecificInstallLocation
      end
      # @return [OptionalEndUseCategoryType]
      def meterEndUseCategory
      end
      # @return [OptionalString]
      def meterSpecificEndUse
      end
      # @return [String]
      def consumptionUnit
      end
      # @return [OptionalString]
      def consumptionUnitDescription
      end
      # @return [Double]
      def consumptionUnitConversionFactor
      end
      # @return [Boolean]
      def isConsumptionUnitConversionFactorDefaulted
      end
      # @return [OptionalString]
      def peakDemandUnit
      end
      # @return [OptionalString]
      def peakDemandUnitDescription
      end
      # @return [OptionalDouble]
      def peakDemandUnitConversionFactor
      end
      # @return [OptionalUnsigned]
      def timestepsInPeakDemandWindow
      end
      # @return [Boolean]
      def isTimestepsInPeakDemandWindowDefaulted
      end
      # @return [OptionalDouble]
      def minutesInPeakDemandWindow
      end
      # @return [BillingPeriodVector]
      def billingPeriods
      end
      # @return [Boolean]
      def setMeterInstallLocation(installLocationType)
      end
      def resetMeterInstallLocation
      end
      # @return [Boolean]
      def setMeterSpecificInstallLocation(string)
      end
      def resetMeterSpecificInstallLocation
      end
      # @return [Boolean]
      def setMeterEndUseCategory(endUseCategoryType)
      end
      def resetMeterEndUseCategory
      end
      # @return [Boolean]
      def setMeterSpecificEndUse(string)
      end
      def resetMeterSpecificEndUse
      end
      # @return [Boolean]
      def setConsumptionUnit(string)
      end
      # @return [Boolean]
      def setConsumptionUnitConversionFactor(double)
      end
      def resetConsumptionUnitConversionFactor
      end
      # @return [Boolean]
      def setPeakDemandUnit(string)
      end
      # @return [Boolean]
      def setTimestepsInPeakDemandWindow(uInt32)
      end
      def resetTimestepsInPeakDemandWindow
      end
      def clearBillingPeriods
      end
      # @return [BillingPeriod]
      def addBillingPeriod
      end
      # @return [OutputMeter]
      def consumptionMeter
      end
      # @return [OptionalOutputMeter]
      def peakDemandMeter
      end
      # @return [UInt32]
      def numberBillingPeriodsInCalculations
      end
      # @return [OptionalDouble]
      def CVRMSE
      end
      # @return [OptionalDouble]
      def NMBE
      end
    end
  end
end