require 'openstudio'
module OpenStudio
  module Model
    class WaterHeaterMixed < WaterToWaterComponent
      def self.new(model)
      end
      def resetHeaterMinimumCapacity
      end
      def resetHeaterIgnitionMinimumFlowRate
      end
      def resetHeaterIgnitionDelay
      end
      # @return [Boolean]
      def setHeaterFuelType(string)
      end
      def resetHeaterThermalEfficiency
      end
      # @return [Boolean]
      def setPartLoadFactorCurve(curveCubic)
      end
      def resetPartLoadFactorCurve
      end
      def resetOffCycleParasiticFuelConsumptionRate
      end
      # @return [Boolean]
      def setOffCycleParasiticFuelType(string)
      end
      def resetOffCycleParasiticFuelType
      end
      def resetOffCycleParasiticHeatFractiontoTank
      end
      def resetOnCycleParasiticFuelConsumptionRate
      end
      # @return [Boolean]
      def setOnCycleParasiticFuelType(string)
      end
      def resetOnCycleParasiticFuelType
      end
      def resetOnCycleParasiticHeatFractiontoTank
      end
      # @return [Boolean]
      def setAmbientTemperatureIndicator(string)
      end
      # @return [Boolean]
      def setAmbientTemperatureSchedule(schedule)
      end
      def resetAmbientTemperatureSchedule
      end
      # @return [Boolean]
      def setAmbientTemperatureThermalZone(thermalZone)
      end
      def resetAmbientTemperatureThermalZone
      end
      def setAmbientTemperatureOutdoorAirNodeName(string)
      end
      def resetAmbientTemperatureOutdoorAirNodeName
      end
      def resetOffCycleLossCoefficienttoAmbientTemperature
      end
      def resetOffCycleLossFractiontoThermalZone
      end
      def resetOnCycleLossCoefficienttoAmbientTemperature
      end
      def resetOnCycleLossFractiontoThermalZone
      end
      def resetPeakUseFlowRate
      end
      # @return [Boolean]
      def setUseFlowRateFractionSchedule(schedule)
      end
      def resetUseFlowRateFractionSchedule
      end
      # @return [Boolean]
      def setColdWaterSupplyTemperatureSchedule(schedule)
      end
      def resetColdWaterSupplyTemperatureSchedule
      end
      def resetUseSideEffectiveness
      end
      def resetSourceSideEffectiveness
      end
      def resetUseSideDesignFlowRate
      end
      def autosizeUseSideDesignFlowRate
      end
      def resetSourceSideDesignFlowRate
      end
      def autosizeSourceSideDesignFlowRate
      end
      def resetIndirectWaterHeatingRecoveryTime
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.heaterControlTypeValues
      end
      # @return [StringVector]
      def self.heaterFuelTypeValues
      end
      # @return [StringVector]
      def self.offCycleParasiticFuelTypeValues
      end
      # @return [StringVector]
      def self.onCycleParasiticFuelTypeValues
      end
      # @return [StringVector]
      def self.ambientTemperatureIndicatorValues
      end
      # @return [OptionalDouble]
      def tankVolume
      end
      # @return [Boolean]
      def isTankVolumeDefaulted
      end
      # @return [Boolean]
      def isTankVolumeAutosized
      end
      # @return [OptionalSchedule]
      def setpointTemperatureSchedule
      end
      # @return [Double]
      def deadbandTemperatureDifference
      end
      # @return [Boolean]
      def isDeadbandTemperatureDifferenceDefaulted
      end
      # @return [OptionalDouble]
      def maximumTemperatureLimit
      end
      # @return [String]
      def heaterControlType
      end
      # @return [Boolean]
      def isHeaterControlTypeDefaulted
      end
      # @return [OptionalDouble]
      def heaterMaximumCapacity
      end
      # @return [Boolean]
      def isHeaterMaximumCapacityAutosized
      end
      # @return [OptionalDouble]
      def heaterMinimumCapacity
      end
      # @return [Double]
      def heaterIgnitionMinimumFlowRate
      end
      # @return [Boolean]
      def isHeaterIgnitionMinimumFlowRateDefaulted
      end
      # @return [Double]
      def heaterIgnitionDelay
      end
      # @return [Boolean]
      def isHeaterIgnitionDelayDefaulted
      end
      # @return [String]
      def heaterFuelType
      end
      # @return [OptionalDouble]
      def heaterThermalEfficiency
      end
      # @return [OptionalCurveCubic]
      def partLoadFactorCurve
      end
      # @return [Double]
      def offCycleParasiticFuelConsumptionRate
      end
      # @return [Boolean]
      def isOffCycleParasiticFuelConsumptionRateDefaulted
      end
      # @return [OptionalString]
      def offCycleParasiticFuelType
      end
      # @return [Double]
      def offCycleParasiticHeatFractiontoTank
      end
      # @return [Boolean]
      def isOffCycleParasiticHeatFractiontoTankDefaulted
      end
      # @return [Double]
      def onCycleParasiticFuelConsumptionRate
      end
      # @return [Boolean]
      def isOnCycleParasiticFuelConsumptionRateDefaulted
      end
      # @return [OptionalString]
      def onCycleParasiticFuelType
      end
      # @return [Double]
      def onCycleParasiticHeatFractiontoTank
      end
      # @return [Boolean]
      def isOnCycleParasiticHeatFractiontoTankDefaulted
      end
      # @return [String]
      def ambientTemperatureIndicator
      end
      # @return [OptionalSchedule]
      def ambientTemperatureSchedule
      end
      # @return [OptionalThermalZone]
      def ambientTemperatureThermalZone
      end
      # @return [OptionalString]
      def ambientTemperatureOutdoorAirNodeName
      end
      # @return [OptionalDouble]
      def offCycleLossCoefficienttoAmbientTemperature
      end
      # @return [Double]
      def offCycleLossFractiontoThermalZone
      end
      # @return [Boolean]
      def isOffCycleLossFractiontoThermalZoneDefaulted
      end
      # @return [OptionalDouble]
      def onCycleLossCoefficienttoAmbientTemperature
      end
      # @return [Double]
      def onCycleLossFractiontoThermalZone
      end
      # @return [Boolean]
      def isOnCycleLossFractiontoThermalZoneDefaulted
      end
      # @return [OptionalDouble]
      def peakUseFlowRate
      end
      # @return [OptionalSchedule]
      def useFlowRateFractionSchedule
      end
      # @return [OptionalSchedule]
      def coldWaterSupplyTemperatureSchedule
      end
      # @return [Double]
      def useSideEffectiveness
      end
      # @return [Boolean]
      def isUseSideEffectivenessDefaulted
      end
      # @return [Double]
      def sourceSideEffectiveness
      end
      # @return [Boolean]
      def isSourceSideEffectivenessDefaulted
      end
      # @return [OptionalDouble]
      def useSideDesignFlowRate
      end
      # @return [Boolean]
      def isUseSideDesignFlowRateDefaulted
      end
      # @return [Boolean]
      def isUseSideDesignFlowRateAutosized
      end
      # @return [OptionalDouble]
      def sourceSideDesignFlowRate
      end
      # @return [Boolean]
      def isSourceSideDesignFlowRateDefaulted
      end
      # @return [Boolean]
      def isSourceSideDesignFlowRateAutosized
      end
      # @return [Double]
      def indirectWaterHeatingRecoveryTime
      end
      # @return [Boolean]
      def isIndirectWaterHeatingRecoveryTimeDefaulted
      end
      def resetTankVolume
      end
      def autosizeTankVolume
      end
      # @return [Boolean]
      def setSetpointTemperatureSchedule(schedule)
      end
      def resetSetpointTemperatureSchedule
      end
      def resetDeadbandTemperatureDifference
      end
      def resetMaximumTemperatureLimit
      end
      # @return [Boolean]
      def setHeaterControlType(string)
      end
      def resetHeaterControlType
      end
      def resetHeaterMaximumCapacity
      end
      def autosizeHeaterMaximumCapacity
      end
      # @return [Boolean]
      def setHeaterIgnitionMinimumFlowRate(*args)
      end
      # @return [Boolean]
      def setHeaterIgnitionDelay(*args)
      end
      # @return [Boolean]
      def setHeaterThermalEfficiency(*args)
      end
      # @return [Boolean]
      def setOffCycleParasiticFuelConsumptionRate(*args)
      end
      # @return [Boolean]
      def setOffCycleParasiticHeatFractiontoTank(*args)
      end
      # @return [Boolean]
      def setOnCycleParasiticFuelConsumptionRate(*args)
      end
      # @return [Boolean]
      def setOnCycleParasiticHeatFractiontoTank(*args)
      end
      # @return [Boolean]
      def setOffCycleLossCoefficienttoAmbientTemperature(*args)
      end
      # @return [Boolean]
      def setOffCycleLossFractiontoThermalZone(*args)
      end
      # @return [Boolean]
      def setOnCycleLossCoefficienttoAmbientTemperature(*args)
      end
      # @return [Boolean]
      def setOnCycleLossFractiontoThermalZone(*args)
      end
      # @return [Boolean]
      def setPeakUseFlowRate(*args)
      end
      # @return [Boolean]
      def setUseSideEffectiveness(*args)
      end
      # @return [Boolean]
      def setSourceSideEffectiveness(*args)
      end
      # @return [Boolean]
      def setUseSideDesignFlowRate(*args)
      end
      # @return [Boolean]
      def setSourceSideDesignFlowRate(*args)
      end
      # @return [Boolean]
      def setIndirectWaterHeatingRecoveryTime(*args)
      end
      # @return [OSOptionalQuantity]
      def getTankVolume(*args)
      end
      # @return [Quantity]
      def getDeadbandTemperatureDifference(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumTemperatureLimit(*args)
      end
      # @return [OSOptionalQuantity]
      def getHeaterMaximumCapacity(*args)
      end
      # @return [OSOptionalQuantity]
      def getHeaterMinimumCapacity(*args)
      end
      # @return [Quantity]
      def getHeaterIgnitionMinimumFlowRate(*args)
      end
      # @return [Quantity]
      def getHeaterIgnitionDelay(*args)
      end
      # @return [OSOptionalQuantity]
      def getHeaterThermalEfficiency(*args)
      end
      # @return [Quantity]
      def getOffCycleParasiticFuelConsumptionRate(*args)
      end
      # @return [Quantity]
      def getOffCycleParasiticHeatFractiontoTank(*args)
      end
      # @return [Quantity]
      def getOnCycleParasiticFuelConsumptionRate(*args)
      end
      # @return [Quantity]
      def getOnCycleParasiticHeatFractiontoTank(*args)
      end
      # @return [OSOptionalQuantity]
      def getOffCycleLossCoefficienttoAmbientTemperature(*args)
      end
      # @return [Quantity]
      def getOffCycleLossFractiontoThermalZone(*args)
      end
      # @return [OSOptionalQuantity]
      def getOnCycleLossCoefficienttoAmbientTemperature(*args)
      end
      # @return [Quantity]
      def getOnCycleLossFractiontoThermalZone(*args)
      end
      # @return [OSOptionalQuantity]
      def getPeakUseFlowRate(*args)
      end
      # @return [Quantity]
      def getUseSideEffectiveness(*args)
      end
      # @return [Quantity]
      def getSourceSideEffectiveness(*args)
      end
      # @return [OSOptionalQuantity]
      def getUseSideDesignFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getSourceSideDesignFlowRate(*args)
      end
      # @return [Quantity]
      def getIndirectWaterHeatingRecoveryTime(*args)
      end
      # @return [Boolean]
      def setTankVolume(*args)
      end
      # @return [Boolean]
      def setDeadbandTemperatureDifference(*args)
      end
      def setMaximumTemperatureLimit(*args)
      end
      # @return [Boolean]
      def setHeaterMaximumCapacity(*args)
      end
      # @return [Boolean]
      def setHeaterMinimumCapacity(*args)
      end
    end
  end
end