require 'openstudio'
module OpenStudio
  class WorkflowStepResult
      def self.new(*args)
      end
      # @return [OptionalWorkflowStepResult]
      def self.fromString(string)
      end
      # @return [String]
      def _string
      end
      # @return [OptionalDateTime]
      def startedAt
      end
      # @return [OptionalDateTime]
      def completedAt
      end
      # @return [SWIGTYPE_p_boost__optionalT_openstudio__MeasureType_t]
      def measureType
      end
      # @return [OptionalString]
      def measureName
      end
      # @return [OptionalString]
      def measureId
      end
      # @return [OptionalUUID]
      def measureUUID
      end
      # @return [OptionalString]
      def measureVersionId
      end
      # @return [OptionalUUID]
      def measureVersionUUID
      end
      # @return [OptionalDateTime]
      def measureVersionModified
      end
      # @return [OptionalString]
      def measureXmlChecksum
      end
      # @return [OptionalString]
      def measureClassName
      end
      # @return [OptionalString]
      def measureDisplayName
      end
      # @return [OptionalString]
      def measureTaxonomy
      end
      # @return [OptionalStepResult]
      def stepResult
      end
      # @return [OptionalString]
      def stepInitialCondition
      end
      # @return [OptionalString]
      def stepFinalCondition
      end
      # @return [StringVector]
      def stepErrors
      end
      # @return [StringVector]
      def stepWarnings
      end
      # @return [StringVector]
      def stepInfo
      end
      # @return [WorkflowStepValueVector]
      def stepValues
      end
      # @return [PathVector]
      def stepFiles
      end
      # @return [OptionalString]
      def stdOut
      end
      # @return [OptionalString]
      def stdErr
      end
      # @return [StepResult]
      def value
      end
      # @return [LogMessageVector]
      def errors
      end
      # @return [LogMessageVector]
      def warnings
      end
      # @return [LogMessageVector]
      def info
      end
      # @return [OptionalLogMessage]
      def initialCondition
      end
      # @return [OptionalLogMessage]
      def finalCondition
      end
      # @return [AttributeVector]
      def attributes
      end
      def setStartedAt(dateTime)
      end
      def resetStartedAt
      end
      def setCompletedAt(dateTime)
      end
      def resetCompletedAt
      end
      # @return [Boolean]
      def setMeasureType(sWIGTYPE_p_openstudio__MeasureType)
      end
      def resetMeasureType
      end
      # @return [Boolean]
      def setMeasureName(string)
      end
      def resetMeasureName
      end
      # @return [Boolean]
      def setMeasureId(string)
      end
      def resetMeasureId
      end
      # @return [Boolean]
      def setMeasureUUID(uUID)
      end
      def resetMeasureUUID
      end
      # @return [Boolean]
      def setMeasureVersionId(string)
      end
      def resetMeasureVersionId
      end
      # @return [Boolean]
      def setMeasureVersionUUID(uUID)
      end
      def resetMeasureVersionUUID
      end
      # @return [Boolean]
      def setMeasureVersionModified(dateTime)
      end
      def resetMeasureVersionModified
      end
      # @return [Boolean]
      def setMeasureXmlChecksum(string)
      end
      def resetMeasureXmlChecksum
      end
      # @return [Boolean]
      def setMeasureClassName(string)
      end
      def resetMeasureClassName
      end
      # @return [Boolean]
      def setMeasureDisplayName(string)
      end
      def resetMeasureDisplayName
      end
      # @return [Boolean]
      def setMeasureTaxonomy(string)
      end
      def resetMeasureTaxonomy
      end
      def setStepResult(stepResult)
      end
      def resetStepResult
      end
      def setStepInitialCondition(string)
      end
      def resetStepInitialCondition
      end
      def setStepFinalCondition(string)
      end
      def resetStepFinalCondition
      end
      def addStepError(string)
      end
      def resetStepErrors
      end
      def addStepWarning(string)
      end
      def resetStepWarnings
      end
      def addStepInfo(string)
      end
      def resetStepInfo
      end
      def addStepValue(workflowStepValue)
      end
      def resetStepValues
      end
      def addStepFile(path)
      end
      def resetStepFiles
      end
      def setStdOut(string)
      end
      def resetStdOut
      end
      def setStdErr(string)
      end
      def resetStdErr
      end
      # @return [String]
      def __str__
      end
  end
end