require 'openstudio'
module OpenStudio
  module Model
    class ZoneHVACIdealLoadsAirSystem < ZoneHVACComponent
      def self.new(model)
      end
      def resetSensibleHeatRecoveryEffectiveness
      end
      def resetLatentHeatRecoveryEffectiveness
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.heatingLimitValues
      end
      # @return [StringVector]
      def self.coolingLimitValues
      end
      # @return [StringVector]
      def self.dehumidificationControlTypeValues
      end
      # @return [StringVector]
      def self.humidificationControlTypeValues
      end
      # @return [StringVector]
      def self.demandControlledVentilationTypeValues
      end
      # @return [StringVector]
      def self.outdoorAirEconomizerTypeValues
      end
      # @return [StringVector]
      def self.heatRecoveryTypeValues
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [Double]
      def maximumHeatingSupplyAirTemperature
      end
      # @return [Boolean]
      def isMaximumHeatingSupplyAirTemperatureDefaulted
      end
      # @return [Double]
      def minimumCoolingSupplyAirTemperature
      end
      # @return [Boolean]
      def isMinimumCoolingSupplyAirTemperatureDefaulted
      end
      # @return [Double]
      def maximumHeatingSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def isMaximumHeatingSupplyAirHumidityRatioDefaulted
      end
      # @return [Double]
      def minimumCoolingSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def isMinimumCoolingSupplyAirHumidityRatioDefaulted
      end
      # @return [String]
      def heatingLimit
      end
      # @return [Boolean]
      def isHeatingLimitDefaulted
      end
      # @return [OptionalDouble]
      def maximumHeatingAirFlowRate
      end
      # @return [Boolean]
      def isMaximumHeatingAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def maximumSensibleHeatingCapacity
      end
      # @return [Boolean]
      def isMaximumSensibleHeatingCapacityAutosized
      end
      # @return [String]
      def coolingLimit
      end
      # @return [Boolean]
      def isCoolingLimitDefaulted
      end
      # @return [OptionalDouble]
      def maximumCoolingAirFlowRate
      end
      # @return [Boolean]
      def isMaximumCoolingAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def maximumTotalCoolingCapacity
      end
      # @return [Boolean]
      def isMaximumTotalCoolingCapacityAutosized
      end
      # @return [OptionalSchedule]
      def heatingAvailabilitySchedule
      end
      # @return [OptionalSchedule]
      def coolingAvailabilitySchedule
      end
      # @return [String]
      def dehumidificationControlType
      end
      # @return [Boolean]
      def isDehumidificationControlTypeDefaulted
      end
      # @return [Double]
      def coolingSensibleHeatRatio
      end
      # @return [Boolean]
      def isCoolingSensibleHeatRatioDefaulted
      end
      # @return [String]
      def humidificationControlType
      end
      # @return [Boolean]
      def isHumidificationControlTypeDefaulted
      end
      # @return [OptionalDesignSpecificationOutdoorAir]
      def designSpecificationOutdoorAirObject
      end
      # @return [String]
      def demandControlledVentilationType
      end
      # @return [Boolean]
      def isDemandControlledVentilationTypeDefaulted
      end
      # @return [String]
      def outdoorAirEconomizerType
      end
      # @return [Boolean]
      def isOutdoorAirEconomizerTypeDefaulted
      end
      # @return [String]
      def heatRecoveryType
      end
      # @return [Boolean]
      def isHeatRecoveryTypeDefaulted
      end
      # @return [Double]
      def sensibleHeatRecoveryEffectiveness
      end
      # @return [Boolean]
      def isSensibleHeatRecoveryEffectivenessDefaulted
      end
      # @return [Double]
      def latentHeatRecoveryEffectiveness
      end
      # @return [Boolean]
      def isLatentHeatRecoveryEffectivenessDefaulted
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      def resetMaximumHeatingSupplyAirTemperature
      end
      def resetMinimumCoolingSupplyAirTemperature
      end
      def resetMaximumHeatingSupplyAirHumidityRatio
      end
      def resetMinimumCoolingSupplyAirHumidityRatio
      end
      # @return [Boolean]
      def setHeatingLimit(string)
      end
      def resetHeatingLimit
      end
      def resetMaximumHeatingAirFlowRate
      end
      def autosizeMaximumHeatingAirFlowRate
      end
      def resetMaximumSensibleHeatingCapacity
      end
      def autosizeMaximumSensibleHeatingCapacity
      end
      # @return [Boolean]
      def setCoolingLimit(string)
      end
      def resetCoolingLimit
      end
      def resetMaximumCoolingAirFlowRate
      end
      def autosizeMaximumCoolingAirFlowRate
      end
      def resetMaximumTotalCoolingCapacity
      end
      def autosizeMaximumTotalCoolingCapacity
      end
      # @return [Boolean]
      def setHeatingAvailabilitySchedule(schedule)
      end
      def resetHeatingAvailabilitySchedule
      end
      # @return [Boolean]
      def setCoolingAvailabilitySchedule(schedule)
      end
      def resetCoolingAvailabilitySchedule
      end
      # @return [Boolean]
      def setDehumidificationControlType(string)
      end
      def resetDehumidificationControlType
      end
      def resetCoolingSensibleHeatRatio
      end
      # @return [Boolean]
      def setHumidificationControlType(string)
      end
      def resetHumidificationControlType
      end
      # @return [Boolean]
      def setDesignSpecificationOutdoorAirObject(designSpecificationOutdoorAir)
      end
      def resetDesignSpecificationOutdoorAirObject
      end
      # @return [Boolean]
      def setDemandControlledVentilationType(string)
      end
      def resetDemandControlledVentilationType
      end
      # @return [Boolean]
      def setOutdoorAirEconomizerType(string)
      end
      def resetOutdoorAirEconomizerType
      end
      # @return [Boolean]
      def setHeatRecoveryType(string)
      end
      def resetHeatRecoveryType
      end
      # @return [Boolean]
      def setSensibleHeatRecoveryEffectiveness(*args)
      end
      # @return [Boolean]
      def setLatentHeatRecoveryEffectiveness(*args)
      end
      # @return [Quantity]
      def getMaximumHeatingSupplyAirTemperature(*args)
      end
      # @return [Quantity]
      def getMinimumCoolingSupplyAirTemperature(*args)
      end
      # @return [Quantity]
      def getMaximumHeatingSupplyAirHumidityRatio(*args)
      end
      # @return [Quantity]
      def getMinimumCoolingSupplyAirHumidityRatio(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumHeatingAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumSensibleHeatingCapacity(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumCoolingAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumTotalCoolingCapacity(*args)
      end
      # @return [Quantity]
      def getCoolingSensibleHeatRatio(*args)
      end
      # @return [Quantity]
      def getSensibleHeatRecoveryEffectiveness(*args)
      end
      # @return [Quantity]
      def getLatentHeatRecoveryEffectiveness(*args)
      end
      # @return [Boolean]
      def setMaximumHeatingSupplyAirTemperature(*args)
      end
      # @return [Boolean]
      def setMinimumCoolingSupplyAirTemperature(*args)
      end
      # @return [Boolean]
      def setMaximumHeatingSupplyAirHumidityRatio(*args)
      end
      # @return [Boolean]
      def setMinimumCoolingSupplyAirHumidityRatio(*args)
      end
      # @return [Boolean]
      def setMaximumHeatingAirFlowRate(*args)
      end
      # @return [Boolean]
      def setMaximumSensibleHeatingCapacity(*args)
      end
      # @return [Boolean]
      def setMaximumCoolingAirFlowRate(*args)
      end
      # @return [Boolean]
      def setMaximumTotalCoolingCapacity(*args)
      end
      # @return [Boolean]
      def setCoolingSensibleHeatRatio(*args)
      end
    end
  end
end