require 'openstudio'
module OpenStudio
  module Model
    class ZoneMixing < ModelObject
      def self.new(thermalZone)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [ThermalZone]
      def zone
      end
      # @return [Schedule]
      def schedule
      end
      # @return [String]
      def designFlowRateCalculationMethod
      end
      # @return [OptionalDouble]
      def designFlowRate
      end
      # @return [OptionalDouble]
      def flowRateperZoneFloorArea
      end
      # @return [OptionalDouble]
      def flowRateperPerson
      end
      # @return [OptionalDouble]
      def airChangesperHour
      end
      # @return [OptionalThermalZone]
      def sourceZone
      end
      # @return [OptionalDouble]
      def deltaTemperature
      end
      # @return [OptionalSchedule]
      def deltaTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def minimumZoneTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def maximumZoneTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def minimumSourceZoneTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def maximumSourceZoneTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def minimumOutdoorTemperatureSchedule
      end
      # @return [OptionalSchedule]
      def maximumOutdoorTemperatureSchedule
      end
      # @return [Boolean]
      def setSchedule(schedule)
      end
      # @return [Boolean]
      def setDesignFlowRate(double)
      end
      # @return [Boolean]
      def setFlowRateperZoneFloorArea(double)
      end
      # @return [Boolean]
      def setFlowRateperPerson(double)
      end
      # @return [Boolean]
      def setAirChangesperHour(double)
      end
      # @return [Boolean]
      def setSourceZone(thermalZone)
      end
      def resetSourceZone
      end
      def setDeltaTemperature(double)
      end
      def resetDeltaTemperature
      end
      # @return [Boolean]
      def setDeltaTemperatureSchedule(schedule)
      end
      def resetDeltaTemperatureSchedule
      end
      # @return [Boolean]
      def setMinimumZoneTemperatureSchedule(schedule)
      end
      def resetMinimumZoneTemperatureSchedule
      end
      # @return [Boolean]
      def setMaximumZoneTemperatureSchedule(schedule)
      end
      def resetMaximumZoneTemperatureSchedule
      end
      # @return [Boolean]
      def setMinimumSourceZoneTemperatureSchedule(schedule)
      end
      def resetMinimumSourceZoneTemperatureSchedule
      end
      # @return [Boolean]
      def setMaximumSourceZoneTemperatureSchedule(schedule)
      end
      def resetMaximumSourceZoneTemperatureSchedule
      end
      # @return [Boolean]
      def setMinimumOutdoorTemperatureSchedule(schedule)
      end
      def resetMinimumOutdoorTemperatureSchedule
      end
      # @return [Boolean]
      def setMaximumOutdoorTemperatureSchedule(schedule)
      end
      def resetMaximumOutdoorTemperatureSchedule
      end
    end
  end
end