require 'openstudio'
module OpenStudio
  module Model
    class AirTerminalSingleDuctConstantVolumeCooledBeam < StraightComponent
      def self.new(model, schedule, hVACComponent)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [Schedule]
      def availabilitySchedule
      end
      # @return [HVACComponent]
      def coilCoolingCooledBeam
      end
      # @return [StringVector]
      def self.cooledBeamTypeValues
      end
      # @return [String]
      def cooledBeamType
      end
      # @return [OptionalDouble]
      def supplyAirVolumetricFlowRate
      end
      # @return [Boolean]
      def isSupplyAirVolumetricFlowRateDefaulted
      end
      # @return [Boolean]
      def isSupplyAirVolumetricFlowRateAutosized
      end
      # @return [OptionalDouble]
      def maximumTotalChilledWaterVolumetricFlowRate
      end
      # @return [Boolean]
      def isMaximumTotalChilledWaterVolumetricFlowRateDefaulted
      end
      # @return [Boolean]
      def isMaximumTotalChilledWaterVolumetricFlowRateAutosized
      end
      # @return [OptionalInt]
      def numberofBeams
      end
      # @return [Boolean]
      def isNumberofBeamsDefaulted
      end
      # @return [Boolean]
      def isNumberofBeamsAutosized
      end
      # @return [OptionalDouble]
      def beamLength
      end
      # @return [Boolean]
      def isBeamLengthDefaulted
      end
      # @return [Boolean]
      def isBeamLengthAutosized
      end
      # @return [Double]
      def designInletWaterTemperature
      end
      # @return [Boolean]
      def isDesignInletWaterTemperatureDefaulted
      end
      # @return [Double]
      def designOutletWaterTemperature
      end
      # @return [Boolean]
      def isDesignOutletWaterTemperatureDefaulted
      end
      # @return [OptionalDouble]
      def coefficientofInductionKin
      end
      # @return [Boolean]
      def isCoefficientofInductionKinDefaulted
      end
      # @return [Boolean]
      def isCoefficientofInductionKinAutocalculated
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      # @return [Boolean]
      def setCoolingCoil(hVACComponent)
      end
      # @return [Boolean]
      def setCooledBeamType(string)
      end
      # @return [Boolean]
      def setSupplyAirVolumetricFlowRate(double)
      end
      def resetSupplyAirVolumetricFlowRate
      end
      def autosizeSupplyAirVolumetricFlowRate
      end
      # @return [Boolean]
      def setMaximumTotalChilledWaterVolumetricFlowRate(double)
      end
      def resetMaximumTotalChilledWaterVolumetricFlowRate
      end
      def autosizeMaximumTotalChilledWaterVolumetricFlowRate
      end
      # @return [Boolean]
      def setNumberofBeams(int32)
      end
      def resetNumberofBeams
      end
      def autosizeNumberofBeams
      end
      # @return [Boolean]
      def setBeamLength(double)
      end
      def resetBeamLength
      end
      def autosizeBeamLength
      end
      # @return [Boolean]
      def setDesignInletWaterTemperature(double)
      end
      def resetDesignInletWaterTemperature
      end
      # @return [Boolean]
      def setDesignOutletWaterTemperature(double)
      end
      def resetDesignOutletWaterTemperature
      end
      # @return [Boolean]
      def setCoefficientofInductionKin(double)
      end
      def resetCoefficientofInductionKin
      end
      def autocalculateCoefficientofInductionKin
      end
    end
  end
end