require 'openstudio'
module OpenStudio
  module Model
    class BoilerHotWater < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validFuelTypeValues
      end
      # @return [StringVector]
      def self.validEfficiencyCurveTemperatureEvaluationVariableValues
      end
      # @return [StringVector]
      def self.validBoilerFlowModeValues
      end
      # @return [String]
      def fuelType
      end
      # @return [OptionalDouble]
      def nominalCapacity
      end
      # @return [Boolean]
      def isNominalCapacityAutosized
      end
      # @return [Double]
      def nominalThermalEfficiency
      end
      # @return [OptionalString]
      def efficiencyCurveTemperatureEvaluationVariable
      end
      # @return [OptionalCurve]
      def normalizedBoilerEfficiencyCurve
      end
      # @return [OptionalDouble]
      def designWaterOutletTemperature
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [Double]
      def minimumPartLoadRatio
      end
      # @return [Boolean]
      def isMinimumPartLoadRatioDefaulted
      end
      # @return [Double]
      def maximumPartLoadRatio
      end
      # @return [Boolean]
      def isMaximumPartLoadRatioDefaulted
      end
      # @return [Double]
      def optimumPartLoadRatio
      end
      # @return [Boolean]
      def isOptimumPartLoadRatioDefaulted
      end
      # @return [Double]
      def waterOutletUpperTemperatureLimit
      end
      # @return [Boolean]
      def isWaterOutletUpperTemperatureLimitDefaulted
      end
      # @return [String]
      def boilerFlowMode
      end
      # @return [Boolean]
      def isBoilerFlowModeDefaulted
      end
      # @return [OptionalDouble]
      def parasiticElectricLoad
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      # @return [Boolean]
      def setFuelType(string)
      end
      # @return [Boolean]
      def setNominalCapacity(double)
      end
      def resetNominalCapacity
      end
      def autosizeNominalCapacity
      end
      # @return [Boolean]
      def setNominalThermalEfficiency(double)
      end
      # @return [Boolean]
      def setEfficiencyCurveTemperatureEvaluationVariable(string)
      end
      def resetEfficiencyCurveTemperatureEvaluationVariable
      end
      # @return [Boolean]
      def setNormalizedBoilerEfficiencyCurve(curve)
      end
      def resetNormalizedBoilerEfficiencyCurve
      end
      def setDesignWaterOutletTemperature(double)
      end
      def resetDesignWaterOutletTemperature
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def resetDesignWaterFlowRate
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [Boolean]
      def setMinimumPartLoadRatio(double)
      end
      def resetMinimumPartLoadRatio
      end
      # @return [Boolean]
      def setMaximumPartLoadRatio(double)
      end
      def resetMaximumPartLoadRatio
      end
      # @return [Boolean]
      def setOptimumPartLoadRatio(double)
      end
      def resetOptimumPartLoadRatio
      end
      def setWaterOutletUpperTemperatureLimit(double)
      end
      def resetWaterOutletUpperTemperatureLimit
      end
      # @return [Boolean]
      def setBoilerFlowMode(string)
      end
      def resetBoilerFlowMode
      end
      # @return [Boolean]
      def setParasiticElectricLoad(double)
      end
      def resetParasiticElectricLoad
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
    end
  end
end