require 'openstudio'
module OpenStudio
  module Model
    class Building < ParentObject
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [Double]
      def northAxis
      end
      # @return [Boolean]
      def isNorthAxisDefaulted
      end
      # @return [OptionalDouble]
      def nominalFloortoFloorHeight
      end
      # @return [OptionalInt]
      def standardsNumberOfStories
      end
      # @return [OptionalInt]
      def standardsNumberOfAboveGroundStories
      end
      # @return [OptionalInt]
      def standardsNumberOfLivingUnits
      end
      # @return [OptionalDouble]
      def nominalFloortoCeilingHeight
      end
      # @return [OptionalString]
      def standardsBuildingType
      end
      # @return [StringVector]
      def suggestedStandardsBuildingTypes
      end
      # @return [Boolean]
      def relocatable
      end
      # @return [Boolean]
      def isRelocatableDefaulted
      end
      def setNorthAxis(double)
      end
      def resetNorthAxis
      end
      # @return [Boolean]
      def setNominalFloortoFloorHeight(double)
      end
      def resetNominalFloortoFloorHeight
      end
      # @return [Boolean]
      def setStandardsNumberOfStories(int32)
      end
      def resetStandardsNumberOfStories
      end
      # @return [Boolean]
      def setStandardsNumberOfAboveGroundStories(int32)
      end
      def resetStandardsNumberOfAboveGroundStories
      end
      # @return [Boolean]
      def setStandardsNumberOfLivingUnits(int32)
      end
      def resetStandardsNumberOfLivingUnits
      end
      # @return [Boolean]
      def setNominalFloortoCeilingHeight(double)
      end
      def resetNominalFloortoCeilingHeight
      end
      # @return [Boolean]
      def setStandardsBuildingType(string)
      end
      def resetStandardsBuildingType
      end
      def setRelocatable(boolean)
      end
      def resetRelocatable
      end
      # @return [OptionalSpaceType]
      def spaceType
      end
      # @return [Boolean]
      def setSpaceType(spaceType)
      end
      def resetSpaceType
      end
      # @return [OptionalDefaultConstructionSet]
      def defaultConstructionSet
      end
      # @return [Boolean]
      def setDefaultConstructionSet(defaultConstructionSet)
      end
      def resetDefaultConstructionSet
      end
      # @return [OptionalDefaultScheduleSet]
      def defaultScheduleSet
      end
      # @return [Boolean]
      def setDefaultScheduleSet(defaultScheduleSet)
      end
      def resetDefaultScheduleSet
      end
      # @return [OutputMeterVector]
      def meters
      end
      # @return [OptionalFacility]
      def facility
      end
      # @return [SpaceVector]
      def spaces
      end
      # @return [ShadingSurfaceGroupVector]
      def shadingSurfaceGroups
      end
      # @return [SurfaceVector]
      def exteriorWalls
      end
      # @return [SurfaceVector]
      def roofs
      end
      # @return [Double]
      def floorArea
      end
      # @return [OptionalDouble]
      def conditionedFloorArea
      end
      # @return [Double]
      def exteriorSurfaceArea
      end
      # @return [Double]
      def exteriorWallArea
      end
      # @return [Double]
      def airVolume
      end
      # @return [Double]
      def numberOfPeople
      end
      # @return [Double]
      def peoplePerFloorArea
      end
      # @return [Double]
      def floorAreaPerPerson
      end
      # @return [Double]
      def lightingPower
      end
      # @return [Double]
      def lightingPowerPerFloorArea
      end
      # @return [Double]
      def lightingPowerPerPerson
      end
      # @return [Double]
      def electricEquipmentPower
      end
      # @return [Double]
      def electricEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def electricEquipmentPowerPerPerson
      end
      # @return [Double]
      def gasEquipmentPower
      end
      # @return [Double]
      def gasEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def gasEquipmentPowerPerPerson
      end
      # @return [Double]
      def infiltrationDesignFlowRate
      end
      # @return [Double]
      def infiltrationDesignFlowPerSpaceFloorArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorSurfaceArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorWallArea
      end
      # @return [Double]
      def infiltrationDesignAirChangesPerHour
      end
      # @return [Transformation]
      def transformation
      end
      # @return [Point3dVectorVector]
      def generateSkylightPattern(double, double, double)
      end
      # @return [ThermalZoneVector]
      def thermalZones
      end
    end
  end
end