require 'openstudio'
module OpenStudio
  module Model
    class ChillerAbsorptionIndirect < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.chillerFlowModeValues
      end
      # @return [StringVector]
      def self.generatorHeatSourceTypeValues
      end
      # @return [OptionalDouble]
      def nominalCapacity
      end
      # @return [Boolean]
      def isNominalCapacityAutosized
      end
      # @return [OptionalDouble]
      def nominalPumpingPower
      end
      # @return [Boolean]
      def isNominalPumpingPowerAutosized
      end
      # @return [Double]
      def minimumPartLoadRatio
      end
      # @return [Double]
      def maximumPartLoadRatio
      end
      # @return [Double]
      def optimumPartLoadRatio
      end
      # @return [Double]
      def designCondenserInletTemperature
      end
      # @return [Double]
      def condenserInletTemperatureLowerLimit
      end
      # @return [Double]
      def chilledWaterOutletTemperatureLowerLimit
      end
      # @return [OptionalDouble]
      def designChilledWaterFlowRate
      end
      # @return [Boolean]
      def isDesignChilledWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def designCondenserWaterFlowRate
      end
      # @return [Boolean]
      def isDesignCondenserWaterFlowRateAutosized
      end
      # @return [String]
      def chillerFlowMode
      end
      # @return [Curve]
      def generatorHeatInputFunctionofPartLoadRatioCurve
      end
      # @return [Curve]
      def pumpElectricInputFunctionofPartLoadRatioCurve
      end
      # @return [Curve]
      def capacityCorrectionFunctionofCondenserTemperatureCurve
      end
      # @return [Curve]
      def capacityCorrectionFunctionofChilledWaterTemperatureCurve
      end
      # @return [Curve]
      def capacityCorrectionFunctionofGeneratorTemperatureCurve
      end
      # @return [Curve]
      def generatorHeatInputCorrectionFunctionofCondenserTemperatureCurve
      end
      # @return [Curve]
      def generatorHeatInputCorrectionFunctionofChilledWaterTemperatureCurve
      end
      # @return [String]
      def generatorHeatSourceType
      end
      # @return [OptionalDouble]
      def designGeneratorFluidFlowRate
      end
      # @return [Boolean]
      def isDesignGeneratorFluidFlowRateAutosized
      end
      # @return [Double]
      def temperatureLowerLimitGeneratorInlet
      end
      # @return [Double]
      def degreeofSubcoolinginSteamGenerator
      end
      # @return [Double]
      def degreeofSubcoolinginSteamCondensateLoop
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def setNominalCapacity(double)
      end
      def autosizeNominalCapacity
      end
      # @return [Boolean]
      def setNominalPumpingPower(double)
      end
      def autosizeNominalPumpingPower
      end
      # @return [Boolean]
      def setMinimumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setMaximumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setOptimumPartLoadRatio(double)
      end
      def setDesignCondenserInletTemperature(double)
      end
      def setCondenserInletTemperatureLowerLimit(double)
      end
      def setChilledWaterOutletTemperatureLowerLimit(double)
      end
      # @return [Boolean]
      def setDesignChilledWaterFlowRate(double)
      end
      def autosizeDesignChilledWaterFlowRate
      end
      # @return [Boolean]
      def setDesignCondenserWaterFlowRate(double)
      end
      def autosizeDesignCondenserWaterFlowRate
      end
      # @return [Boolean]
      def setChillerFlowMode(string)
      end
      # @return [Boolean]
      def setGeneratorHeatInputFunctionofPartLoadRatioCurve(curve)
      end
      # @return [Boolean]
      def setPumpElectricInputFunctionofPartLoadRatioCurve(curve)
      end
      # @return [Boolean]
      def setCapacityCorrectionFunctionofCondenserTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setCapacityCorrectionFunctionofChilledWaterTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setCapacityCorrectionFunctionofGeneratorTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setGeneratorHeatInputCorrectionFunctionofCondenserTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setGeneratorHeatInputCorrectionFunctionofChilledWaterTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setGeneratorHeatSourceType(string)
      end
      def setDesignGeneratorFluidFlowRate(double)
      end
      def autosizeDesignGeneratorFluidFlowRate
      end
      def setTemperatureLowerLimitGeneratorInlet(double)
      end
      # @return [Boolean]
      def setDegreeofSubcoolinginSteamGenerator(double)
      end
      # @return [Boolean]
      def setDegreeofSubcoolinginSteamCondensateLoop(double)
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
    end
  end
end