require 'openstudio'
module OpenStudio
  module Model
    class ChillerElectricEIR < WaterToWaterComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validCondenserTypeValues
      end
      # @return [StringVector]
      def self.validChillerFlowModeValues
      end
      # @return [OptionalDouble]
      def referenceCapacity
      end
      # @return [Boolean]
      def isReferenceCapacityAutosized
      end
      # @return [Double]
      def referenceCOP
      end
      # @return [Double]
      def referenceLeavingChilledWaterTemperature
      end
      # @return [Boolean]
      def isReferenceLeavingChilledWaterTemperatureDefaulted
      end
      # @return [Double]
      def referenceEnteringCondenserFluidTemperature
      end
      # @return [Boolean]
      def isReferenceEnteringCondenserFluidTemperatureDefaulted
      end
      # @return [OptionalDouble]
      def referenceChilledWaterFlowRate
      end
      # @return [Boolean]
      def isReferenceChilledWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def referenceCondenserFluidFlowRate
      end
      # @return [Boolean]
      def isReferenceCondenserFluidFlowRateAutosized
      end
      # @return [CurveBiquadratic]
      def coolingCapacityFunctionOfTemperature
      end
      # @return [CurveBiquadratic]
      def electricInputToCoolingOutputRatioFunctionOfTemperature
      end
      # @return [CurveQuadratic]
      def electricInputToCoolingOutputRatioFunctionOfPLR
      end
      # @return [Double]
      def minimumPartLoadRatio
      end
      # @return [Boolean]
      def isMinimumPartLoadRatioDefaulted
      end
      # @return [Double]
      def maximumPartLoadRatio
      end
      # @return [Boolean]
      def isMaximumPartLoadRatioDefaulted
      end
      # @return [Double]
      def optimumPartLoadRatio
      end
      # @return [Boolean]
      def isOptimumPartLoadRatioDefaulted
      end
      # @return [Double]
      def minimumUnloadingRatio
      end
      # @return [Boolean]
      def isMinimumUnloadingRatioDefaulted
      end
      # @return [String]
      def chilledWaterInletNodeName
      end
      # @return [String]
      def chilledWaterOutletNodeName
      end
      # @return [OptionalString]
      def condenserInletNodeName
      end
      # @return [OptionalString]
      def condenserOutletNodeName
      end
      # @return [String]
      def condenserType
      end
      # @return [Boolean]
      def isCondenserTypeDefaulted
      end
      # @return [Double]
      def condenserFanPowerRatio
      end
      # @return [Boolean]
      def isCondenserFanPowerRatioDefaulted
      end
      # @return [Double]
      def compressorMotorEfficiency
      end
      # @return [Boolean]
      def isCompressorMotorEfficiencyDefaulted
      end
      # @return [Double]
      def leavingChilledWaterLowerTemperatureLimit
      end
      # @return [Boolean]
      def isLeavingChilledWaterLowerTemperatureLimitDefaulted
      end
      # @return [String]
      def chillerFlowMode
      end
      # @return [Boolean]
      def isChillerFlowModeDefaulted
      end
      # @return [Double]
      def designHeatRecoveryWaterFlowRate
      end
      # @return [Boolean]
      def isDesignHeatRecoveryWaterFlowRateDefaulted
      end
      # @return [OptionalString]
      def heatRecoveryInletNodeName
      end
      # @return [OptionalString]
      def heatRecoveryOutletNodeName
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      # @return [Double]
      def basinHeaterCapacity
      end
      # @return [Boolean]
      def isBasinHeaterCapacityDefaulted
      end
      # @return [Double]
      def basinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def isBasinHeaterSetpointTemperatureDefaulted
      end
      # @return [OptionalSchedule]
      def basinHeaterSchedule
      end
      def autosizeReferenceCapacity
      end
      # @return [Boolean]
      def setReferenceCOP(double)
      end
      def setReferenceLeavingChilledWaterTemperature(double)
      end
      def resetReferenceLeavingChilledWaterTemperature
      end
      def setReferenceEnteringCondenserFluidTemperature(double)
      end
      def resetReferenceEnteringCondenserFluidTemperature
      end
      def resetReferenceChilledWaterFlowRate
      end
      def autosizeReferenceChilledWaterFlowRate
      end
      def resetReferenceCondenserFluidFlowRate
      end
      def autosizeReferenceCondenserFluidFlowRate
      end
      # @return [Boolean]
      def setCoolingCapacityFunctionOfTemperature(curveBiquadratic)
      end
      # @return [Boolean]
      def setElectricInputToCoolingOutputRatioFunctionOfTemperature(curveBiquadratic)
      end
      # @return [Boolean]
      def setElectricInputToCoolingOutputRatioFunctionOfPLR(curveQuadratic)
      end
      # @return [Boolean]
      def setMinimumPartLoadRatio(double)
      end
      def resetMinimumPartLoadRatio
      end
      # @return [Boolean]
      def setMaximumPartLoadRatio(double)
      end
      def resetMaximumPartLoadRatio
      end
      # @return [Boolean]
      def setOptimumPartLoadRatio(double)
      end
      def resetOptimumPartLoadRatio
      end
      # @return [Boolean]
      def setMinimumUnloadingRatio(double)
      end
      def resetMinimumUnloadingRatio
      end
      def setChilledWaterInletNodeName(string)
      end
      def setChilledWaterOutletNodeName(string)
      end
      def resetCondenserInletNodeName
      end
      def resetCondenserOutletNodeName
      end
      # @return [Boolean]
      def setCondenserType(string)
      end
      def resetCondenserType
      end
      # @return [Boolean]
      def setCondenserFanPowerRatio(double)
      end
      def resetCondenserFanPowerRatio
      end
      # @return [Boolean]
      def setCompressorMotorEfficiency(double)
      end
      def resetCompressorMotorEfficiency
      end
      def setLeavingChilledWaterLowerTemperatureLimit(double)
      end
      def resetLeavingChilledWaterLowerTemperatureLimit
      end
      # @return [Boolean]
      def setChillerFlowMode(string)
      end
      def resetChillerFlowMode
      end
      # @return [Boolean]
      def setDesignHeatRecoveryWaterFlowRate(double)
      end
      def resetDesignHeatRecoveryWaterFlowRate
      end
      def resetHeatRecoveryInletNodeName
      end
      def resetHeatRecoveryOutletNodeName
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(double)
      end
      def resetBasinHeaterCapacity
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(double)
      end
      def resetBasinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def setBasinHeaterSchedule(schedule)
      end
      def resetBasinHeaterSchedule
      end
      # @return [Boolean]
      def setReferenceCapacity(*args)
      end
      # @return [Boolean]
      def setReferenceChilledWaterFlowRate(*args)
      end
      # @return [Boolean]
      def setReferenceCondenserFluidFlowRate(*args)
      end
      def setCondenserInletNodeName(*args)
      end
      def setCondenserOutletNodeName(*args)
      end
      def setHeatRecoveryInletNodeName(*args)
      end
      def setHeatRecoveryOutletNodeName(*args)
      end
    end
  end
end