require 'openstudio'
module OpenStudio
  module Model
    class ChillerHeaterPerformanceElectricEIR < ParentObject
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.chilledWaterFlowModeTypeValues
      end
      # @return [StringVector]
      def self.condenserTypeValues
      end
      # @return [StringVector]
      def self.coolingModeTemperatureCurveCondenserWaterIndependentVariableValues
      end
      # @return [StringVector]
      def self.heatingModeTemperatureCurveCondenserWaterIndependentVariableValues
      end
      # @return [OptionalDouble]
      def referenceCoolingModeEvaporatorCapacity
      end
      # @return [Boolean]
      def isReferenceCoolingModeEvaporatorCapacityAutosized
      end
      # @return [Double]
      def referenceCoolingModeCOP
      end
      # @return [Double]
      def referenceCoolingModeLeavingChilledWaterTemperature
      end
      # @return [Double]
      def referenceCoolingModeEnteringCondenserFluidTemperature
      end
      # @return [Double]
      def referenceCoolingModeLeavingCondenserWaterTemperature
      end
      # @return [Double]
      def referenceHeatingModeCoolingCapacityRatio
      end
      # @return [Double]
      def referenceHeatingModeCoolingPowerInputRatio
      end
      # @return [Double]
      def referenceHeatingModeLeavingChilledWaterTemperature
      end
      # @return [Double]
      def referenceHeatingModeLeavingCondenserWaterTemperature
      end
      # @return [Double]
      def referenceHeatingModeEnteringCondenserFluidTemperature
      end
      # @return [Double]
      def heatingModeEnteringChilledWaterTemperatureLowLimit
      end
      # @return [String]
      def chilledWaterFlowModeType
      end
      # @return [OptionalDouble]
      def designChilledWaterFlowRate
      end
      # @return [Boolean]
      def isDesignChilledWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def designCondenserWaterFlowRate
      end
      # @return [Boolean]
      def isDesignCondenserWaterFlowRateAutosized
      end
      # @return [Double]
      def designHotWaterFlowRate
      end
      # @return [Double]
      def compressorMotorEfficiency
      end
      # @return [String]
      def condenserType
      end
      # @return [String]
      def coolingModeTemperatureCurveCondenserWaterIndependentVariable
      end
      # @return [Curve]
      def coolingModeCoolingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def coolingModeElectricInputtoCoolingOutputRatioFunctionofTemperatureCurve
      end
      # @return [Curve]
      def coolingModeElectricInputtoCoolingOutputRatioFunctionofPartLoadRatioCurve
      end
      # @return [Double]
      def coolingModeCoolingCapacityOptimumPartLoadRatio
      end
      # @return [String]
      def heatingModeTemperatureCurveCondenserWaterIndependentVariable
      end
      # @return [Curve]
      def heatingModeCoolingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingModeElectricInputtoCoolingOutputRatioFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingModeElectricInputtoCoolingOutputRatioFunctionofPartLoadRatioCurve
      end
      # @return [Double]
      def heatingModeCoolingCapacityOptimumPartLoadRatio
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def setReferenceCoolingModeEvaporatorCapacity(double)
      end
      def autosizeReferenceCoolingModeEvaporatorCapacity
      end
      # @return [Boolean]
      def setReferenceCoolingModeCOP(double)
      end
      def setReferenceCoolingModeLeavingChilledWaterTemperature(double)
      end
      def setReferenceCoolingModeEnteringCondenserFluidTemperature(double)
      end
      def setReferenceCoolingModeLeavingCondenserWaterTemperature(double)
      end
      def setReferenceHeatingModeCoolingCapacityRatio(double)
      end
      # @return [Boolean]
      def setReferenceHeatingModeCoolingPowerInputRatio(double)
      end
      def setReferenceHeatingModeLeavingChilledWaterTemperature(double)
      end
      def setReferenceHeatingModeLeavingCondenserWaterTemperature(double)
      end
      def setReferenceHeatingModeEnteringCondenserFluidTemperature(double)
      end
      def setHeatingModeEnteringChilledWaterTemperatureLowLimit(double)
      end
      # @return [Boolean]
      def setChilledWaterFlowModeType(string)
      end
      # @return [Boolean]
      def setDesignChilledWaterFlowRate(double)
      end
      def resetDesignChilledWaterFlowRate
      end
      def autosizeDesignChilledWaterFlowRate
      end
      # @return [Boolean]
      def setDesignCondenserWaterFlowRate(double)
      end
      def resetDesignCondenserWaterFlowRate
      end
      def autosizeDesignCondenserWaterFlowRate
      end
      # @return [Boolean]
      def setDesignHotWaterFlowRate(double)
      end
      # @return [Boolean]
      def setCompressorMotorEfficiency(double)
      end
      # @return [Boolean]
      def setCondenserType(string)
      end
      # @return [Boolean]
      def setCoolingModeTemperatureCurveCondenserWaterIndependentVariable(string)
      end
      # @return [Boolean]
      def setCoolingModeCoolingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setCoolingModeElectricInputtoCoolingOutputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setCoolingModeElectricInputtoCoolingOutputRatioFunctionofPartLoadRatioCurve(curve)
      end
      # @return [Boolean]
      def setCoolingModeCoolingCapacityOptimumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setHeatingModeTemperatureCurveCondenserWaterIndependentVariable(string)
      end
      # @return [Boolean]
      def setHeatingModeCoolingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingModeElectricInputtoCoolingOutputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingModeElectricInputtoCoolingOutputRatioFunctionofPartLoadRatioCurve(curve)
      end
      # @return [Boolean]
      def setHeatingModeCoolingCapacityOptimumPartLoadRatio(double)
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
    end
  end
end