require 'openstudio'
module OpenStudio
  module Model
    class CoilCoolingDXMultiSpeedStageData < ParentObject
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDouble]
      def grossRatedTotalCoolingCapacity
      end
      # @return [Boolean]
      def isGrossRatedTotalCoolingCapacityAutosized
      end
      # @return [OptionalDouble]
      def grossRatedSensibleHeatRatio
      end
      # @return [Boolean]
      def isGrossRatedSensibleHeatRatioAutosized
      end
      # @return [Double]
      def grossRatedCoolingCOP
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutosized
      end
      # @return [Double]
      def ratedEvaporatorFanPowerPerVolumeFlowRate
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofTemperatureCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Double]
      def nominalTimeforCondensateRemovaltoBegin
      end
      # @return [Double]
      def ratioofInitialMoistureEvaporationRateandSteadyStateLatentCapacity
      end
      # @return [Double]
      def maximumCyclingRate
      end
      # @return [Double]
      def latentCapacityTimeConstant
      end
      # @return [Double]
      def ratedWasteHeatFractionofPowerInput
      end
      # @return [Curve]
      def wasteHeatFunctionofTemperatureCurve
      end
      # @return [Double]
      def evaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def evaporativeCondenserAirFlowRate
      end
      # @return [Boolean]
      def isEvaporativeCondenserAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def ratedEvaporativeCondenserPumpPowerConsumption
      end
      # @return [Boolean]
      def isRatedEvaporativeCondenserPumpPowerConsumptionAutosized
      end
      # @return [Boolean]
      def setGrossRatedTotalCoolingCapacity(double)
      end
      def autosizeGrossRatedTotalCoolingCapacity
      end
      # @return [Boolean]
      def setGrossRatedSensibleHeatRatio(double)
      end
      def autosizeGrossRatedSensibleHeatRatio
      end
      # @return [Boolean]
      def setGrossRatedCoolingCOP(double)
      end
      # @return [Boolean]
      def setRatedAirFlowRate(double)
      end
      def autosizeRatedAirFlowRate
      end
      # @return [Boolean]
      def setRatedEvaporatorFanPowerPerVolumeFlowRate(double)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
      # @return [Boolean]
      def setNominalTimeforCondensateRemovaltoBegin(double)
      end
      # @return [Boolean]
      def setRatioofInitialMoistureEvaporationRateandSteadyStateLatentCapacity(double)
      end
      # @return [Boolean]
      def setMaximumCyclingRate(double)
      end
      # @return [Boolean]
      def setLatentCapacityTimeConstant(double)
      end
      # @return [Boolean]
      def setRatedWasteHeatFractionofPowerInput(double)
      end
      # @return [Boolean]
      def setWasteHeatFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setEvaporativeCondenserEffectiveness(double)
      end
      # @return [Boolean]
      def setEvaporativeCondenserAirFlowRate(double)
      end
      def autosizeEvaporativeCondenserAirFlowRate
      end
      # @return [Boolean]
      def setRatedEvaporativeCondenserPumpPowerConsumption(double)
      end
      def autosizeRatedEvaporativeCondenserPumpPowerConsumption
      end
    end
  end
end