require 'openstudio'
module OpenStudio
  module Model
    class CoilCoolingDXSingleSpeed < StraightComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [Schedule]
      def availabilitySchedule
      end
      # @return [OptionalDouble]
      def ratedCOP
      end
      # @return [OptionalDouble]
      def ratedEvaporatorFanPowerPerVolumeFlowRate
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [OptionalDouble]
      def nominalTimeForCondensateRemovalToBegin
      end
      # @return [OptionalDouble]
      def ratioOfInitialMoistureEvaporationRateAndSteadyStateLatentCapacity
      end
      # @return [OptionalDouble]
      def maximumCyclingRate
      end
      # @return [OptionalDouble]
      def latentCapacityTimeConstant
      end
      # @return [OptionalString]
      def condenserAirInletNodeName
      end
      # @return [String]
      def condenserType
      end
      # @return [OptionalDouble]
      def evaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def evaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def evaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def crankcaseHeaterCapacity
      end
      # @return [OptionalDouble]
      def maximumOutdoorDryBulbTemperatureForCrankcaseHeaterOperation
      end
      # @return [OptionalDouble]
      def basinHeaterCapacity
      end
      # @return [OptionalDouble]
      def basinHeaterSetpointTemperature
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      # @return [Schedule]
      def getAvailabilitySchedule
      end
      # @return [OptionalDouble]
      def getRatedCOP
      end
      # @return [OptionalDouble]
      def getRatedEvaporatorFanPowerPerVolumeFlowRate
      end
      # @return [Curve]
      def getTotalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getTotalCoolingCapacityFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def getEnergyInputRatioFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getEnergyInputRatioFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def getPartLoadFractionCorrelationCurve
      end
      # @return [OptionalDouble]
      def getNominalTimeForCondensateRemovalToBegin
      end
      # @return [OptionalDouble]
      def getRatioOfInitialMoistureEvaporationRateAndSteadyStateLatentCapacity
      end
      # @return [OptionalDouble]
      def getMaximumCyclingRate
      end
      # @return [OptionalDouble]
      def getLatentCapacityTimeConstant
      end
      # @return [OptionalString]
      def getCondenserAirInletNodeName
      end
      # @return [String]
      def getCondenserType
      end
      # @return [OptionalDouble]
      def getEvaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def getEvaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def getEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def getCrankcaseHeaterCapacity
      end
      # @return [OptionalDouble]
      def getMaximumOutdoorDryBulbTemperatureForCrankcaseHeaterOperation
      end
      # @return [OptionalDouble]
      def getBasinHeaterCapacity
      end
      # @return [OptionalDouble]
      def getBasinHeaterSetpointTemperature
      end
      # @return [OptionalSchedule]
      def getBasinHeaterOperatingSchedule
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def setTotalCoolingCapacityFunctionOfTemperatureCurve(curve)
      end
      def setTotalCoolingCapacityFunctionOfFlowFractionCurve(curve)
      end
      def setEnergyInputRatioFunctionOfTemperatureCurve(curve)
      end
      def setEnergyInputRatioFunctionOfFlowFractionCurve(curve)
      end
      def setPartLoadFractionCorrelationCurve(curve)
      end
      def setCondenserAirInletNodeName(optionalString)
      end
      def setCondenserType(string)
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      # @return [OptionalDouble]
      def ratedTotalCoolingCapacity
      end
      # @return [Boolean]
      def isRatedTotalCoolingCapacityAutosized
      end
      def autosizeRatedTotalCoolingCapacity
      end
      # @return [OptionalDouble]
      def ratedSensibleHeatRatio
      end
      # @return [Boolean]
      def isRatedSensibleHeatRatioAutosized
      end
      def autosizeRatedSensibleHeatRatio
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutosized
      end
      def autosizeRatedAirFlowRate
      end
      def setRatedCOP(*args)
      end
      def setRatedEvaporatorFanPowerPerVolumeFlowRate(*args)
      end
      def setNominalTimeForCondensateRemovalToBegin(*args)
      end
      def setRatioOfInitialMoistureEvaporationRateAndSteadyStateLatentCapacity(*args)
      end
      def setMaximumCyclingRate(*args)
      end
      def setLatentCapacityTimeConstant(*args)
      end
      def setEvaporativeCondenserEffectiveness(*args)
      end
      def setEvaporativeCondenserAirFlowRate(*args)
      end
      def setEvaporativeCondenserPumpRatedPowerConsumption(*args)
      end
      def setCrankcaseHeaterCapacity(*args)
      end
      def setMaximumOutdoorDryBulbTemperatureForCrankcaseHeaterOperation(*args)
      end
      def setBasinHeaterCapacity(*args)
      end
      def setBasinHeaterSetpointTemperature(*args)
      end
      # @return [OSOptionalQuantity]
      def getRatedTotalCoolingCapacity(*args)
      end
      # @return [Boolean]
      def setRatedTotalCoolingCapacity(*args)
      end
      # @return [OSOptionalQuantity]
      def getRatedSensibleHeatRatio(*args)
      end
      # @return [Boolean]
      def setRatedSensibleHeatRatio(*args)
      end
      # @return [OSOptionalQuantity]
      def getRatedAirFlowRate(*args)
      end
      # @return [Boolean]
      def setRatedAirFlowRate(*args)
      end
    end
  end
end