require 'openstudio'
module OpenStudio
  module Model
    class CoilCoolingDXTwoSpeed < StraightComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [Schedule]
      def availabilitySchedule
      end
      # @return [Schedule]
      def getAvailabilitySchedule
      end
      # @return [OptionalDouble]
      def ratedHighSpeedTotalCoolingCapacity
      end
      # @return [OptionalDouble]
      def getRatedHighSpeedTotalCoolingCapacity
      end
      # @return [OptionalDouble]
      def ratedHighSpeedSensibleHeatRatio
      end
      # @return [OptionalDouble]
      def getRatedHighSpeedSensibleHeatRatio
      end
      # @return [OptionalDouble]
      def ratedHighSpeedCOP
      end
      # @return [OptionalDouble]
      def getRatedHighSpeedCOP
      end
      # @return [OptionalDouble]
      def ratedHighSpeedAirFlowRate
      end
      # @return [OptionalDouble]
      def getRatedHighSpeedAirFlowRate
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getTotalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def getTotalCoolingCapacityFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getEnergyInputRatioFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def getEnergyInputRatioFunctionOfFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Curve]
      def getPartLoadFractionCorrelationCurve
      end
      # @return [OptionalDouble]
      def ratedLowSpeedTotalCoolingCapacity
      end
      # @return [OptionalDouble]
      def getRatedLowSpeedTotalCoolingCapacity
      end
      # @return [OptionalDouble]
      def ratedLowSpeedSensibleHeatRatio
      end
      # @return [OptionalDouble]
      def getRatedLowSpeedSensibleHeatRatio
      end
      # @return [OptionalDouble]
      def ratedLowSpeedCOP
      end
      # @return [OptionalDouble]
      def getRatedLowSpeedCOP
      end
      # @return [OptionalDouble]
      def ratedLowSpeedAirFlowRate
      end
      # @return [OptionalDouble]
      def getRatedLowSpeedAirFlowRate
      end
      # @return [Curve]
      def lowSpeedTotalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getLowSpeedTotalCoolingCapacityFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def lowSpeedEnergyInputRatioFunctionOfTemperatureCurve
      end
      # @return [Curve]
      def getLowSpeedEnergyInputRatioFunctionOfTemperatureCurve
      end
      # @return [OptionalString]
      def condenserAirInletNodeName
      end
      # @return [OptionalString]
      def getCondenserAirInletNodeName
      end
      # @return [String]
      def condenserType
      end
      # @return [String]
      def getCondenserType
      end
      # @return [OptionalDouble]
      def highSpeedEvaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def getHighSpeedEvaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def highSpeedEvaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def getHighSpeedEvaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def highSpeedEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def getHighSpeedEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def lowSpeedEvaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def getLowSpeedEvaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def lowSpeedEvaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def getLowSpeedEvaporativeCondenserAirFlowRate
      end
      # @return [OptionalDouble]
      def lowSpeedEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def getLowSpeedEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [OptionalDouble]
      def basinHeaterCapacity
      end
      # @return [OptionalDouble]
      def getBasinHeaterCapacity
      end
      # @return [OptionalDouble]
      def basinHeaterSetpointTemperature
      end
      # @return [OptionalDouble]
      def getBasinHeaterSetpointTemperature
      end
      # @return [OptionalSchedule]
      def basinHeaterOperatingSchedule
      end
      # @return [OptionalSchedule]
      def getBasinHeaterOperatingSchedule
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def setRatedHighSpeedCOP(double)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionOfTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionOfFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionOfTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionOfFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
      def setRatedLowSpeedCOP(double)
      end
      # @return [Boolean]
      def setLowSpeedTotalCoolingCapacityFunctionOfTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setLowSpeedEnergyInputRatioFunctionOfTemperatureCurve(curve)
      end
      def setCondenserAirInletNodeName(string)
      end
      def setCondenserType(string)
      end
      def setHighSpeedEvaporativeCondenserEffectiveness(double)
      end
      def setLowSpeedEvaporativeCondenserEffectiveness(double)
      end
      def setBasinHeaterCapacity(double)
      end
      def setBasinHeaterSetpointTemperature(double)
      end
      # @return [Boolean]
      def setBasinHeaterOperatingSchedule(schedule)
      end
      def resetBasinHeaterOperatingSchedule
      end
      def setRatedHighSpeedTotalCoolingCapacity(*args)
      end
      def setRatedHighSpeedSensibleHeatRatio(*args)
      end
      def setRatedHighSpeedAirFlowRate(*args)
      end
      def setRatedLowSpeedTotalCoolingCapacity(*args)
      end
      def setRatedLowSpeedSensibleHeatRatio(*args)
      end
      def setRatedLowSpeedAirFlowRate(*args)
      end
      def setHighSpeedEvaporativeCondenserAirFlowRate(*args)
      end
      def setHighSpeedEvaporativeCondenserPumpRatedPowerConsumption(*args)
      end
      def setLowSpeedEvaporativeCondenserAirFlowRate(*args)
      end
      def setLowSpeedEvaporativeCondenserPumpRatedPowerConsumption(*args)
      end
    end
  end
end