require 'openstudio'
module OpenStudio
  module Model
    class CoilHeatingDXMultiSpeedStageData < ParentObject
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDouble]
      def grossRatedHeatingCapacity
      end
      # @return [Boolean]
      def isGrossRatedHeatingCapacityAutosized
      end
      # @return [Double]
      def grossRatedHeatingCOP
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutosized
      end
      # @return [Double]
      def ratedSupplyAirFanPowerPerVolumeFlowRate
      end
      # @return [Curve]
      def heatingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def heatingCapacityFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofTemperatureCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Double]
      def ratedWasteHeatFractionofPowerInput
      end
      # @return [Curve]
      def wasteHeatFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setGrossRatedHeatingCapacity(double)
      end
      def autosizeGrossRatedHeatingCapacity
      end
      # @return [Boolean]
      def setGrossRatedHeatingCOP(double)
      end
      # @return [Boolean]
      def setRatedAirFlowRate(double)
      end
      def autosizeRatedAirFlowRate
      end
      # @return [Boolean]
      def setRatedSupplyAirFanPowerPerVolumeFlowRate(double)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setHeatingCapacityFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
      # @return [Boolean]
      def setRatedWasteHeatFractionofPowerInput(double)
      end
      # @return [Boolean]
      def setWasteHeatFunctionofTemperatureCurve(curve)
      end
    end
  end
end