require 'openstudio'
module OpenStudio
  module Model
    class CoilHeatingDXVariableSpeed < StraightComponent
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.defrostStrategyValues
      end
      # @return [StringVector]
      def self.defrostControlValues
      end
      # @return [Int32]
      def nominalSpeedLevel
      end
      # @return [OptionalDouble]
      def ratedHeatingCapacityAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def isRatedHeatingCapacityAtSelectedNominalSpeedLevelAutosized
      end
      # @return [OptionalDouble]
      def ratedAirFlowRateAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def isRatedAirFlowRateAtSelectedNominalSpeedLevelAutosized
      end
      # @return [Curve]
      def energyPartLoadFractionCurve
      end
      # @return [OptionalCurve]
      def defrostEnergyInputRatioFunctionofTemperatureCurve
      end
      # @return [Double]
      def minimumOutdoorDryBulbTemperatureforCompressorOperation
      end
      # @return [OptionalDouble]
      def outdoorDryBulbTemperaturetoTurnOnCompressor
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforDefrostOperation
      end
      # @return [Double]
      def crankcaseHeaterCapacity
      end
      # @return [Double]
      def maximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation
      end
      # @return [String]
      def defrostStrategy
      end
      # @return [String]
      def defrostControl
      end
      # @return [Double]
      def defrostTimePeriodFraction
      end
      # @return [OptionalDouble]
      def resistiveDefrostHeaterCapacity
      end
      # @return [Boolean]
      def isResistiveDefrostHeaterCapacityAutosized
      end
      def setNominalSpeedLevel(int32)
      end
      def setRatedHeatingCapacityAtSelectedNominalSpeedLevel(double)
      end
      def autosizeRatedHeatingCapacityAtSelectedNominalSpeedLevel
      end
      def setRatedAirFlowRateAtSelectedNominalSpeedLevel(double)
      end
      def autosizeRatedAirFlowRateAtSelectedNominalSpeedLevel
      end
      # @return [Boolean]
      def setEnergyPartLoadFractionCurve(curve)
      end
      # @return [Boolean]
      def setDefrostEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      def resetDefrostEnergyInputRatioFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setMinimumOutdoorDryBulbTemperatureforCompressorOperation(double)
      end
      def setOutdoorDryBulbTemperaturetoTurnOnCompressor(double)
      end
      def resetOutdoorDryBulbTemperaturetoTurnOnCompressor
      end
      # @return [Boolean]
      def setMaximumOutdoorDryBulbTemperatureforDefrostOperation(double)
      end
      # @return [Boolean]
      def setCrankcaseHeaterCapacity(double)
      end
      # @return [Boolean]
      def setMaximumOutdoorDryBulbTemperatureforCrankcaseHeaterOperation(double)
      end
      # @return [Boolean]
      def setDefrostStrategy(string)
      end
      # @return [Boolean]
      def setDefrostControl(string)
      end
      # @return [Boolean]
      def setDefrostTimePeriodFraction(double)
      end
      # @return [Boolean]
      def setResistiveDefrostHeaterCapacity(double)
      end
      def autosizeResistiveDefrostHeaterCapacity
      end
      # @return [CoilHeatingDXVariableSpeedSpeedDataVector]
      def speeds
      end
      # @return [Boolean]
      def addSpeed(coilHeatingDXVariableSpeedSpeedData)
      end
      def removeSpeed(coilHeatingDXVariableSpeedSpeedData)
      end
      def removeAllSpeeds
      end
    end
  end
end