require 'openstudio'
module OpenStudio
  module Model
    class CoilPerformanceDXCooling < ParentObject
      def self.new(*args)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.condenserTypeValues
      end
      # @return [OptionalDouble]
      def grossRatedTotalCoolingCapacity
      end
      # @return [Boolean]
      def isGrossRatedTotalCoolingCapacityAutosized
      end
      # @return [OptionalDouble]
      def grossRatedSensibleHeatRatio
      end
      # @return [Boolean]
      def isGrossRatedSensibleHeatRatioAutosized
      end
      # @return [Double]
      def grossRatedCoolingCOP
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutosized
      end
      # @return [Double]
      def fractionofAirFlowBypassedAroundCoil
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionofTemperatureCurve
      end
      # @return [Curve]
      def totalCoolingCapacityFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofTemperatureCurve
      end
      # @return [Curve]
      def energyInputRatioFunctionofFlowFractionCurve
      end
      # @return [Curve]
      def partLoadFractionCorrelationCurve
      end
      # @return [Double]
      def nominalTimeforCondensateRemovaltoBegin
      end
      # @return [Double]
      def ratioofInitialMoistureEvaporationRateandSteadyStateLatentCapacity
      end
      # @return [Double]
      def maximumCyclingRate
      end
      # @return [Double]
      def latentCapacityTimeConstant
      end
      # @return [OptionalNode]
      def condenserAirInletNode
      end
      # @return [String]
      def condenserType
      end
      # @return [Double]
      def evaporativeCondenserEffectiveness
      end
      # @return [OptionalDouble]
      def evaporativeCondenserAirFlowRate
      end
      # @return [Boolean]
      def isEvaporativeCondenserAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def evaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [Boolean]
      def isEvaporativeCondenserPumpRatedPowerConsumptionAutosized
      end
      # @return [OptionalCurve]
      def sensibleHeatRatioFunctionofTemperatureCurve
      end
      # @return [OptionalCurve]
      def sensibleHeatRatioFunctionofFlowFractionCurve
      end
      # @return [Boolean]
      def setGrossRatedTotalCoolingCapacity(double)
      end
      def autosizeGrossRatedTotalCoolingCapacity
      end
      # @return [Boolean]
      def setGrossRatedSensibleHeatRatio(double)
      end
      def autosizeGrossRatedSensibleHeatRatio
      end
      # @return [Boolean]
      def setGrossRatedCoolingCOP(double)
      end
      # @return [Boolean]
      def setRatedAirFlowRate(double)
      end
      def autosizeRatedAirFlowRate
      end
      # @return [Boolean]
      def setFractionofAirFlowBypassedAroundCoil(double)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setTotalCoolingCapacityFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setEnergyInputRatioFunctionofFlowFractionCurve(curve)
      end
      # @return [Boolean]
      def setPartLoadFractionCorrelationCurve(curve)
      end
      # @return [Boolean]
      def setNominalTimeforCondensateRemovaltoBegin(double)
      end
      # @return [Boolean]
      def setRatioofInitialMoistureEvaporationRateandSteadyStateLatentCapacity(double)
      end
      # @return [Boolean]
      def setMaximumCyclingRate(double)
      end
      # @return [Boolean]
      def setLatentCapacityTimeConstant(double)
      end
      # @return [Boolean]
      def setCondenserAirInletNode(node)
      end
      def resetCondenserAirInletNode
      end
      # @return [Boolean]
      def setCondenserType(string)
      end
      # @return [Boolean]
      def setEvaporativeCondenserEffectiveness(double)
      end
      # @return [Boolean]
      def setEvaporativeCondenserAirFlowRate(double)
      end
      def autosizeEvaporativeCondenserAirFlowRate
      end
      # @return [Boolean]
      def setEvaporativeCondenserPumpRatedPowerConsumption(double)
      end
      def autosizeEvaporativeCondenserPumpRatedPowerConsumption
      end
      # @return [Boolean]
      def setSensibleHeatRatioFunctionofTemperatureCurve(curve)
      end
      def resetSensibleHeatRatioFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setSensibleHeatRatioFunctionofFlowFractionCurve(curve)
      end
      def resetSensibleHeatRatioFunctionofFlowFractionCurve
      end
    end
  end
end