require 'openstudio'
module OpenStudio
  module Model
    class DesignDay < SizingPeriod
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validDayTypeValues
      end
      # @return [StringVector]
      def self.validHumidityIndicatingTypeValues
      end
      # @return [StringVector]
      def self.validDryBulbTemperatureRangeModifierTypeValues
      end
      # @return [StringVector]
      def self.validSolarModelIndicatorValues
      end
      # @return [Double]
      def maximumDryBulbTemperature
      end
      # @return [Boolean]
      def isMaximumDryBulbTemperatureDefaulted
      end
      # @return [Double]
      def dailyDryBulbTemperatureRange
      end
      # @return [Boolean]
      def isDailyDryBulbTemperatureRangeDefaulted
      end
      # @return [Double]
      def humidityIndicatingConditionsAtMaximumDryBulb
      end
      # @return [Boolean]
      def isHumidityIndicatingConditionsAtMaximumDryBulbDefaulted
      end
      # @return [Double]
      def barometricPressure
      end
      # @return [Boolean]
      def isBarometricPressureDefaulted
      end
      # @return [Double]
      def windSpeed
      end
      # @return [Boolean]
      def isWindSpeedDefaulted
      end
      # @return [Double]
      def windDirection
      end
      # @return [Boolean]
      def isWindDirectionDefaulted
      end
      # @return [Double]
      def skyClearness
      end
      # @return [Boolean]
      def isSkyClearnessDefaulted
      end
      # @return [Boolean]
      def rainIndicator
      end
      # @return [Boolean]
      def isRainIndicatorDefaulted
      end
      # @return [Boolean]
      def snowIndicator
      end
      # @return [Boolean]
      def isSnowIndicatorDefaulted
      end
      # @return [Int32]
      def dayOfMonth
      end
      # @return [Boolean]
      def isDayOfMonthDefaulted
      end
      # @return [Int32]
      def month
      end
      # @return [Boolean]
      def isMonthDefaulted
      end
      # @return [String]
      def dayType
      end
      # @return [Boolean]
      def isDayTypeDefaulted
      end
      # @return [Boolean]
      def daylightSavingTimeIndicator
      end
      # @return [Boolean]
      def isDaylightSavingTimeIndicatorDefaulted
      end
      # @return [String]
      def humidityIndicatingType
      end
      # @return [Boolean]
      def isHumidityIndicatingTypeDefaulted
      end
      # @return [OptionalScheduleDay]
      def humidityIndicatingDaySchedule
      end
      # @return [String]
      def dryBulbTemperatureRangeModifierType
      end
      # @return [Boolean]
      def isDryBulbTemperatureRangeModifierTypeDefaulted
      end
      # @return [OptionalScheduleDay]
      def dryBulbTemperatureRangeModifierSchedule
      end
      # @return [String]
      def solarModelIndicator
      end
      # @return [Boolean]
      def isSolarModelIndicatorDefaulted
      end
      # @return [OptionalScheduleDay]
      def beamSolarDaySchedule
      end
      # @return [OptionalScheduleDay]
      def diffuseSolarDaySchedule
      end
      # @return [Double]
      def ashraeTaub
      end
      # @return [Boolean]
      def isAshraeTaubDefaulted
      end
      # @return [Double]
      def ashraeTaud
      end
      # @return [Boolean]
      def isAshraeTaudDefaulted
      end
      # @return [OptionalDouble]
      def dailyWetBulbTemperatureRange
      end
      # @return [Boolean]
      def setMaximumDryBulbTemperature(double)
      end
      def resetMaximumDryBulbTemperature
      end
      # @return [Boolean]
      def setDailyDryBulbTemperatureRange(double)
      end
      def resetDailyDryBulbTemperatureRange
      end
      def setHumidityIndicatingConditionsAtMaximumDryBulb(double)
      end
      def resetHumidityIndicatingConditionsAtMaximumDryBulb
      end
      # @return [Boolean]
      def setBarometricPressure(double)
      end
      def resetBarometricPressure
      end
      # @return [Boolean]
      def setWindSpeed(double)
      end
      def resetWindSpeed
      end
      # @return [Boolean]
      def setWindDirection(double)
      end
      def resetWindDirection
      end
      # @return [Boolean]
      def setSkyClearness(double)
      end
      def resetSkyClearness
      end
      # @return [Boolean]
      def setRainIndicator(boolean)
      end
      def resetRainIndicator
      end
      # @return [Boolean]
      def setSnowIndicator(boolean)
      end
      def resetSnowIndicator
      end
      # @return [Boolean]
      def setDayOfMonth(int32)
      end
      def resetDayOfMonth
      end
      # @return [Boolean]
      def setMonth(int32)
      end
      def resetMonth
      end
      # @return [Boolean]
      def setDayType(string)
      end
      def resetDayType
      end
      # @return [Boolean]
      def setDaylightSavingTimeIndicator(boolean)
      end
      def resetDaylightSavingTimeIndicator
      end
      # @return [Boolean]
      def setHumidityIndicatingType(string)
      end
      def resetHumidityIndicatingType
      end
      # @return [Boolean]
      def setHumidityIndicatingDaySchedule(scheduleDay)
      end
      def resetHumidityIndicatingDaySchedule
      end
      # @return [Boolean]
      def setDryBulbTemperatureRangeModifierType(string)
      end
      def resetDryBulbTemperatureRangeModifierType
      end
      # @return [Boolean]
      def setDryBulbTemperatureRangeModifierSchedule(scheduleDay)
      end
      def resetDryBulbTemperatureRangeModifierSchedule
      end
      # @return [Boolean]
      def setSolarModelIndicator(string)
      end
      def resetSolarModelIndicator
      end
      # @return [Boolean]
      def setBeamSolarDaySchedule(scheduleDay)
      end
      def resetBeamSolarDaySchedule
      end
      # @return [Boolean]
      def setDiffuseSolarDaySchedule(scheduleDay)
      end
      def resetDiffuseSolarDaySchedule
      end
      # @return [Boolean]
      def setAshraeTaub(double)
      end
      def resetAshraeTaub
      end
      # @return [Boolean]
      def setAshraeTaud(double)
      end
      def resetAshraeTaud
      end
      def setDailyWetBulbTemperatureRange(double)
      end
      def resetDailyWetBulbTemperatureRange
      end
    end
  end
end