require 'openstudio'
module OpenStudio
  module Model
    class EvaporativeFluidCoolerSingleSpeed < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.performanceInputMethodValues
      end
      # @return [StringVector]
      def self.capacityControlValues
      end
      # @return [StringVector]
      def self.evaporationLossModeValues
      end
      # @return [StringVector]
      def self.blowdownCalculationModeValues
      end
      # @return [OptionalDouble]
      def designAirFlowRate
      end
      # @return [Boolean]
      def isDesignAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def fanPoweratDesignAirFlowRate
      end
      # @return [Boolean]
      def isFanPoweratDesignAirFlowRateAutosized
      end
      # @return [Double]
      def designSprayWaterFlowRate
      end
      # @return [OptionalString]
      def performanceInputMethod
      end
      # @return [OptionalDouble]
      def standardDesignCapacity
      end
      # @return [OptionalDouble]
      def ufactorTimesAreaValueatDesignAirFlowRate
      end
      # @return [Boolean]
      def isUfactorTimesAreaValueatDesignAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def userSpecifiedDesignCapacity
      end
      # @return [OptionalDouble]
      def designEnteringWaterTemperature
      end
      # @return [OptionalDouble]
      def designEnteringAirTemperature
      end
      # @return [OptionalDouble]
      def designEnteringAirWetbulbTemperature
      end
      # @return [String]
      def capacityControl
      end
      # @return [Boolean]
      def isCapacityControlDefaulted
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      # @return [String]
      def evaporationLossMode
      end
      # @return [Boolean]
      def isEvaporationLossModeDefaulted
      end
      # @return [OptionalDouble]
      def evaporationLossFactor
      end
      # @return [Double]
      def driftLossPercent
      end
      # @return [Boolean]
      def isDriftLossPercentDefaulted
      end
      # @return [String]
      def blowdownCalculationMode
      end
      # @return [Boolean]
      def isBlowdownCalculationModeDefaulted
      end
      # @return [Double]
      def blowdownConcentrationRatio
      end
      # @return [Boolean]
      def isBlowdownConcentrationRatioDefaulted
      end
      # @return [OptionalSchedule]
      def blowdownMakeupWaterUsageSchedule
      end
      # @return [Boolean]
      def setDesignAirFlowRate(double)
      end
      def autosizeDesignAirFlowRate
      end
      # @return [Boolean]
      def setFanPoweratDesignAirFlowRate(double)
      end
      def autosizeFanPoweratDesignAirFlowRate
      end
      # @return [Boolean]
      def setDesignSprayWaterFlowRate(double)
      end
      # @return [Boolean]
      def setPerformanceInputMethod(string)
      end
      def resetPerformanceInputMethod
      end
      # @return [Boolean]
      def setStandardDesignCapacity(double)
      end
      def resetStandardDesignCapacity
      end
      # @return [Boolean]
      def setUfactorTimesAreaValueatDesignAirFlowRate(double)
      end
      def resetUfactorTimesAreaValueatDesignAirFlowRate
      end
      def autosizeUfactorTimesAreaValueatDesignAirFlowRate
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def resetDesignWaterFlowRate
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [Boolean]
      def setUserSpecifiedDesignCapacity(double)
      end
      def resetUserSpecifiedDesignCapacity
      end
      # @return [Boolean]
      def setDesignEnteringWaterTemperature(double)
      end
      def resetDesignEnteringWaterTemperature
      end
      # @return [Boolean]
      def setDesignEnteringAirTemperature(double)
      end
      def resetDesignEnteringAirTemperature
      end
      # @return [Boolean]
      def setDesignEnteringAirWetbulbTemperature(double)
      end
      def resetDesignEnteringAirWetbulbTemperature
      end
      # @return [Boolean]
      def setCapacityControl(string)
      end
      def resetCapacityControl
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
      # @return [Boolean]
      def setEvaporationLossMode(string)
      end
      def resetEvaporationLossMode
      end
      def setEvaporationLossFactor(double)
      end
      def resetEvaporationLossFactor
      end
      def setDriftLossPercent(double)
      end
      def resetDriftLossPercent
      end
      # @return [Boolean]
      def setBlowdownCalculationMode(string)
      end
      def resetBlowdownCalculationMode
      end
      # @return [Boolean]
      def setBlowdownConcentrationRatio(double)
      end
      def resetBlowdownConcentrationRatio
      end
      # @return [Boolean]
      def setBlowdownMakeupWaterUsageSchedule(schedule)
      end
      def resetBlowdownMakeupWaterUsageSchedule
      end
    end
  end
end