require 'openstudio'
module OpenStudio
  module Model
    class EvaporativeFluidCoolerTwoSpeed < StraightComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.performanceInputMethodValues
      end
      # @return [StringVector]
      def self.evaporationLossModeValues
      end
      # @return [StringVector]
      def self.blowdownCalculationModeValues
      end
      # @return [OptionalDouble]
      def highFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isHighFanSpeedAirFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highFanSpeedFanPower
      end
      # @return [Boolean]
      def isHighFanSpeedFanPowerAutosized
      end
      # @return [OptionalDouble]
      def lowFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def isLowFanSpeedAirFlowRateAutosized
      end
      # @return [Double]
      def lowFanSpeedAirFlowRateSizingFactor
      end
      # @return [OptionalDouble]
      def lowFanSpeedFanPower
      end
      # @return [Boolean]
      def isLowFanSpeedFanPowerAutosized
      end
      # @return [Double]
      def lowFanSpeedFanPowerSizingFactor
      end
      # @return [Double]
      def designSprayWaterFlowRate
      end
      # @return [String]
      def performanceInputMethod
      end
      # @return [OptionalString]
      def outdoorAirInletNodeName
      end
      # @return [Double]
      def heatRejectionCapacityandNominalCapacitySizingRatio
      end
      # @return [OptionalDouble]
      def highSpeedStandardDesignCapacity
      end
      # @return [OptionalDouble]
      def lowSpeedStandardDesignCapacity
      end
      # @return [Boolean]
      def isLowSpeedStandardDesignCapacityAutosized
      end
      # @return [Double]
      def lowSpeedStandardCapacitySizingFactor
      end
      # @return [OptionalDouble]
      def highFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def isHighFanSpeedUfactorTimesAreaValueAutosized
      end
      # @return [OptionalDouble]
      def lowFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def isLowFanSpeedUfactorTimesAreaValueAutosized
      end
      # @return [Double]
      def lowFanSpeedUFactorTimesAreaSizingFactor
      end
      # @return [OptionalDouble]
      def designWaterFlowRate
      end
      # @return [Boolean]
      def isDesignWaterFlowRateAutosized
      end
      # @return [OptionalDouble]
      def highSpeedUserSpecifiedDesignCapacity
      end
      # @return [OptionalDouble]
      def lowSpeedUserSpecifiedDesignCapacity
      end
      # @return [Boolean]
      def isLowSpeedUserSpecifiedDesignCapacityAutosized
      end
      # @return [Double]
      def lowSpeedUserSpecifiedDesignCapacitySizingFactor
      end
      # @return [OptionalDouble]
      def designEnteringWaterTemperature
      end
      # @return [OptionalDouble]
      def designEnteringAirTemperature
      end
      # @return [OptionalDouble]
      def designEnteringAirWetbulbTemperature
      end
      # @return [Double]
      def highSpeedSizingFactor
      end
      # @return [String]
      def evaporationLossMode
      end
      # @return [OptionalDouble]
      def evaporationLossFactor
      end
      # @return [Double]
      def driftLossPercent
      end
      # @return [String]
      def blowdownCalculationMode
      end
      # @return [Double]
      def blowdownConcentrationRatio
      end
      # @return [OptionalSchedule]
      def blowdownMakeupWaterUsageSchedule
      end
      # @return [Boolean]
      def setHighFanSpeedAirFlowRate(double)
      end
      def autosizeHighFanSpeedAirFlowRate
      end
      # @return [Boolean]
      def setHighFanSpeedFanPower(double)
      end
      def autosizeHighFanSpeedFanPower
      end
      # @return [Boolean]
      def setLowFanSpeedAirFlowRate(double)
      end
      def autosizeLowFanSpeedAirFlowRate
      end
      def setLowFanSpeedAirFlowRateSizingFactor(double)
      end
      # @return [Boolean]
      def setLowFanSpeedFanPower(double)
      end
      def autosizeLowFanSpeedFanPower
      end
      def setLowFanSpeedFanPowerSizingFactor(double)
      end
      # @return [Boolean]
      def setDesignSprayWaterFlowRate(double)
      end
      # @return [Boolean]
      def setPerformanceInputMethod(string)
      end
      def setOutdoorAirInletNodeName(string)
      end
      def resetOutdoorAirInletNodeName
      end
      def setHeatRejectionCapacityandNominalCapacitySizingRatio(double)
      end
      # @return [Boolean]
      def setHighSpeedStandardDesignCapacity(double)
      end
      def resetHighSpeedStandardDesignCapacity
      end
      # @return [Boolean]
      def setLowSpeedStandardDesignCapacity(double)
      end
      def resetLowSpeedStandardDesignCapacity
      end
      def autosizeLowSpeedStandardDesignCapacity
      end
      def setLowSpeedStandardCapacitySizingFactor(double)
      end
      # @return [Boolean]
      def setHighFanSpeedUfactorTimesAreaValue(double)
      end
      def resetHighFanSpeedUfactorTimesAreaValue
      end
      def autosizeHighFanSpeedUfactorTimesAreaValue
      end
      # @return [Boolean]
      def setLowFanSpeedUfactorTimesAreaValue(double)
      end
      def resetLowFanSpeedUfactorTimesAreaValue
      end
      def autosizeLowFanSpeedUfactorTimesAreaValue
      end
      def setLowFanSpeedUFactorTimesAreaSizingFactor(double)
      end
      # @return [Boolean]
      def setDesignWaterFlowRate(double)
      end
      def resetDesignWaterFlowRate
      end
      def autosizeDesignWaterFlowRate
      end
      # @return [Boolean]
      def setHighSpeedUserSpecifiedDesignCapacity(double)
      end
      def resetHighSpeedUserSpecifiedDesignCapacity
      end
      # @return [Boolean]
      def setLowSpeedUserSpecifiedDesignCapacity(double)
      end
      def resetLowSpeedUserSpecifiedDesignCapacity
      end
      def autosizeLowSpeedUserSpecifiedDesignCapacity
      end
      def setLowSpeedUserSpecifiedDesignCapacitySizingFactor(double)
      end
      # @return [Boolean]
      def setDesignEnteringWaterTemperature(double)
      end
      def resetDesignEnteringWaterTemperature
      end
      # @return [Boolean]
      def setDesignEnteringAirTemperature(double)
      end
      def resetDesignEnteringAirTemperature
      end
      # @return [Boolean]
      def setDesignEnteringAirWetbulbTemperature(double)
      end
      def resetDesignEnteringAirWetbulbTemperature
      end
      # @return [Boolean]
      def setHighSpeedSizingFactor(double)
      end
      # @return [Boolean]
      def setEvaporationLossMode(string)
      end
      def setEvaporationLossFactor(double)
      end
      def resetEvaporationLossFactor
      end
      def setDriftLossPercent(double)
      end
      # @return [Boolean]
      def setBlowdownCalculationMode(string)
      end
      # @return [Boolean]
      def setBlowdownConcentrationRatio(double)
      end
      # @return [Boolean]
      def setBlowdownMakeupWaterUsageSchedule(schedule)
      end
      def resetBlowdownMakeupWaterUsageSchedule
      end
    end
  end
end