require 'openstudio'
module OpenStudio
  module Model
    class GeneratorMicroTurbine < Generator
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validFuelTypeValues
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [Double]
      def referenceElectricalPowerOutput
      end
      # @return [Double]
      def minimumFullLoadElectricalPowerOutput
      end
      # @return [Boolean]
      def isMinimumFullLoadElectricalPowerOutputDefaulted
      end
      # @return [Double]
      def maximumFullLoadElectricalPowerOutput
      end
      # @return [Boolean]
      def isMaximumFullLoadElectricalPowerOutputDefaulted
      end
      # @return [Double]
      def referenceElectricalEfficiencyUsingLowerHeatingValue
      end
      # @return [Double]
      def referenceCombustionAirInletTemperature
      end
      # @return [Boolean]
      def isReferenceCombustionAirInletTemperatureDefaulted
      end
      # @return [Double]
      def referenceCombustionAirInletHumidityRatio
      end
      # @return [Boolean]
      def isReferenceCombustionAirInletHumidityRatioDefaulted
      end
      # @return [Double]
      def referenceElevation
      end
      # @return [Boolean]
      def isReferenceElevationDefaulted
      end
      # @return [Curve]
      def electricalPowerFunctionofTemperatureandElevationCurve
      end
      # @return [Curve]
      def electricalEfficiencyFunctionofTemperatureCurve
      end
      # @return [Curve]
      def electricalEfficiencyFunctionofPartLoadRatioCurve
      end
      # @return [String]
      def fuelType
      end
      # @return [Boolean]
      def isFuelTypeDefaulted
      end
      # @return [Double]
      def fuelHigherHeatingValue
      end
      # @return [Boolean]
      def isFuelHigherHeatingValueDefaulted
      end
      # @return [Double]
      def fuelLowerHeatingValue
      end
      # @return [Boolean]
      def isFuelLowerHeatingValueDefaulted
      end
      # @return [Double]
      def standbyPower
      end
      # @return [Boolean]
      def isStandbyPowerDefaulted
      end
      # @return [Double]
      def ancillaryPower
      end
      # @return [Boolean]
      def isAncillaryPowerDefaulted
      end
      # @return [OptionalCurve]
      def ancillaryPowerFunctionofFuelInputCurve
      end
      # @return [OptionalGeneratorMicroTurbineHeatRecovery]
      def generatorMicroTurbineHeatRecovery
      end
      # @return [OptionalDouble]
      def referenceExhaustAirMassFlowRate
      end
      # @return [OptionalCurve]
      def exhaustAirFlowRateFunctionofTemperatureCurve
      end
      # @return [OptionalCurve]
      def exhaustAirFlowRateFunctionofPartLoadRatioCurve
      end
      # @return [OptionalDouble]
      def nominalExhaustAirOutletTemperature
      end
      # @return [OptionalCurve]
      def exhaustAirTemperatureFunctionofTemperatureCurve
      end
      # @return [OptionalCurve]
      def exhaustAirTemperatureFunctionofPartLoadRatioCurve
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setReferenceElectricalPowerOutput(double)
      end
      # @return [Boolean]
      def setMinimumFullLoadElectricalPowerOutput(double)
      end
      def resetMinimumFullLoadElectricalPowerOutput
      end
      # @return [Boolean]
      def setMaximumFullLoadElectricalPowerOutput(double)
      end
      def resetMaximumFullLoadElectricalPowerOutput
      end
      # @return [Boolean]
      def setReferenceElectricalEfficiencyUsingLowerHeatingValue(double)
      end
      def setReferenceCombustionAirInletTemperature(double)
      end
      def resetReferenceCombustionAirInletTemperature
      end
      # @return [Boolean]
      def setReferenceCombustionAirInletHumidityRatio(double)
      end
      def resetReferenceCombustionAirInletHumidityRatio
      end
      # @return [Boolean]
      def setReferenceElevation(double)
      end
      def resetReferenceElevation
      end
      # @return [Boolean]
      def setElectricalPowerFunctionofTemperatureandElevationCurve(curve)
      end
      # @return [Boolean]
      def setElectricalEfficiencyFunctionofTemperatureCurve(curve)
      end
      # @return [Boolean]
      def setElectricalEfficiencyFunctionofPartLoadRatioCurve(curve)
      end
      # @return [Boolean]
      def setFuelType(string)
      end
      def resetFuelType
      end
      # @return [Boolean]
      def setFuelHigherHeatingValue(double)
      end
      def resetFuelHigherHeatingValue
      end
      # @return [Boolean]
      def setFuelLowerHeatingValue(double)
      end
      def resetFuelLowerHeatingValue
      end
      # @return [Boolean]
      def setStandbyPower(double)
      end
      def resetStandbyPower
      end
      # @return [Boolean]
      def setAncillaryPower(double)
      end
      def resetAncillaryPower
      end
      # @return [Boolean]
      def setAncillaryPowerFunctionofFuelInputCurve(curve)
      end
      def resetAncillaryPowerFunctionofFuelInputCurve
      end
      # @return [Boolean]
      def setReferenceExhaustAirMassFlowRate(double)
      end
      def resetReferenceExhaustAirMassFlowRate
      end
      # @return [Boolean]
      def setExhaustAirFlowRateFunctionofTemperatureCurve(curve)
      end
      def resetExhaustAirFlowRateFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setExhaustAirFlowRateFunctionofPartLoadRatioCurve(curve)
      end
      def resetExhaustAirFlowRateFunctionofPartLoadRatioCurve
      end
      def setNominalExhaustAirOutletTemperature(double)
      end
      def resetNominalExhaustAirOutletTemperature
      end
      # @return [Boolean]
      def setExhaustAirTemperatureFunctionofTemperatureCurve(curve)
      end
      def resetExhaustAirTemperatureFunctionofTemperatureCurve
      end
      # @return [Boolean]
      def setExhaustAirTemperatureFunctionofPartLoadRatioCurve(curve)
      end
      def resetExhaustAirTemperatureFunctionofPartLoadRatioCurve
      end
    end
  end
end