require 'openstudio'
module OpenStudio
  module Model
    class HeatExchangerFluidToFluid < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.heatExchangeModelTypeValues
      end
      # @return [StringVector]
      def self.controlTypeValues
      end
      # @return [StringVector]
      def self.heatTransferMeteringEndUseTypeValues
      end
      # @return [StringVector]
      def self.componentOverrideCoolingControlTemperatureModeValues
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [OptionalDouble]
      def loopDemandSideDesignFlowRate
      end
      # @return [Boolean]
      def isLoopDemandSideDesignFlowRateAutosized
      end
      # @return [OptionalDouble]
      def loopSupplySideDesignFlowRate
      end
      # @return [Boolean]
      def isLoopSupplySideDesignFlowRateAutosized
      end
      # @return [String]
      def heatExchangeModelType
      end
      # @return [Boolean]
      def isHeatExchangeModelTypeDefaulted
      end
      # @return [OptionalDouble]
      def heatExchangerUFactorTimesAreaValue
      end
      # @return [Boolean]
      def isHeatExchangerUFactorTimesAreaValueAutosized
      end
      # @return [String]
      def controlType
      end
      # @return [Boolean]
      def isControlTypeDefaulted
      end
      # @return [Double]
      def minimumTemperatureDifferencetoActivateHeatExchanger
      end
      # @return [Boolean]
      def isMinimumTemperatureDifferencetoActivateHeatExchangerDefaulted
      end
      # @return [String]
      def heatTransferMeteringEndUseType
      end
      # @return [Boolean]
      def isHeatTransferMeteringEndUseTypeDefaulted
      end
      # @return [OptionalNode]
      def componentOverrideLoopSupplySideInletNode
      end
      # @return [OptionalNode]
      def componentOverrideLoopDemandSideInletNode
      end
      # @return [String]
      def componentOverrideCoolingControlTemperatureMode
      end
      # @return [Boolean]
      def isComponentOverrideCoolingControlTemperatureModeDefaulted
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [Boolean]
      def isSizingFactorDefaulted
      end
      # @return [OptionalDouble]
      def operationMinimumTemperatureLimit
      end
      # @return [OptionalDouble]
      def operationMaximumTemperatureLimit
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setLoopDemandSideDesignFlowRate(double)
      end
      def autosizeLoopDemandSideDesignFlowRate
      end
      # @return [Boolean]
      def setLoopSupplySideDesignFlowRate(double)
      end
      def autosizeLoopSupplySideDesignFlowRate
      end
      # @return [Boolean]
      def setHeatExchangeModelType(string)
      end
      def resetHeatExchangeModelType
      end
      # @return [Boolean]
      def setHeatExchangerUFactorTimesAreaValue(double)
      end
      def autosizeHeatExchangerUFactorTimesAreaValue
      end
      # @return [Boolean]
      def setControlType(string)
      end
      def resetControlType
      end
      # @return [Boolean]
      def setMinimumTemperatureDifferencetoActivateHeatExchanger(double)
      end
      def resetMinimumTemperatureDifferencetoActivateHeatExchanger
      end
      # @return [Boolean]
      def setHeatTransferMeteringEndUseType(string)
      end
      def resetHeatTransferMeteringEndUseType
      end
      # @return [Boolean]
      def setComponentOverrideLoopSupplySideInletNode(node)
      end
      def resetComponentOverrideLoopSupplySideInletNode
      end
      # @return [Boolean]
      def setComponentOverrideLoopDemandSideInletNode(node)
      end
      def resetComponentOverrideLoopDemandSideInletNode
      end
      # @return [Boolean]
      def setComponentOverrideCoolingControlTemperatureMode(string)
      end
      def resetComponentOverrideCoolingControlTemperatureMode
      end
      # @return [Boolean]
      def setSizingFactor(double)
      end
      def resetSizingFactor
      end
      def setOperationMinimumTemperatureLimit(double)
      end
      def resetOperationMinimumTemperatureLimit
      end
      def setOperationMaximumTemperatureLimit(double)
      end
      def resetOperationMaximumTemperatureLimit
      end
    end
  end
end