require 'openstudio'
module OpenStudio
  module Model
    class HeatPumpWaterToWaterEquationFitHeating < WaterToWaterComponent
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDouble]
      def referenceLoadSideFlowRate
      end
      # @return [Double]
      def ratedLoadSideFlowRate
      end
      # @return [Boolean]
      def isReferenceLoadSideFlowRateAutosized
      end
      # @return [OptionalDouble]
      def referenceSourceSideFlowRate
      end
      # @return [Double]
      def ratedSourceSideFlowRate
      end
      # @return [Boolean]
      def isReferenceSourceSideFlowRateAutosized
      end
      # @return [OptionalDouble]
      def ratedHeatingCapacity
      end
      # @return [Boolean]
      def isRatedHeatingCapacityAutosized
      end
      # @return [OptionalDouble]
      def ratedHeatingPowerConsumption
      end
      # @return [Boolean]
      def isRatedHeatingPowerConsumptionAutosized
      end
      # @return [Double]
      def heatingCapacityCoefficient1
      end
      # @return [Double]
      def heatingCapacityCoefficient2
      end
      # @return [Double]
      def heatingCapacityCoefficient3
      end
      # @return [Double]
      def heatingCapacityCoefficient4
      end
      # @return [Double]
      def heatingCapacityCoefficient5
      end
      # @return [Double]
      def heatingCompressorPowerCoefficient1
      end
      # @return [Double]
      def heatingCompressorPowerCoefficient2
      end
      # @return [Double]
      def heatingCompressorPowerCoefficient3
      end
      # @return [Double]
      def heatingCompressorPowerCoefficient4
      end
      # @return [Double]
      def heatingCompressorPowerCoefficient5
      end
      # @return [Double]
      def referenceCoefficientofPerformance
      end
      # @return [Double]
      def sizingFactor
      end
      # @return [OptionalHeatPumpWaterToWaterEquationFitCooling]
      def companionCoolingHeatPump
      end
      # @return [Boolean]
      def setReferenceLoadSideFlowRate(double)
      end
      # @return [Boolean]
      def setRatedLoadSideFlowRate(double)
      end
      def autosizeReferenceLoadSideFlowRate
      end
      # @return [Boolean]
      def setReferenceSourceSideFlowRate(double)
      end
      # @return [Boolean]
      def setRatedSourceSideFlowRate(double)
      end
      def autosizeReferenceSourceSideFlowRate
      end
      # @return [Boolean]
      def setRatedHeatingCapacity(double)
      end
      def autosizeRatedHeatingCapacity
      end
      # @return [Boolean]
      def setRatedHeatingPowerConsumption(double)
      end
      def autosizeRatedHeatingPowerConsumption
      end
      def setHeatingCapacityCoefficient1(double)
      end
      def setHeatingCapacityCoefficient2(double)
      end
      def setHeatingCapacityCoefficient3(double)
      end
      def setHeatingCapacityCoefficient4(double)
      end
      def setHeatingCapacityCoefficient5(double)
      end
      def setHeatingCompressorPowerCoefficient1(double)
      end
      def setHeatingCompressorPowerCoefficient2(double)
      end
      def setHeatingCompressorPowerCoefficient3(double)
      end
      def setHeatingCompressorPowerCoefficient4(double)
      end
      def setHeatingCompressorPowerCoefficient5(double)
      end
      def setReferenceCoefficientofPerformance(double)
      end
      def setSizingFactor(double)
      end
      # @return [Boolean]
      def setCompanionCoolingHeatPump(heatPumpWaterToWaterEquationFitCooling)
      end
    end
  end
end