require 'openstudio'
module OpenStudio
  module Model
    class LifeCycleCostParameters < ParentObject
      # @return [Int32]
      def self.nistYear
      end
      # @return [Double]
      def self.fempRealDiscountRate
      end
      # @return [Double]
      def self.fempNominalDiscountRate
      end
      # @return [Double]
      def self.fempInflation
      end
      # @return [String]
      def analysisType
      end
      # @return [Boolean]
      def isAnalysisTypeDefaulted
      end
      # @return [Boolean]
      def isFEMPAnalysis
      end
      # @return [String]
      def discountingConvention
      end
      # @return [Boolean]
      def isDiscountingConventionDefaulted
      end
      # @return [String]
      def inflationApproach
      end
      # @return [Boolean]
      def isInflationApproachDefaulted
      end
      # @return [Boolean]
      def isConstantDollarAnalysis
      end
      # @return [OptionalDouble]
      def realDiscountRate
      end
      # @return [OptionalDouble]
      def nominalDiscountRate
      end
      # @return [OptionalDouble]
      def inflation
      end
      # @return [MonthOfYear]
      def baseDateMonth
      end
      # @return [Boolean]
      def isBaseDateMonthDefaulted
      end
      # @return [Int32]
      def baseDateYear
      end
      # @return [Boolean]
      def isBaseDateYearDefaulted
      end
      # @return [MonthOfYear]
      def serviceDateMonth
      end
      # @return [Boolean]
      def isServiceDateMonthDefaulted
      end
      # @return [Int32]
      def serviceDateYear
      end
      # @return [Boolean]
      def isServiceDateYearDefaulted
      end
      # @return [Int32]
      def lengthOfStudyPeriodInYears
      end
      # @return [Boolean]
      def isLengthOfStudyPeriodInYearsDefaulted
      end
      # @return [OptionalDouble]
      def taxRate
      end
      # @return [String]
      def depreciationMethod
      end
      # @return [Boolean]
      def isDepreciationMethodDefaulted
      end
      # @return [Boolean]
      def useNISTFuelEscalationRates
      end
      # @return [Boolean]
      def isUseNISTFuelEscalationRatesDefaulted
      end
      # @return [OptionalString]
      def nistRegion
      end
      # @return [StringVector]
      def validNistRegionValues
      end
      # @return [Boolean]
      def isNISTRegionDefaulted
      end
      # @return [OptionalString]
      def nistSector
      end
      # @return [StringVector]
      def validNistSectorValues
      end
      # @return [Boolean]
      def isNISTSectorDefaulted
      end
      # @return [OptionalDouble]
      def electricityInflation
      end
      # @return [OptionalDouble]
      def naturalGasInflation
      end
      # @return [OptionalDouble]
      def steamInflation
      end
      # @return [OptionalDouble]
      def gasolineInflation
      end
      # @return [OptionalDouble]
      def dieselInflation
      end
      # @return [OptionalDouble]
      def coalInflation
      end
      # @return [OptionalDouble]
      def fuelOil1Inflation
      end
      # @return [OptionalDouble]
      def fuelOil2Inflation
      end
      # @return [OptionalDouble]
      def propaneInflation
      end
      # @return [OptionalDouble]
      def waterInflation
      end
      # @return [Boolean]
      def setAnalysisType(string)
      end
      def resetAnalysisType
      end
      # @return [Boolean]
      def setDiscountingConvention(string)
      end
      def resetDiscountingConvention
      end
      # @return [Boolean]
      def setInflationApproach(string)
      end
      def resetInflationApproach
      end
      # @return [Boolean]
      def setRealDiscountRate(double)
      end
      # @return [Boolean]
      def setNominalDiscountRate(double)
      end
      # @return [Boolean]
      def setInflation(double)
      end
      # @return [Boolean]
      def setBaseDateMonth(monthOfYear)
      end
      def resetBaseDateMonth
      end
      # @return [Boolean]
      def setBaseDateYear(int32)
      end
      def resetBaseDateYear
      end
      # @return [Boolean]
      def setServiceDateMonth(monthOfYear)
      end
      def resetServiceDateMonth
      end
      # @return [Boolean]
      def setServiceDateYear(int32)
      end
      def resetServiceDateYear
      end
      # @return [Boolean]
      def setLengthOfStudyPeriodInYears(int32)
      end
      def resetLengthOfStudyPeriodInYears
      end
      # @return [Boolean]
      def setTaxRate(double)
      end
      def resetTaxRate
      end
      # @return [Boolean]
      def setDepreciationMethod(string)
      end
      def resetDepreciationMethod
      end
      # @return [Boolean]
      def setUseNISTFuelEscalationRates(boolean)
      end
      def resetUseNISTFuelEscalationRates
      end
      # @return [Boolean]
      def setNISTRegion(string)
      end
      def resetNISTRegion
      end
      # @return [Boolean]
      def setNISTSector(string)
      end
      def resetNISTSector
      end
      # @return [Boolean]
      def setElectricityInflation(double)
      end
      def resetElectricityInflation
      end
      # @return [Boolean]
      def setNaturalGasInflation(double)
      end
      def resetNaturalGasInflation
      end
      # @return [Boolean]
      def setSteamInflation(double)
      end
      def resetSteamInflation
      end
      # @return [Boolean]
      def setGasolineInflation(double)
      end
      def resetGasolineInflation
      end
      # @return [Boolean]
      def setDieselInflation(double)
      end
      def resetDieselInflation
      end
      # @return [Boolean]
      def setCoalInflation(double)
      end
      def resetCoalInflation
      end
      # @return [Boolean]
      def setFuelOil1Inflation(double)
      end
      def resetFuelOil1Inflation
      end
      # @return [Boolean]
      def setFuelOil2Inflation(double)
      end
      def resetFuelOil2Inflation
      end
      # @return [Boolean]
      def setPropaneInflation(double)
      end
      def resetPropaneInflation
      end
      # @return [Boolean]
      def setWaterInflation(double)
      end
      def resetWaterInflation
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validAnalysisTypeValues
      end
      # @return [StringVector]
      def self.validDiscountingConventionValues
      end
      # @return [StringVector]
      def self.validInflationApproachValues
      end
      # @return [StringVector]
      def self.validDepreciationMethodValues
      end
    end
  end
end