require 'openstudio'
module OpenStudio
  module Model
    class PlantLoop < Loop
      def self.new(model)
      end
      # @return [StringVector]
      def self.loadDistributionSchemeValues
      end
      # @return [StringVector]
      def self.fluidTypeValues
      end
      # @return [String]
      def loadDistributionScheme
      end
      # @return [Boolean]
      def setLoadDistributionScheme(string)
      end
      # @return [OptionalAvailabilityManager]
      def availabilityManager
      end
      # @return [Boolean]
      def setAvailabilityManager(availabilityManager)
      end
      def resetAvailabilityManager
      end
      # @return [String]
      def fluidType
      end
      # @return [Boolean]
      def setFluidType(string)
      end
      def setGlycolConcentration(int32)
      end
      # @return [Int32]
      def glycolConcentration
      end
      # @return [Node]
      def loopTemperatureSetpointNode
      end
      def setLoopTemperatureSetpointNode(node)
      end
      # @return [Double]
      def maximumLoopTemperature
      end
      def setMaximumLoopTemperature(double)
      end
      # @return [Double]
      def minimumLoopTemperature
      end
      def setMinimumLoopTemperature(double)
      end
      # @return [OptionalDouble]
      def maximumLoopFlowRate
      end
      def setMaximumLoopFlowRate(double)
      end
      # @return [Boolean]
      def isMaximumLoopFlowRateAutosized
      end
      def autosizeMaximumLoopFlowRate
      end
      # @return [OptionalDouble]
      def minimumLoopFlowRate
      end
      def setMinimumLoopFlowRate(double)
      end
      # @return [Boolean]
      def isMinimumLoopFlowRateAutosized
      end
      def autosizeMinimumLoopFlowRate
      end
      # @return [OptionalDouble]
      def plantLoopVolume
      end
      def setPlantLoopVolume(double)
      end
      # @return [Boolean]
      def isPlantLoopVolumeAutocalculated
      end
      def autocalculatePlantLoopVolume
      end
      # @return [OptionalString]
      def commonPipeSimulation
      end
      # @return [Boolean]
      def setCommonPipeSimulation(string)
      end
      def resetCommonPipeSimulation
      end
      # @return [OptionalPlantEquipmentOperationHeatingLoad]
      def plantEquipmentOperationHeatingLoad
      end
      # @return [Boolean]
      def setPlantEquipmentOperationHeatingLoad(plantEquipmentOperationHeatingLoad)
      end
      def resetPlantEquipmentOperationHeatingLoad
      end
      # @return [Boolean]
      def setPlantEquipmentOperationHeatingLoadSchedule(schedule)
      end
      def resetPlantEquipmentOperationHeatingLoadSchedule
      end
      # @return [OptionalSchedule]
      def plantEquipmentOperationHeatingLoadSchedule
      end
      # @return [OptionalPlantEquipmentOperationCoolingLoad]
      def plantEquipmentOperationCoolingLoad
      end
      # @return [Boolean]
      def setPlantEquipmentOperationCoolingLoad(plantEquipmentOperationCoolingLoad)
      end
      def resetPlantEquipmentOperationCoolingLoad
      end
      # @return [Boolean]
      def setPlantEquipmentOperationCoolingLoadSchedule(schedule)
      end
      # @return [OptionalSchedule]
      def plantEquipmentOperationCoolingLoadSchedule
      end
      def resetPlantEquipmentOperationCoolingLoadSchedule
      end
      # @return [OptionalPlantEquipmentOperationScheme]
      def primaryPlantEquipmentOperationScheme
      end
      # @return [Boolean]
      def setPrimaryPlantEquipmentOperationScheme(plantEquipmentOperationScheme)
      end
      def resetPrimaryPlantEquipmentOperationScheme
      end
      # @return [Boolean]
      def setPrimaryPlantEquipmentOperationSchemeSchedule(schedule)
      end
      def resetPrimaryPlantEquipmentOperationSchemeSchedule
      end
      # @return [OptionalSchedule]
      def primaryPlantEquipmentOperationSchemeSchedule
      end
      # @return [Boolean]
      def setComponentSetpointOperationSchemeSchedule(schedule)
      end
      def resetComponentSetpointOperationSchemeSchedule
      end
      # @return [OptionalSchedule]
      def componentSetpointOperationSchemeSchedule
      end
      # @return [Mixer]
      def supplyMixer
      end
      # @return [Splitter]
      def supplySplitter
      end
      # @return [Mixer]
      def demandMixer
      end
      # @return [Splitter]
      def demandSplitter
      end
      # @return [Boolean]
      def addSupplyBranchForComponent(hVACComponent)
      end
      # @return [Boolean]
      def removeSupplyBranchWithComponent(hVACComponent)
      end
      # @return [Boolean]
      def removeDemandBranchWithComponent(hVACComponent)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [SizingPlant]
      def sizingPlant
      end
      # @return [Boolean]
      def addDemandBranchForComponent(*args)
      end
    end
  end
end