require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationAirChiller < ZoneHVACComponent
      def self.new(model, schedule)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.capacityRatingTypeValues
      end
      # @return [StringVector]
      def self.fanSpeedControlTypeValues
      end
      # @return [StringVector]
      def self.defrostTypeValues
      end
      # @return [StringVector]
      def self.defrostControlTypeValues
      end
      # @return [StringVector]
      def self.verticalLocationValues
      end
      # @return [OptionalSchedule]
      def availabilitySchedule
      end
      # @return [String]
      def capacityRatingType
      end
      # @return [OptionalDouble]
      def ratedUnitLoadFactor
      end
      # @return [OptionalDouble]
      def ratedCapacity
      end
      # @return [Double]
      def ratedRelativeHumidity
      end
      # @return [Boolean]
      def isRatedRelativeHumidityDefaulted
      end
      # @return [Double]
      def ratedCoolingSourceTemperature
      end
      # @return [Double]
      def ratedTemperatureDifferenceDT1
      end
      # @return [OptionalDouble]
      def maximumTemperatureDifferenceBetweenInletAirandEvaporatingTemperature
      end
      # @return [Double]
      def coilMaterialCorrectionFactor
      end
      # @return [Boolean]
      def isCoilMaterialCorrectionFactorDefaulted
      end
      # @return [Double]
      def refrigerantCorrectionFactor
      end
      # @return [Boolean]
      def isRefrigerantCorrectionFactorDefaulted
      end
      # @return [Double]
      def sHR60CorrectionFactor
      end
      # @return [Boolean]
      def isSHR60CorrectionFactorDefaulted
      end
      # @return [Double]
      def ratedTotalHeatingPower
      end
      # @return [OptionalSchedule]
      def heatingPowerSchedule
      end
      # @return [String]
      def fanSpeedControlType
      end
      # @return [Boolean]
      def isFanSpeedControlTypeDefaulted
      end
      # @return [Double]
      def ratedFanPower
      end
      # @return [Boolean]
      def isRatedFanPowerDefaulted
      end
      # @return [Double]
      def ratedAirFlow
      end
      # @return [Double]
      def minimumFanAirFlowRatio
      end
      # @return [Boolean]
      def isMinimumFanAirFlowRatioDefaulted
      end
      # @return [String]
      def defrostType
      end
      # @return [Boolean]
      def isDefrostTypeDefaulted
      end
      # @return [String]
      def defrostControlType
      end
      # @return [Boolean]
      def isDefrostControlTypeDefaulted
      end
      # @return [Schedule]
      def defrostSchedule
      end
      # @return [OptionalSchedule]
      def defrostDripDownSchedule
      end
      # @return [OptionalDouble]
      def defrostPower
      end
      # @return [OptionalDouble]
      def temperatureTerminationDefrostFractiontoIce
      end
      # @return [String]
      def verticalLocation
      end
      # @return [Boolean]
      def isVerticalLocationDefaulted
      end
      # @return [Double]
      def averageRefrigerantChargeInventory
      end
      # @return [Boolean]
      def isAverageRefrigerantChargeInventoryDefaulted
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      def resetAvailabilitySchedule
      end
      # @return [Boolean]
      def setCapacityRatingType(string)
      end
      def setRatedUnitLoadFactor(double)
      end
      def resetRatedUnitLoadFactor
      end
      def setRatedCapacity(double)
      end
      def resetRatedCapacity
      end
      # @return [Boolean]
      def setRatedRelativeHumidity(double)
      end
      def resetRatedRelativeHumidity
      end
      # @return [Boolean]
      def setRatedCoolingSourceTemperature(double)
      end
      # @return [Boolean]
      def setRatedTemperatureDifferenceDT1(double)
      end
      # @return [Boolean]
      def setMaximumTemperatureDifferenceBetweenInletAirandEvaporatingTemperature(double)
      end
      def resetMaximumTemperatureDifferenceBetweenInletAirandEvaporatingTemperature
      end
      def setCoilMaterialCorrectionFactor(double)
      end
      def resetCoilMaterialCorrectionFactor
      end
      def setRefrigerantCorrectionFactor(double)
      end
      def resetRefrigerantCorrectionFactor
      end
      # @return [Boolean]
      def setSHR60CorrectionFactor(double)
      end
      def resetSHR60CorrectionFactor
      end
      def setRatedTotalHeatingPower(double)
      end
      # @return [Boolean]
      def setHeatingPowerSchedule(schedule)
      end
      def resetHeatingPowerSchedule
      end
      # @return [Boolean]
      def setFanSpeedControlType(string)
      end
      def resetFanSpeedControlType
      end
      # @return [Boolean]
      def setRatedFanPower(double)
      end
      def resetRatedFanPower
      end
      def setRatedAirFlow(double)
      end
      # @return [Boolean]
      def setMinimumFanAirFlowRatio(double)
      end
      def resetMinimumFanAirFlowRatio
      end
      # @return [Boolean]
      def setDefrostType(string)
      end
      def resetDefrostType
      end
      # @return [Boolean]
      def setDefrostControlType(string)
      end
      def resetDefrostControlType
      end
      # @return [Boolean]
      def setDefrostSchedule(schedule)
      end
      # @return [Boolean]
      def setDefrostDripDownSchedule(schedule)
      end
      def resetDefrostDripDownSchedule
      end
      # @return [Boolean]
      def setDefrostPower(double)
      end
      def resetDefrostPower
      end
      # @return [Boolean]
      def setTemperatureTerminationDefrostFractiontoIce(double)
      end
      def resetTemperatureTerminationDefrostFractiontoIce
      end
      def setAverageRefrigerantChargeInventory(double)
      end
      def resetAverageRefrigerantChargeInventory
      end
    end
  end
end