require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationCondenserEvaporativeCooled < ParentObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.fanSpeedControlTypeValues
      end
      # @return [Double]
      def ratedEffectiveTotalHeatRejectionRate
      end
      # @return [Double]
      def ratedSubcoolingTemperatureDifference
      end
      # @return [Boolean]
      def isRatedSubcoolingTemperatureDifferenceDefaulted
      end
      # @return [String]
      def fanSpeedControlType
      end
      # @return [Boolean]
      def isFanSpeedControlTypeDefaulted
      end
      # @return [Double]
      def ratedFanPower
      end
      # @return [Double]
      def minimumFanAirFlowRatio
      end
      # @return [Boolean]
      def isMinimumFanAirFlowRatioDefaulted
      end
      # @return [Double]
      def approachTemperatureConstantTerm
      end
      # @return [Boolean]
      def isApproachTemperatureConstantTermDefaulted
      end
      # @return [Double]
      def approachTemperatureCoefficient2
      end
      # @return [Boolean]
      def isApproachTemperatureCoefficient2Defaulted
      end
      # @return [Double]
      def approachTemperatureCoefficient3
      end
      # @return [Boolean]
      def isApproachTemperatureCoefficient3Defaulted
      end
      # @return [Double]
      def approachTemperatureCoefficient4
      end
      # @return [Boolean]
      def isApproachTemperatureCoefficient4Defaulted
      end
      # @return [Double]
      def minimumCapacityFactor
      end
      # @return [Boolean]
      def isMinimumCapacityFactorDefaulted
      end
      # @return [Double]
      def maximumCapacityFactor
      end
      # @return [Boolean]
      def isMaximumCapacityFactorDefaulted
      end
      # @return [OptionalDouble]
      def ratedAirFlowRate
      end
      # @return [Boolean]
      def isRatedAirFlowRateDefaulted
      end
      # @return [Boolean]
      def isRatedAirFlowRateAutocalculated
      end
      # @return [Double]
      def basinHeaterCapacity
      end
      # @return [Boolean]
      def isBasinHeaterCapacityDefaulted
      end
      # @return [Double]
      def basinHeaterSetpointTemperature
      end
      # @return [Boolean]
      def isBasinHeaterSetpointTemperatureDefaulted
      end
      # @return [OptionalDouble]
      def ratedWaterPumpPower
      end
      # @return [Boolean]
      def isRatedWaterPumpPowerDefaulted
      end
      # @return [Boolean]
      def isRatedWaterPumpPowerAutocalculated
      end
      # @return [OptionalSchedule]
      def evaporativeCondenserAvailabilitySchedule
      end
      # @return [String]
      def endUseSubcategory
      end
      # @return [Boolean]
      def isEndUseSubcategoryDefaulted
      end
      # @return [Double]
      def condenserRefrigerantOperatingChargeInventory
      end
      # @return [Boolean]
      def isCondenserRefrigerantOperatingChargeInventoryDefaulted
      end
      # @return [Double]
      def condensateReceiverRefrigerantInventory
      end
      # @return [Boolean]
      def isCondensateReceiverRefrigerantInventoryDefaulted
      end
      # @return [Double]
      def condensatePipingRefrigerantInventory
      end
      # @return [Boolean]
      def isCondensatePipingRefrigerantInventoryDefaulted
      end
      # @return [Boolean]
      def setRatedEffectiveTotalHeatRejectionRate(double)
      end
      # @return [Boolean]
      def setRatedSubcoolingTemperatureDifference(double)
      end
      def resetRatedSubcoolingTemperatureDifference
      end
      # @return [Boolean]
      def setFanSpeedControlType(string)
      end
      def resetFanSpeedControlType
      end
      # @return [Boolean]
      def setRatedFanPower(double)
      end
      # @return [Boolean]
      def setMinimumFanAirFlowRatio(double)
      end
      def resetMinimumFanAirFlowRatio
      end
      # @return [Boolean]
      def setApproachTemperatureConstantTerm(double)
      end
      def resetApproachTemperatureConstantTerm
      end
      # @return [Boolean]
      def setApproachTemperatureCoefficient2(double)
      end
      def resetApproachTemperatureCoefficient2
      end
      # @return [Boolean]
      def setApproachTemperatureCoefficient3(double)
      end
      def resetApproachTemperatureCoefficient3
      end
      # @return [Boolean]
      def setApproachTemperatureCoefficient4(double)
      end
      def resetApproachTemperatureCoefficient4
      end
      def setMinimumCapacityFactor(double)
      end
      def resetMinimumCapacityFactor
      end
      def setMaximumCapacityFactor(double)
      end
      def resetMaximumCapacityFactor
      end
      def setRatedAirFlowRate(double)
      end
      def resetRatedAirFlowRate
      end
      def autocalculateRatedAirFlowRate
      end
      # @return [Boolean]
      def setBasinHeaterCapacity(double)
      end
      def resetBasinHeaterCapacity
      end
      # @return [Boolean]
      def setBasinHeaterSetpointTemperature(double)
      end
      def resetBasinHeaterSetpointTemperature
      end
      def setRatedWaterPumpPower(double)
      end
      def resetRatedWaterPumpPower
      end
      def autocalculateRatedWaterPumpPower
      end
      # @return [Boolean]
      def setEvaporativeCondenserAvailabilitySchedule(schedule)
      end
      def resetEvaporativeCondenserAvailabilitySchedule
      end
      def setEndUseSubcategory(string)
      end
      def resetEndUseSubcategory
      end
      def setCondenserRefrigerantOperatingChargeInventory(double)
      end
      def resetCondenserRefrigerantOperatingChargeInventory
      end
      def setCondensateReceiverRefrigerantInventory(double)
      end
      def resetCondensateReceiverRefrigerantInventory
      end
      def setCondensatePipingRefrigerantInventory(double)
      end
      def resetCondensatePipingRefrigerantInventory
      end
    end
  end
end