require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationSecondarySystem < ParentObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.circulatingFluidNameValues
      end
      # @return [StringVector]
      def self.pumpDriveTypeValues
      end
      # @return [Boolean]
      def addCase(refrigerationCase)
      end
      def removeCase(refrigerationCase)
      end
      def removeAllCases
      end
      # @return [RefrigerationCaseVector]
      def cases
      end
      # @return [Boolean]
      def addWalkin(refrigerationWalkIn)
      end
      def removeWalkin(refrigerationWalkIn)
      end
      def removeAllWalkins
      end
      # @return [RefrigerationWalkInVector]
      def walkins
      end
      # @return [Boolean]
      def addAirChiller(refrigerationAirChiller)
      end
      def removeAirChiller(refrigerationAirChiller)
      end
      def removeAllAirChillers
      end
      # @return [RefrigerationAirChillerVector]
      def airChillers
      end
      # @return [String]
      def circulatingFluidName
      end
      # @return [OptionalInt]
      def glycolConcentration
      end
      # @return [OptionalDouble]
      def evaporatorCapacity
      end
      # @return [OptionalDouble]
      def evaporatorFlowRateforSecondaryFluid
      end
      # @return [Double]
      def evaporatorEvaporatingTemperature
      end
      # @return [Double]
      def evaporatorApproachTemperatureDifference
      end
      # @return [OptionalDouble]
      def evaporatorRangeTemperatureDifference
      end
      # @return [Int32]
      def numberofPumpsinLoop
      end
      # @return [Boolean]
      def isNumberofPumpsinLoopDefaulted
      end
      # @return [OptionalDouble]
      def totalPumpFlowRate
      end
      # @return [OptionalDouble]
      def totalPumpPower
      end
      # @return [OptionalDouble]
      def totalPumpHead
      end
      # @return [Double]
      def phaseChangeCirculatingRate
      end
      # @return [Boolean]
      def isPhaseChangeCirculatingRateDefaulted
      end
      # @return [String]
      def pumpDriveType
      end
      # @return [Boolean]
      def isPumpDriveTypeDefaulted
      end
      # @return [OptionalCurveCubic]
      def variableSpeedPumpCubicCurve
      end
      # @return [Double]
      def pumpMotorHeattoFluid
      end
      # @return [Boolean]
      def isPumpMotorHeattoFluidDefaulted
      end
      # @return [Double]
      def sumUADistributionPiping
      end
      # @return [Boolean]
      def isSumUADistributionPipingDefaulted
      end
      # @return [OptionalThermalZone]
      def distributionPipingZone
      end
      # @return [Double]
      def sumUAReceiverSeparatorShell
      end
      # @return [Boolean]
      def isSumUAReceiverSeparatorShellDefaulted
      end
      # @return [OptionalThermalZone]
      def receiverSeparatorZone
      end
      # @return [Double]
      def evaporatorRefrigerantInventory
      end
      # @return [Boolean]
      def isEvaporatorRefrigerantInventoryDefaulted
      end
      # @return [String]
      def endUseSubcategory
      end
      # @return [Boolean]
      def isEndUseSubcategoryDefaulted
      end
      def resetRefrigeratedCaseAndWalkInList
      end
      # @return [Boolean]
      def setCirculatingFluidName(string)
      end
      # @return [Boolean]
      def setGlycolConcentration(int32)
      end
      def resetGlycolConcentration
      end
      # @return [Boolean]
      def setEvaporatorCapacity(double)
      end
      def resetEvaporatorCapacity
      end
      # @return [Boolean]
      def setEvaporatorFlowRateforSecondaryFluid(double)
      end
      def resetEvaporatorFlowRateforSecondaryFluid
      end
      def setEvaporatorEvaporatingTemperature(double)
      end
      def setEvaporatorApproachTemperatureDifference(double)
      end
      def setEvaporatorRangeTemperatureDifference(double)
      end
      def resetEvaporatorRangeTemperatureDifference
      end
      def setNumberofPumpsinLoop(int32)
      end
      def resetNumberofPumpsinLoop
      end
      # @return [Boolean]
      def setTotalPumpFlowRate(double)
      end
      def resetTotalPumpFlowRate
      end
      # @return [Boolean]
      def setTotalPumpPower(double)
      end
      def resetTotalPumpPower
      end
      # @return [Boolean]
      def setTotalPumpHead(double)
      end
      def resetTotalPumpHead
      end
      # @return [Boolean]
      def setPhaseChangeCirculatingRate(double)
      end
      def resetPhaseChangeCirculatingRate
      end
      # @return [Boolean]
      def setPumpDriveType(string)
      end
      def resetPumpDriveType
      end
      # @return [Boolean]
      def setVariableSpeedPumpCubicCurve(curveCubic)
      end
      def resetVariableSpeedPumpCubicCurve
      end
      # @return [Boolean]
      def setPumpMotorHeattoFluid(double)
      end
      def resetPumpMotorHeattoFluid
      end
      def setSumUADistributionPiping(double)
      end
      def resetSumUADistributionPiping
      end
      # @return [Boolean]
      def setDistributionPipingZone(thermalZone)
      end
      def resetDistributionPipingZone
      end
      def setSumUAReceiverSeparatorShell(double)
      end
      def resetSumUAReceiverSeparatorShell
      end
      # @return [Boolean]
      def setReceiverSeparatorZone(thermalZone)
      end
      def resetReceiverSeparatorZone
      end
      def setEvaporatorRefrigerantInventory(double)
      end
      def resetEvaporatorRefrigerantInventory
      end
      def setEndUseSubcategory(string)
      end
      def resetEndUseSubcategory
      end
    end
  end
end