require 'openstudio'
module OpenStudio
  module Model
    class RefrigerationSystem < ModelObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.refrigerationSystemWorkingFluidTypeValues
      end
      # @return [StringVector]
      def self.suctionTemperatureControlTypeValues
      end
      # @return [StringVector]
      def self.intercoolerTypeValues
      end
      # @return [IdfObjectVector]
      def remove
      end
      # @return [ModelObject]
      def clone(model)
      end
      # @return [Boolean]
      def addCase(refrigerationCase)
      end
      def removeCase(refrigerationCase)
      end
      def removeAllCases
      end
      # @return [RefrigerationCaseVector]
      def cases
      end
      # @return [Boolean]
      def addWalkin(refrigerationWalkIn)
      end
      def removeWalkin(refrigerationWalkIn)
      end
      def removeAllWalkins
      end
      # @return [RefrigerationWalkInVector]
      def walkins
      end
      # @return [Boolean]
      def addCompressor(refrigerationCompressor)
      end
      def removeCompressor(refrigerationCompressor)
      end
      def removeAllCompressors
      end
      # @return [RefrigerationCompressorVector]
      def compressors
      end
      # @return [Boolean]
      def addHighStageCompressor(refrigerationCompressor)
      end
      def removeHighStageCompressor(refrigerationCompressor)
      end
      def removeAllHighStageCompressors
      end
      # @return [RefrigerationCompressorVector]
      def highStageCompressors
      end
      # @return [Boolean]
      def addSecondarySystemLoad(refrigerationSecondarySystem)
      end
      def removeSecondarySystemLoad(refrigerationSecondarySystem)
      end
      def removeAllSecondarySystemLoads
      end
      # @return [RefrigerationSecondarySystemVector]
      def secondarySystemLoads
      end
      # @return [Boolean]
      def addCascadeCondenserLoad(refrigerationCondenserCascade)
      end
      def removeCascadeCondenserLoad(refrigerationCondenserCascade)
      end
      def removeAllCascadeCondenserLoads
      end
      # @return [RefrigerationCondenserCascadeVector]
      def cascadeCondenserLoads
      end
      # @return [Boolean]
      def addAirChiller(refrigerationAirChiller)
      end
      def removeAirChiller(refrigerationAirChiller)
      end
      def removeAllAirChillers
      end
      # @return [RefrigerationAirChillerVector]
      def airChillers
      end
      # @return [OptionalModelObject]
      def refrigerationCondenser
      end
      # @return [Double]
      def minimumCondensingTemperature
      end
      # @return [String]
      def refrigerationSystemWorkingFluidType
      end
      # @return [String]
      def suctionTemperatureControlType
      end
      # @return [Boolean]
      def isSuctionTemperatureControlTypeDefaulted
      end
      # @return [OptionalRefrigerationSubcoolerMechanical]
      def mechanicalSubcooler
      end
      # @return [OptionalRefrigerationSubcoolerLiquidSuction]
      def liquidSuctionHeatExchangerSubcooler
      end
      # @return [Double]
      def sumUASuctionPiping
      end
      # @return [Boolean]
      def isSumUASuctionPipingDefaulted
      end
      # @return [OptionalThermalZone]
      def suctionPipingZone
      end
      # @return [String]
      def endUseSubcategory
      end
      # @return [Boolean]
      def isEndUseSubcategoryDefaulted
      end
      # @return [String]
      def numberofCompressorStages
      end
      # @return [String]
      def intercoolerType
      end
      # @return [Boolean]
      def isIntercoolerTypeDefaulted
      end
      # @return [Double]
      def shellandCoilIntercoolerEffectiveness
      end
      # @return [Boolean]
      def isShellandCoilIntercoolerEffectivenessDefaulted
      end
      # @return [Boolean]
      def setRefrigerationCondenser(modelObject)
      end
      def setMinimumCondensingTemperature(double)
      end
      # @return [Boolean]
      def setRefrigerationSystemWorkingFluidType(string)
      end
      # @return [Boolean]
      def setSuctionTemperatureControlType(string)
      end
      def resetSuctionTemperatureControlType
      end
      # @return [Boolean]
      def setMechanicalSubcooler(refrigerationSubcoolerMechanical)
      end
      def resetMechanicalSubcooler
      end
      # @return [Boolean]
      def setLiquidSuctionHeatExchangerSubcooler(refrigerationSubcoolerLiquidSuction)
      end
      def resetLiquidSuctionHeatExchangerSubcooler
      end
      def setSumUASuctionPiping(double)
      end
      def resetSumUASuctionPiping
      end
      # @return [Boolean]
      def setSuctionPipingZone(thermalZone)
      end
      def resetSuctionPipingZone
      end
      def setEndUseSubcategory(string)
      end
      def resetEndUseSubcategory
      end
      # @return [Boolean]
      def setIntercoolerType(string)
      end
      def resetIntercoolerType
      end
      def setShellandCoilIntercoolerEffectiveness(double)
      end
      def resetShellandCoilIntercoolerEffectiveness
      end
    end
  end
end