require 'openstudio'
module OpenStudio
  module Model
    class SpaceType < ResourceObject
      def self.new(model)
      end
      # @return [SpaceVector]
      def spaces
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [OptionalDefaultConstructionSet]
      def defaultConstructionSet
      end
      # @return [OptionalDefaultScheduleSet]
      def defaultScheduleSet
      end
      # @return [OptionalRenderingColor]
      def renderingColor
      end
      # @return [OptionalString]
      def standardsBuildingType
      end
      # @return [StringVector]
      def suggestedStandardsBuildingTypes
      end
      # @return [OptionalString]
      def standardsSpaceType
      end
      # @return [StringVector]
      def suggestedStandardsSpaceTypes
      end
      # @return [Boolean]
      def setDefaultConstructionSet(defaultConstructionSet)
      end
      def resetDefaultConstructionSet
      end
      # @return [Boolean]
      def setDefaultScheduleSet(defaultScheduleSet)
      end
      def resetDefaultScheduleSet
      end
      # @return [Boolean]
      def setRenderingColor(renderingColor)
      end
      def resetRenderingColor
      end
      # @return [Boolean]
      def setStandardsBuildingType(string)
      end
      def resetStandardsBuildingType
      end
      # @return [Boolean]
      def setStandardsSpaceType(string)
      end
      def resetStandardsSpaceType
      end
      # @return [OptionalSchedule]
      def getDefaultSchedule(defaultScheduleType)
      end
      # @return [InternalMassVector]
      def internalMass
      end
      # @return [PeopleVector]
      def people
      end
      # @return [LightsVector]
      def lights
      end
      # @return [LuminaireVector]
      def luminaires
      end
      # @return [ElectricEquipmentVector]
      def electricEquipment
      end
      # @return [GasEquipmentVector]
      def gasEquipment
      end
      # @return [HotWaterEquipmentVector]
      def hotWaterEquipment
      end
      # @return [SteamEquipmentVector]
      def steamEquipment
      end
      # @return [OtherEquipmentVector]
      def otherEquipment
      end
      # @return [SpaceInfiltrationDesignFlowRateVector]
      def spaceInfiltrationDesignFlowRates
      end
      # @return [SpaceInfiltrationEffectiveLeakageAreaVector]
      def spaceInfiltrationEffectiveLeakageAreas
      end
      # @return [OptionalDesignSpecificationOutdoorAir]
      def designSpecificationOutdoorAir
      end
      # @return [Boolean]
      def isDesignSpecificationOutdoorAirDefaulted
      end
      # @return [Boolean]
      def setDesignSpecificationOutdoorAir(designSpecificationOutdoorAir)
      end
      def resetDesignSpecificationOutdoorAir
      end
      def hardApplySpaceLoadSchedules
      end
      # @return [OptionalDouble]
      def peoplePerFloorArea
      end
      # @return [OptionalDouble]
      def spaceFloorAreaPerPerson
      end
      # @return [Double]
      def getNumberOfPeople(double)
      end
      # @return [Double]
      def getPeoplePerFloorArea(double)
      end
      # @return [Double]
      def getFloorAreaPerPerson(double)
      end
      # @return [OptionalDouble]
      def lightingPowerPerFloorArea
      end
      # @return [OptionalDouble]
      def lightingPowerPerPerson
      end
      # @return [Double]
      def getLightingPower(double, double)
      end
      # @return [Double]
      def getLightingPowerPerFloorArea(double, double)
      end
      # @return [Double]
      def getLightingPowerPerPerson(double, double)
      end
      # @return [OptionalDouble]
      def electricEquipmentPowerPerFloorArea
      end
      # @return [OptionalDouble]
      def electricEquipmentPowerPerPerson
      end
      # @return [Double]
      def getElectricEquipmentDesignLevel(double, double)
      end
      # @return [Double]
      def getElectricEquipmentPowerPerFloorArea(double, double)
      end
      # @return [Double]
      def getElectricEquipmentPowerPerPerson(double, double)
      end
      # @return [OptionalDouble]
      def gasEquipmentPowerPerFloorArea
      end
      # @return [OptionalDouble]
      def gasEquipmentPowerPerPerson
      end
      # @return [Double]
      def getGasEquipmentDesignLevel(double, double)
      end
      # @return [Double]
      def getGasEquipmentPowerPerFloorArea(double, double)
      end
      # @return [Double]
      def getGasEquipmentPowerPerPerson(double, double)
      end
      # @return [Double]
      def floorArea
      end
      # @return [Boolean]
      def setPeoplePerFloorArea(*args)
      end
      # @return [Boolean]
      def setSpaceFloorAreaPerPerson(*args)
      end
      # @return [Boolean]
      def setLightingPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setLightingPowerPerPerson(*args)
      end
      # @return [Boolean]
      def setElectricEquipmentPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setElectricEquipmentPowerPerPerson(*args)
      end
      # @return [Boolean]
      def setGasEquipmentPowerPerFloorArea(*args)
      end
      # @return [Boolean]
      def setGasEquipmentPowerPerPerson(*args)
      end
    end
  end
end