require 'openstudio'
module OpenStudio
  class SqlFile
      def self.new(*args)
      end
      # @return [OptionalEnvironmentType]
      def environmentType(string)
      end
      # @return [StringVector]
      def availableEnvPeriods
      end
      # @return [StringVector]
      def availableReportingFrequencies(string)
      end
      # @return [OptionalReportingFrequency]
      def reportingFrequencyFromDB(string)
      end
      # @return [StringVector]
      def availableVariableNames(string, string)
      end
      # @return [StringVector]
      def availableKeyValues(string, string, string)
      end
      # @return [OptionalDouble]
      def runPeriodValue(string, string, string)
      end
      # @return [SqlTimeSeriesQueryVector]
      def expandQuery(sqlFileTimeSeriesQuery)
      end
      # @return [OptionalInt]
      def illuminanceMapIndex(string)
      end
      # @return [OptionalInt]
      def illuminanceMapHourlyReportIndex(int32, dateTime)
      end
      # @return [OptionalDateTime]
      def illuminanceMapDate(int32)
      end
      # @return [SWIGTYPE_p_std__vectorT_SummaryData_t]
      def getSummaryData
      end
      # @return [Int32]
      def insertZone(string, double, double, double, double, double, double, double, int32, double, double, double, double, double, double, double, double, double, double, int32, int32, double, double, double, double, boolean)
      end
      def insertIlluminanceMap(string, string, string, dateTimeVector, doubleVector, doubleVector, double, matrixVector)
      end
      # @return [OptionalDouble]
      def execAndReturnFirstDouble(string)
      end
      # @return [OptionalInt]
      def execAndReturnFirstInt(string)
      end
      # @return [OptionalString]
      def execAndReturnFirstString(string)
      end
      # @return [OptionalDoubleVector]
      def execAndReturnVectorOfDouble(string)
      end
      # @return [OptionalIntVector]
      def execAndReturnVectorOfInt(string)
      end
      # @return [OptionalStringVector]
      def execAndReturnVectorOfString(string)
      end
      # @return [Int32]
      def execute(string)
      end
      def insertTimeSeriesData(string, string, string, string, string, reportingFrequencyEnum, optionalString, string, timeSeries)
      end
      # @return [Boolean]
      def EqualEqual(sqlFile)
      end
      # @return [Boolean]
      def LessThan(sqlFile)
      end
      def removeIndexes
      end
      def createIndexes
      end
      # @return [Boolean]
      def connectionOpen
      end
      # @return [Path]
      def path
      end
      # @return [Boolean]
      def supportedVersion
      end
      # @return [Boolean]
      def close
      end
      # @return [Boolean]
      def reopen
      end
      # @return [String]
      def energyPlusSqliteFile
      end
      # @return [OptionalDouble]
      def hoursSimulated
      end
      # @return [OptionalDouble]
      def netSiteEnergy
      end
      # @return [OptionalDouble]
      def netSourceEnergy
      end
      # @return [OptionalDouble]
      def totalSiteEnergy
      end
      # @return [OptionalDouble]
      def totalSourceEnergy
      end
      # @return [OptionalDouble]
      def annualTotalCost(fuelType)
      end
      # @return [OptionalDouble]
      def annualTotalCostPerBldgArea(fuelType)
      end
      # @return [OptionalDouble]
      def annualTotalCostPerNetConditionedBldgArea(fuelType)
      end
      # @return [OptionalDouble]
      def annualTotalUtilityCost
      end
      # @return [OptionalDouble]
      def economicsEnergyCost
      end
      # @return [OptionalEndUses]
      def endUses
      end
      # @return [OptionalDouble]
      def energyConsumptionByMonth(endUseFuelType, endUseCategoryType, monthOfYear)
      end
      # @return [OptionalDouble]
      def peakEnergyDemandByMonth(endUseFuelType, endUseCategoryType, monthOfYear)
      end
      # @return [OptionalDouble]
      def electricityHeating
      end
      # @return [OptionalDouble]
      def electricityCooling
      end
      # @return [OptionalDouble]
      def electricityInteriorLighting
      end
      # @return [OptionalDouble]
      def electricityExteriorLighting
      end
      # @return [OptionalDouble]
      def electricityInteriorEquipment
      end
      # @return [OptionalDouble]
      def electricityExteriorEquipment
      end
      # @return [OptionalDouble]
      def electricityFans
      end
      # @return [OptionalDouble]
      def electricityPumps
      end
      # @return [OptionalDouble]
      def electricityHeatRejection
      end
      # @return [OptionalDouble]
      def electricityHumidification
      end
      # @return [OptionalDouble]
      def electricityHeatRecovery
      end
      # @return [OptionalDouble]
      def electricityWaterSystems
      end
      # @return [OptionalDouble]
      def electricityRefrigeration
      end
      # @return [OptionalDouble]
      def electricityGenerators
      end
      # @return [OptionalDouble]
      def electricityTotalEndUses
      end
      # @return [OptionalDouble]
      def naturalGasHeating
      end
      # @return [OptionalDouble]
      def naturalGasCooling
      end
      # @return [OptionalDouble]
      def naturalGasInteriorLighting
      end
      # @return [OptionalDouble]
      def naturalGasExteriorLighting
      end
      # @return [OptionalDouble]
      def naturalGasInteriorEquipment
      end
      # @return [OptionalDouble]
      def naturalGasExteriorEquipment
      end
      # @return [OptionalDouble]
      def naturalGasFans
      end
      # @return [OptionalDouble]
      def naturalGasPumps
      end
      # @return [OptionalDouble]
      def naturalGasHeatRejection
      end
      # @return [OptionalDouble]
      def naturalGasHumidification
      end
      # @return [OptionalDouble]
      def naturalGasHeatRecovery
      end
      # @return [OptionalDouble]
      def naturalGasWaterSystems
      end
      # @return [OptionalDouble]
      def naturalGasRefrigeration
      end
      # @return [OptionalDouble]
      def naturalGasGenerators
      end
      # @return [OptionalDouble]
      def naturalGasTotalEndUses
      end
      # @return [OptionalDouble]
      def otherFuelHeating
      end
      # @return [OptionalDouble]
      def otherFuelCooling
      end
      # @return [OptionalDouble]
      def otherFuelInteriorLighting
      end
      # @return [OptionalDouble]
      def otherFuelExteriorLighting
      end
      # @return [OptionalDouble]
      def otherFuelInteriorEquipment
      end
      # @return [OptionalDouble]
      def otherFuelExteriorEquipment
      end
      # @return [OptionalDouble]
      def otherFuelFans
      end
      # @return [OptionalDouble]
      def otherFuelPumps
      end
      # @return [OptionalDouble]
      def otherFuelHeatRejection
      end
      # @return [OptionalDouble]
      def otherFuelHumidification
      end
      # @return [OptionalDouble]
      def otherFuelHeatRecovery
      end
      # @return [OptionalDouble]
      def otherFuelWaterSystems
      end
      # @return [OptionalDouble]
      def otherFuelRefrigeration
      end
      # @return [OptionalDouble]
      def otherFuelGenerators
      end
      # @return [OptionalDouble]
      def otherFuelTotalEndUses
      end
      # @return [OptionalDouble]
      def districtCoolingHeating
      end
      # @return [OptionalDouble]
      def districtCoolingCooling
      end
      # @return [OptionalDouble]
      def districtCoolingInteriorLighting
      end
      # @return [OptionalDouble]
      def districtCoolingExteriorLighting
      end
      # @return [OptionalDouble]
      def districtCoolingInteriorEquipment
      end
      # @return [OptionalDouble]
      def districtCoolingExteriorEquipment
      end
      # @return [OptionalDouble]
      def districtCoolingFans
      end
      # @return [OptionalDouble]
      def districtCoolingPumps
      end
      # @return [OptionalDouble]
      def districtCoolingHeatRejection
      end
      # @return [OptionalDouble]
      def districtCoolingHumidification
      end
      # @return [OptionalDouble]
      def districtCoolingHeatRecovery
      end
      # @return [OptionalDouble]
      def districtCoolingWaterSystems
      end
      # @return [OptionalDouble]
      def districtCoolingRefrigeration
      end
      # @return [OptionalDouble]
      def districtCoolingGenerators
      end
      # @return [OptionalDouble]
      def districtCoolingTotalEndUses
      end
      # @return [OptionalDouble]
      def districtHeatingHeating
      end
      # @return [OptionalDouble]
      def districtHeatingCooling
      end
      # @return [OptionalDouble]
      def districtHeatingInteriorLighting
      end
      # @return [OptionalDouble]
      def districtHeatingExteriorLighting
      end
      # @return [OptionalDouble]
      def districtHeatingInteriorEquipment
      end
      # @return [OptionalDouble]
      def districtHeatingExteriorEquipment
      end
      # @return [OptionalDouble]
      def districtHeatingFans
      end
      # @return [OptionalDouble]
      def districtHeatingPumps
      end
      # @return [OptionalDouble]
      def districtHeatingHeatRejection
      end
      # @return [OptionalDouble]
      def districtHeatingHumidification
      end
      # @return [OptionalDouble]
      def districtHeatingHeatRecovery
      end
      # @return [OptionalDouble]
      def districtHeatingWaterSystems
      end
      # @return [OptionalDouble]
      def districtHeatingRefrigeration
      end
      # @return [OptionalDouble]
      def districtHeatingGenerators
      end
      # @return [OptionalDouble]
      def districtHeatingTotalEndUses
      end
      # @return [OptionalDouble]
      def waterHeating
      end
      # @return [OptionalDouble]
      def waterCooling
      end
      # @return [OptionalDouble]
      def waterInteriorLighting
      end
      # @return [OptionalDouble]
      def waterExteriorLighting
      end
      # @return [OptionalDouble]
      def waterInteriorEquipment
      end
      # @return [OptionalDouble]
      def waterExteriorEquipment
      end
      # @return [OptionalDouble]
      def waterFans
      end
      # @return [OptionalDouble]
      def waterPumps
      end
      # @return [OptionalDouble]
      def waterHeatRejection
      end
      # @return [OptionalDouble]
      def waterHumidification
      end
      # @return [OptionalDouble]
      def waterHeatRecovery
      end
      # @return [OptionalDouble]
      def waterWaterSystems
      end
      # @return [OptionalDouble]
      def waterRefrigeration
      end
      # @return [OptionalDouble]
      def waterGenerators
      end
      # @return [OptionalDouble]
      def waterTotalEndUses
      end
      # @return [OptionalDouble]
      def hoursHeatingSetpointNotMet
      end
      # @return [OptionalDouble]
      def hoursCoolingSetpointNotMet
      end
      # @return [OptionalDateTimePair]
      def daylightSavingsPeriod
      end
      # @return [String]
      def energyPlusVersion
      end
      # @return [StringVector]
      def availableTimeSeries
      end
      # @return [TimeSeriesVector]
      def timeSeries(*args)
      end
      # @return [StringVector]
      def illuminanceMapNames(*args)
      end
      # @return [StringVector]
      def illuminanceMapZoneNames(*args)
      end
      # @return [OptionalString]
      def illuminanceMapRefPt(*args)
      end
      # @return [OptionalDouble]
      def illuminanceMapMinValue(*args)
      end
      # @return [OptionalDouble]
      def illuminanceMapMaxValue(*args)
      end
      # @return [Vector]
      def illuminanceMapX(*args)
      end
      # @return [Vector]
      def illuminanceMapY(*args)
      end
      # @return [IntVector]
      def illuminanceMapHourlyReportIndices(*args)
      end
      # @return [IntDateTimePairVector]
      def illuminanceMapHourlyReportIndicesDates(*args)
      end
      # @return [Matrix]
      def illuminanceMap(*args)
      end
      # @return [OptionalDouble]
      def getElecOrGasUse(*args)
      end
      # @return [OptionalDouble]
      def getElecOrGasCost(*args)
      end
  end
end