require 'openstudio'
module OpenStudio
  module Model
    class StandardsInformationConstruction < ModelObject
      # @return [StringVector]
      def self.standardPerturbableLayerTypeValues
      end
      # @return [StringVector]
      def self.fenestrationTypeValues
      end
      # @return [StringVector]
      def self.fenestrationAssemblyContextValues
      end
      # @return [StringVector]
      def self.fenestrationNumberOfPanesValues
      end
      # @return [StringVector]
      def self.fenestrationFrameTypeValues
      end
      # @return [StringVector]
      def self.fenestrationDividerTypeValues
      end
      # @return [StringVector]
      def self.fenestrationTintValues
      end
      # @return [StringVector]
      def self.fenestrationGasFillValues
      end
      # @return [StringVector]
      def self.intendedSurfaceTypeValues
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [ConstructionBase]
      def construction
      end
      # @return [OptionalString]
      def intendedSurfaceType
      end
      # @return [OptionalString]
      def standardsConstructionType
      end
      # @return [StringVector]
      def suggestedStandardsConstructionTypes
      end
      # @return [OptionalMaterial]
      def perturbableLayer
      end
      # @return [OptionalString]
      def perturbableLayerType
      end
      # @return [Boolean]
      def isPerturbableLayerTypeDefaulted
      end
      # @return [OptionalString]
      def otherPerturbableLayerType
      end
      # @return [StringVector]
      def suggestedConstructionStandards
      end
      # @return [OptionalString]
      def constructionStandard
      end
      # @return [StringVector]
      def suggestedConstructionStandardSources
      end
      # @return [OptionalString]
      def constructionStandardSource
      end
      # @return [OptionalString]
      def fenestrationType
      end
      # @return [OptionalString]
      def fenestrationAssemblyContext
      end
      # @return [OptionalString]
      def fenestrationNumberOfPanes
      end
      # @return [OptionalString]
      def fenestrationFrameType
      end
      # @return [OptionalString]
      def fenestrationDividerType
      end
      # @return [OptionalString]
      def fenestrationTint
      end
      # @return [OptionalString]
      def fenestrationGasFill
      end
      # @return [Boolean]
      def fenestrationLowEmissivityCoating
      end
      # @return [Boolean]
      def setIntendedSurfaceType(string)
      end
      def resetIntendedSurfaceType
      end
      def setStandardsConstructionType(string)
      end
      def resetStandardsConstructionType
      end
      def resetPerturbableLayer
      end
      def setPerturbableLayerType(string)
      end
      def resetPerturbableLayerType
      end
      def setOtherPerturbableLayerType(string)
      end
      def resetOtherPerturbableLayerType
      end
      def setConstructionStandard(string)
      end
      def resetConstructionStandard
      end
      def setConstructionStandardSource(string)
      end
      def resetConstructionStandardSource
      end
      # @return [Boolean]
      def setFenestrationType(string)
      end
      def resetFenestrationType
      end
      # @return [Boolean]
      def setFenestrationAssemblyContext(string)
      end
      def resetFenestrationAssemblyContext
      end
      # @return [Boolean]
      def setFenestrationNumberOfPanes(string)
      end
      def resetFenestrationNumberOfPanes
      end
      # @return [Boolean]
      def setFenestrationFrameType(string)
      end
      def resetFenestrationFrameType
      end
      # @return [Boolean]
      def setFenestrationDividerType(string)
      end
      def resetFenestrationDividerType
      end
      # @return [Boolean]
      def setFenestrationTint(string)
      end
      def resetFenestrationTint
      end
      # @return [Boolean]
      def setFenestrationGasFill(string)
      end
      def resetFenestrationGasFill
      end
      def setFenestrationLowEmissivityCoating(boolean)
      end
      def resetFenestrationLowEmissivityCoating
      end
      # @return [Boolean]
      def setPerturbableLayer(*args)
      end
    end
  end
end