require 'openstudio'
module OpenStudio
  module Model
    class ThermalZone < HVACComponent
      def self.new(model)
      end
      # @return [Boolean]
      def setReturnPlenum(thermalZone)
      end
      def removeReturnPlenum
      end
      # @return [ZoneMixingVector]
      def zoneMixing
      end
      # @return [ZoneMixingVector]
      def supplyZoneMixing
      end
      # @return [ZoneMixingVector]
      def exhaustZoneMixing
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.validZoneInsideConvectionAlgorithmValues
      end
      # @return [StringVector]
      def self.validZoneOutsideConvectionAlgorithmValues
      end
      # @return [Int32]
      def multiplier
      end
      # @return [Boolean]
      def isMultiplierDefaulted
      end
      # @return [OptionalDouble]
      def ceilingHeight
      end
      # @return [Boolean]
      def isCeilingHeightDefaulted
      end
      # @return [Boolean]
      def isCeilingHeightAutocalculated
      end
      # @return [OptionalDouble]
      def volume
      end
      # @return [Boolean]
      def isVolumeDefaulted
      end
      # @return [Boolean]
      def isVolumeAutocalculated
      end
      # @return [OptionalString]
      def zoneInsideConvectionAlgorithm
      end
      # @return [OptionalString]
      def zoneOutsideConvectionAlgorithm
      end
      # @return [String]
      def zoneConditioningEquipmentListName
      end
      # @return [OptionalThermostat]
      def thermostat
      end
      # @return [OptionalThermostatSetpointDualSetpoint]
      def thermostatSetpointDualSetpoint
      end
      # @return [OptionalZoneControlHumidistat]
      def zoneControlHumidistat
      end
      # @return [OptionalZoneControlContaminantController]
      def zoneControlContaminantController
      end
      # @return [Double]
      def fractionofZoneControlledbyPrimaryDaylightingControl
      end
      # @return [Boolean]
      def isFractionofZoneControlledbyPrimaryDaylightingControlDefaulted
      end
      # @return [Double]
      def fractionofZoneControlledbySecondaryDaylightingControl
      end
      # @return [Boolean]
      def isFractionofZoneControlledbySecondaryDaylightingControlDefaulted
      end
      # @return [SizingZone]
      def sizingZone
      end
      # @return [Boolean]
      def setMultiplier(int32)
      end
      def resetMultiplier
      end
      def resetCeilingHeight
      end
      def autocalculateCeilingHeight
      end
      def resetVolume
      end
      def autocalculateVolume
      end
      def resetZoneInsideConvectionAlgorithm
      end
      def resetZoneOutsideConvectionAlgorithm
      end
      def setZoneConditioningEquipmentListName(string)
      end
      # @return [Boolean]
      def setThermostatSetpointDualSetpoint(thermostatSetpointDualSetpoint)
      end
      def resetThermostatSetpointDualSetpoint
      end
      # @return [Boolean]
      def setThermostat(thermostat)
      end
      def resetThermostat
      end
      # @return [Boolean]
      def setZoneControlHumidistat(zoneControlHumidistat)
      end
      def resetZoneControlHumidistat
      end
      # @return [Boolean]
      def setZoneControlContaminantController(zoneControlContaminantController)
      end
      def resetZoneControlContaminantController
      end
      def resetFractionofZoneControlledbyPrimaryDaylightingControl
      end
      def resetFractionofZoneControlledbySecondaryDaylightingControl
      end
      # @return [UInt32]
      def returnAirPort
      end
      # @return [UInt32]
      def zoneAirPort
      end
      # @return [OptionalModelObject]
      def returnAirModelObject
      end
      # @return [Node]
      def zoneAirNode
      end
      # @return [OptionalDaylightingControl]
      def primaryDaylightingControl
      end
      # @return [Boolean]
      def setPrimaryDaylightingControl(daylightingControl)
      end
      def resetPrimaryDaylightingControl
      end
      # @return [OptionalDaylightingControl]
      def secondaryDaylightingControl
      end
      # @return [Boolean]
      def setSecondaryDaylightingControl(daylightingControl)
      end
      def resetSecondaryDaylightingControl
      end
      # @return [OptionalIlluminanceMap]
      def illuminanceMap
      end
      # @return [Boolean]
      def setIlluminanceMap(illuminanceMap)
      end
      def resetIlluminanceMap
      end
      def checkDaylightingControlsAndIlluminanceMaps
      end
      # @return [OptionalRenderingColor]
      def renderingColor
      end
      # @return [Boolean]
      def setRenderingColor(renderingColor)
      end
      def resetRenderingColor
      end
      # @return [ModelObjectVector]
      def equipment
      end
      # @return [OptionalHVACComponent]
      def airLoopHVACTerminal
      end
      # @return [SpaceVector]
      def spaces
      end
      # @return [Double]
      def floorArea
      end
      # @return [Double]
      def exteriorSurfaceArea
      end
      # @return [Double]
      def exteriorWallArea
      end
      # @return [Double]
      def airVolume
      end
      # @return [Double]
      def numberOfPeople
      end
      # @return [Double]
      def peoplePerFloorArea
      end
      # @return [Double]
      def floorAreaPerPerson
      end
      # @return [Double]
      def lightingPower
      end
      # @return [Double]
      def lightingPowerPerFloorArea
      end
      # @return [Double]
      def lightingPowerPerPerson
      end
      # @return [Double]
      def electricEquipmentPower
      end
      # @return [Double]
      def electricEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def electricEquipmentPowerPerPerson
      end
      # @return [Double]
      def gasEquipmentPower
      end
      # @return [Double]
      def gasEquipmentPowerPerFloorArea
      end
      # @return [Double]
      def gasEquipmentPowerPerPerson
      end
      # @return [Double]
      def infiltrationDesignFlowRate
      end
      # @return [Double]
      def infiltrationDesignFlowPerSpaceFloorArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorSurfaceArea
      end
      # @return [Double]
      def infiltrationDesignFlowPerExteriorWallArea
      end
      # @return [Double]
      def infiltrationDesignAirChangesPerHour
      end
      # @return [OptionalString]
      def isConditioned
      end
      # @return [OptionalSpace]
      def combineSpaces
      end
      def disconnect
      end
      # @return [Boolean]
      def isRemovable
      end
      # @return [Boolean]
      def useIdealAirLoads
      end
      def setUseIdealAirLoads(boolean)
      end
      # @return [Boolean]
      def addToNode(node)
      end
      # @return [PortList]
      def inletPortList
      end
      # @return [PortList]
      def exhaustPortList
      end
      def addEquipment(modelObject)
      end
      def removeEquipment(modelObject)
      end
      def setCoolingPriority(modelObject, uInt32)
      end
      def setHeatingPriority(modelObject, uInt32)
      end
      # @return [ModelObjectVector]
      def equipmentInHeatingOrder
      end
      # @return [ModelObjectVector]
      def equipmentInCoolingOrder
      end
      # @return [Boolean]
      def isPlenum
      end
      # @return [Boolean]
      def canBePlenum
      end
      def removeSupplyPlenum(*args)
      end
      # @return [OSOptionalQuantity]
      def getCeilingHeight(*args)
      end
      # @return [OSOptionalQuantity]
      def getVolume(*args)
      end
      # @return [Quantity]
      def getFractionofZoneControlledbyPrimaryDaylightingControl(*args)
      end
      # @return [Quantity]
      def getFractionofZoneControlledbySecondaryDaylightingControl(*args)
      end
      def setCeilingHeight(*args)
      end
      def setVolume(*args)
      end
      # @return [Boolean]
      def setZoneInsideConvectionAlgorithm(*args)
      end
      # @return [Boolean]
      def setZoneOutsideConvectionAlgorithm(*args)
      end
      # @return [Boolean]
      def setFractionofZoneControlledbyPrimaryDaylightingControl(*args)
      end
      # @return [Boolean]
      def setFractionofZoneControlledbySecondaryDaylightingControl(*args)
      end
      # @return [Boolean]
      def setSupplyPlenum(*args)
      end
    end
  end
end