require 'openstudio'
module OpenStudio
  module Model
    class WaterHeaterStratified < WaterToWaterComponent
      def self.new(model)
      end
      # @return [Boolean]
      def setColdWaterSupplyTemperatureSchedule(schedule)
      end
      def resetColdWaterSupplyTemperatureSchedule
      end
      # @return [Boolean]
      def setUseSideEffectiveness(double)
      end
      # @return [Boolean]
      def setUseSideInletHeight(double)
      end
      # @return [Boolean]
      def setUseSideOutletHeight(double)
      end
      def autocalculateUseSideOutletHeight
      end
      # @return [Boolean]
      def setSourceSideEffectiveness(double)
      end
      # @return [Boolean]
      def setSourceSideInletHeight(double)
      end
      def autocalculateSourceSideInletHeight
      end
      # @return [Boolean]
      def setSourceSideOutletHeight(double)
      end
      # @return [Boolean]
      def setInletMode(string)
      end
      # @return [Boolean]
      def setUseSideDesignFlowRate(double)
      end
      def autosizeUseSideDesignFlowRate
      end
      # @return [Boolean]
      def setSourceSideDesignFlowRate(double)
      end
      def autosizeSourceSideDesignFlowRate
      end
      # @return [Boolean]
      def setIndirectWaterHeatingRecoveryTime(double)
      end
      # @return [Boolean]
      def setNumberofNodes(int32)
      end
      # @return [Boolean]
      def setAdditionalDestratificationConductivity(double)
      end
      def setNode1AdditionalLossCoefficient(double)
      end
      def setNode2AdditionalLossCoefficient(double)
      end
      def setNode3AdditionalLossCoefficient(double)
      end
      def setNode4AdditionalLossCoefficient(double)
      end
      def setNode5AdditionalLossCoefficient(double)
      end
      def setNode6AdditionalLossCoefficient(double)
      end
      def setNode7AdditionalLossCoefficient(double)
      end
      def setNode8AdditionalLossCoefficient(double)
      end
      def setNode9AdditionalLossCoefficient(double)
      end
      def setNode10AdditionalLossCoefficient(double)
      end
      def setNode11AdditionalLossCoefficient(double)
      end
      def setNode12AdditionalLossCoefficient(double)
      end
      # @return [Boolean]
      def setSourceSideFlowControlMode(string)
      end
      # @return [Boolean]
      def setIndirectAlternateSetpointTemperatureSchedule(schedule)
      end
      def resetIndirectAlternateSetpointTemperatureSchedule
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.tankShapeValues
      end
      # @return [StringVector]
      def self.heaterPriorityControlValues
      end
      # @return [StringVector]
      def self.heaterFuelTypeValues
      end
      # @return [StringVector]
      def self.offCycleParasiticFuelTypeValues
      end
      # @return [StringVector]
      def self.onCycleParasiticFuelTypeValues
      end
      # @return [StringVector]
      def self.ambientTemperatureIndicatorValues
      end
      # @return [StringVector]
      def self.inletModeValues
      end
      # @return [StringVector]
      def self.sourceSideFlowControlModeValues
      end
      # @return [String]
      def endUseSubcategory
      end
      # @return [OptionalDouble]
      def tankVolume
      end
      # @return [Boolean]
      def isTankVolumeAutosized
      end
      # @return [OptionalDouble]
      def tankHeight
      end
      # @return [Boolean]
      def isTankHeightAutosized
      end
      # @return [String]
      def tankShape
      end
      # @return [OptionalDouble]
      def tankPerimeter
      end
      # @return [Double]
      def maximumTemperatureLimit
      end
      # @return [String]
      def heaterPriorityControl
      end
      # @return [Schedule]
      def heater1SetpointTemperatureSchedule
      end
      # @return [Double]
      def heater1DeadbandTemperatureDifference
      end
      # @return [OptionalDouble]
      def heater1Capacity
      end
      # @return [Boolean]
      def isHeater1CapacityAutosized
      end
      # @return [Double]
      def heater1Height
      end
      # @return [Schedule]
      def heater2SetpointTemperatureSchedule
      end
      # @return [Double]
      def heater2DeadbandTemperatureDifference
      end
      # @return [Double]
      def heater2Capacity
      end
      # @return [Double]
      def heater2Height
      end
      # @return [String]
      def heaterFuelType
      end
      # @return [Double]
      def heaterThermalEfficiency
      end
      # @return [Double]
      def offCycleParasiticFuelConsumptionRate
      end
      # @return [String]
      def offCycleParasiticFuelType
      end
      # @return [Double]
      def offCycleParasiticHeatFractiontoTank
      end
      # @return [Double]
      def offCycleParasiticHeight
      end
      # @return [Double]
      def onCycleParasiticFuelConsumptionRate
      end
      # @return [String]
      def onCycleParasiticFuelType
      end
      # @return [Double]
      def onCycleParasiticHeatFractiontoTank
      end
      # @return [Double]
      def onCycleParasiticHeight
      end
      # @return [String]
      def ambientTemperatureIndicator
      end
      # @return [OptionalSchedule]
      def ambientTemperatureSchedule
      end
      # @return [OptionalThermalZone]
      def ambientTemperatureThermalZone
      end
      # @return [OptionalString]
      def ambientTemperatureOutdoorAirNodeName
      end
      # @return [OptionalDouble]
      def uniformSkinLossCoefficientperUnitAreatoAmbientTemperature
      end
      # @return [Double]
      def skinLossFractiontoZone
      end
      # @return [OptionalDouble]
      def offCycleFlueLossCoefficienttoAmbientTemperature
      end
      # @return [Double]
      def offCycleFlueLossFractiontoZone
      end
      # @return [OptionalDouble]
      def peakUseFlowRate
      end
      # @return [OptionalSchedule]
      def useFlowRateFractionSchedule
      end
      # @return [OptionalSchedule]
      def coldWaterSupplyTemperatureSchedule
      end
      # @return [Double]
      def useSideEffectiveness
      end
      # @return [Double]
      def useSideInletHeight
      end
      # @return [OptionalDouble]
      def useSideOutletHeight
      end
      # @return [Boolean]
      def isUseSideOutletHeightAutocalculated
      end
      # @return [Double]
      def sourceSideEffectiveness
      end
      # @return [OptionalDouble]
      def sourceSideInletHeight
      end
      # @return [Boolean]
      def isSourceSideInletHeightAutocalculated
      end
      # @return [Double]
      def sourceSideOutletHeight
      end
      # @return [String]
      def inletMode
      end
      # @return [OptionalDouble]
      def useSideDesignFlowRate
      end
      # @return [Boolean]
      def isUseSideDesignFlowRateAutosized
      end
      # @return [OptionalDouble]
      def sourceSideDesignFlowRate
      end
      # @return [Boolean]
      def isSourceSideDesignFlowRateAutosized
      end
      # @return [Double]
      def indirectWaterHeatingRecoveryTime
      end
      # @return [Int32]
      def numberofNodes
      end
      # @return [Double]
      def additionalDestratificationConductivity
      end
      # @return [Double]
      def node1AdditionalLossCoefficient
      end
      # @return [Double]
      def node2AdditionalLossCoefficient
      end
      # @return [Double]
      def node3AdditionalLossCoefficient
      end
      # @return [Double]
      def node4AdditionalLossCoefficient
      end
      # @return [Double]
      def node5AdditionalLossCoefficient
      end
      # @return [Double]
      def node6AdditionalLossCoefficient
      end
      # @return [Double]
      def node7AdditionalLossCoefficient
      end
      # @return [Double]
      def node8AdditionalLossCoefficient
      end
      # @return [Double]
      def node9AdditionalLossCoefficient
      end
      # @return [Double]
      def node10AdditionalLossCoefficient
      end
      # @return [Double]
      def node11AdditionalLossCoefficient
      end
      # @return [Double]
      def node12AdditionalLossCoefficient
      end
      # @return [String]
      def sourceSideFlowControlMode
      end
      # @return [OptionalSchedule]
      def indirectAlternateSetpointTemperatureSchedule
      end
      def setEndUseSubcategory(string)
      end
      # @return [Boolean]
      def setTankVolume(double)
      end
      def autosizeTankVolume
      end
      # @return [Boolean]
      def setTankHeight(double)
      end
      def autosizeTankHeight
      end
      # @return [Boolean]
      def setTankShape(string)
      end
      # @return [Boolean]
      def setTankPerimeter(double)
      end
      def resetTankPerimeter
      end
      def setMaximumTemperatureLimit(double)
      end
      # @return [Boolean]
      def setHeaterPriorityControl(string)
      end
      # @return [Boolean]
      def setHeater1SetpointTemperatureSchedule(schedule)
      end
      # @return [Boolean]
      def setHeater1DeadbandTemperatureDifference(double)
      end
      # @return [Boolean]
      def setHeater1Capacity(double)
      end
      def autosizeHeater1Capacity
      end
      # @return [Boolean]
      def setHeater1Height(double)
      end
      # @return [Boolean]
      def setHeater2SetpointTemperatureSchedule(schedule)
      end
      # @return [Boolean]
      def setHeater2DeadbandTemperatureDifference(double)
      end
      # @return [Boolean]
      def setHeater2Capacity(double)
      end
      # @return [Boolean]
      def setHeater2Height(double)
      end
      # @return [Boolean]
      def setHeaterFuelType(string)
      end
      # @return [Boolean]
      def setHeaterThermalEfficiency(double)
      end
      # @return [Boolean]
      def setOffCycleParasiticFuelConsumptionRate(double)
      end
      # @return [Boolean]
      def setOffCycleParasiticFuelType(string)
      end
      # @return [Boolean]
      def setOffCycleParasiticHeatFractiontoTank(double)
      end
      # @return [Boolean]
      def setOffCycleParasiticHeight(double)
      end
      # @return [Boolean]
      def setOnCycleParasiticFuelConsumptionRate(double)
      end
      # @return [Boolean]
      def setOnCycleParasiticFuelType(string)
      end
      # @return [Boolean]
      def setOnCycleParasiticHeatFractiontoTank(double)
      end
      # @return [Boolean]
      def setOnCycleParasiticHeight(double)
      end
      # @return [Boolean]
      def setAmbientTemperatureIndicator(string)
      end
      # @return [Boolean]
      def setAmbientTemperatureSchedule(schedule)
      end
      def resetAmbientTemperatureSchedule
      end
      # @return [Boolean]
      def setAmbientTemperatureThermalZone(thermalZone)
      end
      def resetAmbientTemperatureThermalZone
      end
      def setAmbientTemperatureOutdoorAirNodeName(string)
      end
      def resetAmbientTemperatureOutdoorAirNodeName
      end
      # @return [Boolean]
      def setUniformSkinLossCoefficientperUnitAreatoAmbientTemperature(double)
      end
      def resetUniformSkinLossCoefficientperUnitAreatoAmbientTemperature
      end
      # @return [Boolean]
      def setSkinLossFractiontoZone(double)
      end
      # @return [Boolean]
      def setOffCycleFlueLossCoefficienttoAmbientTemperature(double)
      end
      def resetOffCycleFlueLossCoefficienttoAmbientTemperature
      end
      # @return [Boolean]
      def setOffCycleFlueLossFractiontoZone(double)
      end
      # @return [Boolean]
      def setPeakUseFlowRate(double)
      end
      def resetPeakUseFlowRate
      end
      # @return [Boolean]
      def setUseFlowRateFractionSchedule(schedule)
      end
      def resetUseFlowRateFractionSchedule
      end
    end
  end
end