require 'openstudio'
module OpenStudio
  module Model
    class WindowPropertyFrameAndDivider < ResourceObject
      def self.new(model)
      end
      # @return [Boolean]
      def isOutsideRevealDepthDefaulted
      end
      # @return [Double]
      def outsideRevealSolarAbsorptance
      end
      # @return [Boolean]
      def isOutsideRevealSolarAbsorptanceDefaulted
      end
      # @return [Double]
      def insideSillDepth
      end
      # @return [Boolean]
      def isInsideSillDepthDefaulted
      end
      # @return [Double]
      def insideSillSolarAbsorptance
      end
      # @return [Boolean]
      def isInsideSillSolarAbsorptanceDefaulted
      end
      # @return [Double]
      def insideRevealDepth
      end
      # @return [Boolean]
      def isInsideRevealDepthDefaulted
      end
      # @return [Double]
      def insideRevealSolarAbsorptance
      end
      # @return [Boolean]
      def isInsideRevealSolarAbsorptanceDefaulted
      end
      # @return [Boolean]
      def setFrameWidth(double)
      end
      def resetFrameWidth
      end
      # @return [Boolean]
      def setFrameOutsideProjection(double)
      end
      def resetFrameOutsideProjection
      end
      # @return [Boolean]
      def setFrameInsideProjection(double)
      end
      def resetFrameInsideProjection
      end
      # @return [Boolean]
      def setFrameConductance(double)
      end
      def resetFrameConductance
      end
      # @return [Boolean]
      def setRatioOfFrameEdgeGlassConductanceToCenterOfGlassConductance(double)
      end
      def resetRatioOfFrameEdgeGlassConductanceToCenterOfGlassConductance
      end
      # @return [Boolean]
      def setFrameSolarAbsorptance(double)
      end
      def resetFrameSolarAbsorptance
      end
      # @return [Boolean]
      def setFrameVisibleAbsorptance(double)
      end
      def resetFrameVisibleAbsorptance
      end
      # @return [Boolean]
      def setFrameThermalHemisphericalEmissivity(double)
      end
      def resetFrameThermalHemisphericalEmissivity
      end
      # @return [Boolean]
      def setDividerType(string)
      end
      def resetDividerType
      end
      # @return [Boolean]
      def setDividerWidth(double)
      end
      def resetDividerWidth
      end
      # @return [Boolean]
      def setNumberOfHorizontalDividers(double)
      end
      def resetNumberOfHorizontalDividers
      end
      # @return [Boolean]
      def setNumberOfVerticalDividers(double)
      end
      def resetNumberOfVerticalDividers
      end
      # @return [Boolean]
      def setDividerOutsideProjection(double)
      end
      def resetDividerOutsideProjection
      end
      # @return [Boolean]
      def setDividerInsideProjection(double)
      end
      def resetDividerInsideProjection
      end
      # @return [Boolean]
      def setDividerConductance(double)
      end
      def resetDividerConductance
      end
      # @return [Boolean]
      def setRatioOfDividerEdgeGlassConductanceToCenterOfGlassConductance(double)
      end
      def resetRatioOfDividerEdgeGlassConductanceToCenterOfGlassConductance
      end
      # @return [Boolean]
      def setDividerSolarAbsorptance(double)
      end
      def resetDividerSolarAbsorptance
      end
      # @return [Boolean]
      def setDividerVisibleAbsorptance(double)
      end
      def resetDividerVisibleAbsorptance
      end
      # @return [Boolean]
      def setDividerThermalHemisphericalEmissivity(double)
      end
      def resetDividerThermalHemisphericalEmissivity
      end
      # @return [Boolean]
      def setOutsideRevealDepth(double)
      end
      def resetOutsideRevealDepth
      end
      # @return [Boolean]
      def setOutsideRevealSolarAbsorptance(double)
      end
      def resetOutsideRevealSolarAbsorptance
      end
      # @return [Boolean]
      def setInsideSillDepth(double)
      end
      def resetInsideSillDepth
      end
      # @return [Boolean]
      def setInsideSillSolarAbsorptance(double)
      end
      def resetInsideSillSolarAbsorptance
      end
      # @return [Boolean]
      def setInsideRevealDepth(double)
      end
      def resetInsideRevealDepth
      end
      # @return [Boolean]
      def setInsideRevealSolarAbsorptance(double)
      end
      def resetInsideRevealSolarAbsorptance
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.dividerTypeValues
      end
      # @return [Double]
      def frameWidth
      end
      # @return [Boolean]
      def isFrameWidthDefaulted
      end
      # @return [Double]
      def frameOutsideProjection
      end
      # @return [Boolean]
      def isFrameOutsideProjectionDefaulted
      end
      # @return [Double]
      def frameInsideProjection
      end
      # @return [Boolean]
      def isFrameInsideProjectionDefaulted
      end
      # @return [OptionalDouble]
      def frameConductance
      end
      # @return [Double]
      def ratioOfFrameEdgeGlassConductanceToCenterOfGlassConductance
      end
      # @return [Boolean]
      def isRatioOfFrameEdgeGlassConductanceToCenterOfGlassConductanceDefaulted
      end
      # @return [Double]
      def frameSolarAbsorptance
      end
      # @return [Boolean]
      def isFrameSolarAbsorptanceDefaulted
      end
      # @return [Double]
      def frameVisibleAbsorptance
      end
      # @return [Boolean]
      def isFrameVisibleAbsorptanceDefaulted
      end
      # @return [Double]
      def frameThermalHemisphericalEmissivity
      end
      # @return [Boolean]
      def isFrameThermalHemisphericalEmissivityDefaulted
      end
      # @return [String]
      def dividerType
      end
      # @return [Boolean]
      def isDividerTypeDefaulted
      end
      # @return [Double]
      def dividerWidth
      end
      # @return [Boolean]
      def isDividerWidthDefaulted
      end
      # @return [Double]
      def numberOfHorizontalDividers
      end
      # @return [Boolean]
      def isNumberOfHorizontalDividersDefaulted
      end
      # @return [Double]
      def numberOfVerticalDividers
      end
      # @return [Boolean]
      def isNumberOfVerticalDividersDefaulted
      end
      # @return [Double]
      def dividerOutsideProjection
      end
      # @return [Boolean]
      def isDividerOutsideProjectionDefaulted
      end
      # @return [Double]
      def dividerInsideProjection
      end
      # @return [Boolean]
      def isDividerInsideProjectionDefaulted
      end
      # @return [Double]
      def dividerConductance
      end
      # @return [Boolean]
      def isDividerConductanceDefaulted
      end
      # @return [Double]
      def ratioOfDividerEdgeGlassConductanceToCenterOfGlassConductance
      end
      # @return [Boolean]
      def isRatioOfDividerEdgeGlassConductanceToCenterOfGlassConductanceDefaulted
      end
      # @return [Double]
      def dividerSolarAbsorptance
      end
      # @return [Boolean]
      def isDividerSolarAbsorptanceDefaulted
      end
      # @return [Double]
      def dividerVisibleAbsorptance
      end
      # @return [Boolean]
      def isDividerVisibleAbsorptanceDefaulted
      end
      # @return [Double]
      def dividerThermalHemisphericalEmissivity
      end
      # @return [Boolean]
      def isDividerThermalHemisphericalEmissivityDefaulted
      end
      # @return [Double]
      def outsideRevealDepth
      end
    end
  end
end