require 'openstudio'
module OpenStudio
  module Model
    class ZoneHVACEnergyRecoveryVentilatorController < ParentObject
      def self.new(model)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.exhaustAirTemperatureLimitValues
      end
      # @return [StringVector]
      def self.exhaustAirEnthalpyLimitValues
      end
      # @return [OptionalDouble]
      def temperatureHighLimit
      end
      # @return [OptionalDouble]
      def temperatureLowLimit
      end
      # @return [OptionalDouble]
      def enthalpyHighLimit
      end
      # @return [OptionalDouble]
      def dewpointTemperatureLimit
      end
      # @return [OptionalCurve]
      def electronicEnthalpyLimitCurve
      end
      # @return [String]
      def exhaustAirTemperatureLimit
      end
      # @return [String]
      def exhaustAirEnthalpyLimit
      end
      # @return [OptionalSchedule]
      def timeofDayEconomizerFlowControlSchedule
      end
      # @return [Boolean]
      def highHumidityControlFlag
      end
      # @return [Double]
      def highHumidityOutdoorAirFlowRatio
      end
      # @return [Boolean]
      def controlHighIndoorHumidityBasedonOutdoorHumidityRatio
      end
      def setTemperatureHighLimit(double)
      end
      def resetTemperatureHighLimit
      end
      def setTemperatureLowLimit(double)
      end
      def resetTemperatureLowLimit
      end
      def setEnthalpyHighLimit(double)
      end
      def resetEnthalpyHighLimit
      end
      def setDewpointTemperatureLimit(double)
      end
      def resetDewpointTemperatureLimit
      end
      # @return [Boolean]
      def setElectronicEnthalpyLimitCurve(curve)
      end
      def resetElectronicEnthalpyLimitCurve
      end
      # @return [Boolean]
      def setExhaustAirTemperatureLimit(string)
      end
      # @return [Boolean]
      def setExhaustAirEnthalpyLimit(string)
      end
      # @return [Boolean]
      def setTimeofDayEconomizerFlowControlSchedule(schedule)
      end
      def resetTimeofDayEconomizerFlowControlSchedule
      end
      def setHighHumidityControlFlag(boolean)
      end
      # @return [Boolean]
      def setHighHumidityOutdoorAirFlowRatio(double)
      end
      def setControlHighIndoorHumidityBasedonOutdoorHumidityRatio(boolean)
      end
    end
  end
end