require 'openstudio'
module OpenStudio
  module Model
    class ZoneHVACFourPipeFanCoil < ZoneHVACComponent
      def self.new(model, schedule, hVACComponent, hVACComponent, hVACComponent)
      end
      # @return [IddObjectType]
      def self.iddObjectType
      end
      # @return [StringVector]
      def self.capacityControlMethodValues
      end
      # @return [StringVector]
      def self.outdoorAirMixerObjectTypeValues
      end
      # @return [Schedule]
      def availabilitySchedule
      end
      # @return [String]
      def capacityControlMethod
      end
      # @return [OptionalDouble]
      def maximumSupplyAirFlowRate
      end
      # @return [Boolean]
      def isMaximumSupplyAirFlowRateAutosized
      end
      # @return [Double]
      def lowSpeedSupplyAirFlowRatio
      end
      # @return [Boolean]
      def isLowSpeedSupplyAirFlowRatioDefaulted
      end
      # @return [Double]
      def mediumSpeedSupplyAirFlowRatio
      end
      # @return [Boolean]
      def isMediumSpeedSupplyAirFlowRatioDefaulted
      end
      # @return [OptionalDouble]
      def maximumOutdoorAirFlowRate
      end
      # @return [Boolean]
      def isMaximumOutdoorAirFlowRateAutosized
      end
      # @return [OptionalSchedule]
      def outdoorAirSchedule
      end
      # @return [String]
      def outdoorAirMixerObjectType
      end
      # @return [String]
      def outdoorAirMixerName
      end
      # @return [HVACComponent]
      def supplyAirFan
      end
      # @return [HVACComponent]
      def coolingCoil
      end
      # @return [OptionalDouble]
      def maximumColdWaterFlowRate
      end
      # @return [Boolean]
      def isMaximumColdWaterFlowRateAutosized
      end
      # @return [Double]
      def minimumColdWaterFlowRate
      end
      # @return [Boolean]
      def isMinimumColdWaterFlowRateDefaulted
      end
      # @return [Double]
      def coolingConvergenceTolerance
      end
      # @return [Boolean]
      def isCoolingConvergenceToleranceDefaulted
      end
      # @return [HVACComponent]
      def heatingCoil
      end
      # @return [OptionalDouble]
      def maximumHotWaterFlowRate
      end
      # @return [Boolean]
      def isMaximumHotWaterFlowRateAutosized
      end
      # @return [Double]
      def minimumHotWaterFlowRate
      end
      # @return [Boolean]
      def isMinimumHotWaterFlowRateDefaulted
      end
      # @return [Double]
      def heatingConvergenceTolerance
      end
      # @return [Boolean]
      def isHeatingConvergenceToleranceDefaulted
      end
      # @return [OptionalSchedule]
      def supplyAirFanOperatingModeSchedule
      end
      # @return [Boolean]
      def isMinimumSupplyAirTemperatureInCoolingModeAutosized
      end
      # @return [OptionalDouble]
      def minimumSupplyAirTemperatureInCoolingMode
      end
      # @return [Boolean]
      def isMaximumSupplyAirTemperatureInHeatingModeAutosized
      end
      # @return [OptionalDouble]
      def maximumSupplyAirTemperatureInHeatingMode
      end
      # @return [Boolean]
      def setAvailabilitySchedule(schedule)
      end
      # @return [Boolean]
      def setCapacityControlMethod(string)
      end
      def autosizeMaximumSupplyAirFlowRate
      end
      def resetLowSpeedSupplyAirFlowRatio
      end
      def resetMediumSpeedSupplyAirFlowRatio
      end
      def autosizeMaximumOutdoorAirFlowRate
      end
      # @return [Boolean]
      def setOutdoorAirSchedule(schedule)
      end
      def resetOutdoorAirSchedule
      end
      # @return [Boolean]
      def setOutdoorAirMixerObjectType(string)
      end
      def setOutdoorAirMixerName(string)
      end
      # @return [Boolean]
      def setSupplyAirFan(hVACComponent)
      end
      # @return [Boolean]
      def setCoolingCoil(hVACComponent)
      end
      def autosizeMaximumColdWaterFlowRate
      end
      def resetMinimumColdWaterFlowRate
      end
      def resetCoolingConvergenceTolerance
      end
      # @return [Boolean]
      def setHeatingCoil(hVACComponent)
      end
      def autosizeMaximumHotWaterFlowRate
      end
      def resetMinimumHotWaterFlowRate
      end
      def resetHeatingConvergenceTolerance
      end
      # @return [Boolean]
      def setSupplyAirFanOperatingModeSchedule(schedule)
      end
      def resetSupplyAirFanOperatingModeSchedule
      end
      def autosizeMinimumSupplyAirTemperatureInCoolingMode
      end
      # @return [Boolean]
      def setMinimumSupplyAirTemperatureInCoolingMode(double)
      end
      def autosizeMaximumSupplyAirTemperatureInHeatingMode
      end
      # @return [Boolean]
      def setMaximumSupplyAirTemperatureInHeatingMode(double)
      end
      # @return [OSOptionalQuantity]
      def getMaximumSupplyAirFlowRate(*args)
      end
      # @return [Quantity]
      def getLowSpeedSupplyAirFlowRatio(*args)
      end
      # @return [Quantity]
      def getMediumSpeedSupplyAirFlowRatio(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumOutdoorAirFlowRate(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumColdWaterFlowRate(*args)
      end
      # @return [Quantity]
      def getMinimumColdWaterFlowRate(*args)
      end
      # @return [Quantity]
      def getCoolingConvergenceTolerance(*args)
      end
      # @return [OSOptionalQuantity]
      def getMaximumHotWaterFlowRate(*args)
      end
      # @return [Quantity]
      def getMinimumHotWaterFlowRate(*args)
      end
      # @return [Quantity]
      def getHeatingConvergenceTolerance(*args)
      end
      def setMaximumSupplyAirFlowRate(*args)
      end
      # @return [Boolean]
      def setLowSpeedSupplyAirFlowRatio(*args)
      end
      # @return [Boolean]
      def setMediumSpeedSupplyAirFlowRatio(*args)
      end
      def setMaximumOutdoorAirFlowRate(*args)
      end
      def setMaximumColdWaterFlowRate(*args)
      end
      def setMinimumColdWaterFlowRate(*args)
      end
      # @return [Boolean]
      def setCoolingConvergenceTolerance(*args)
      end
      def setMaximumHotWaterFlowRate(*args)
      end
      def setMinimumHotWaterFlowRate(*args)
      end
      # @return [Boolean]
      def setHeatingConvergenceTolerance(*args)
      end
    end
  end
end